Intro

Introduction

i-Page

Message Dispatch Software for Paging and Text Messaging

i-Page is a communications software for the dispatching of text or SMS messages to a variety of wireless messaging devices. It is primarily designed for networked client/server operations.

i-Page utilizes IP and COM communications between the server and clients, enabling clients on a local and/or wide area network to send messages to pagers and other text capable wireless devices such as cellular phones, MDTs, etc. It comes as three separate applications:

  1. i-Page Server (Professional Edition)
  2. i-Page Client (Professional Edition)
  3. i-Page PE (Personal Edition)
  4. i-Page Console Client

i-Page Server

The i-Page Server software is located on a centralized PC with access to the carriers to which it is to communicate. The server may have any number of carriers of various protocols and communications mediums and which may be local or remote (see Communications protocols).

Every user must have an account created on the server to be able to access the server. Levels of access are controlled by the users' rights, set by the system administrator.

Once they have an account, every user can create their own list of contacts and message templates. They can also create their own contact groups to allow them to send a single message to multiple contacts in one hit. The group can consist of contacts of different types connected to different carriers. For even higher level of functional grouping, the user can create folders. The folder can consists of groups and/or contacts. To send one or more messages according to their plans, users can create message schedules. Every user can also crete different reports on sent messages.

The system administrator can create contacts, contact groups , folders , message templates , schedules and reports that are visible to all accounts. The user can use those objects in the same way as their own, but they cannot edit or delete them.

All contacts, contact groups, folders, message templates, schedules and reports are stored on the server.

The server provides COM and TCP/IP connection to enable clients to communicate with it. The user on the client can select a connection type suitable for them.

For more info, see i-Page Server .

i-Page Client

i-Page Client is loaded on to each PC that requires the ability to send messages. Clients may be located anywhere on the LAN or WAN with normal access to the server. To access the server the client must complete the logon procedure. If the authentication is successful the server sends to the client all application and account settings and all the message objects (contacts, contact groups, message templates) that are associated with that account.

For more info, see i-Page Client .

i-Page Personal

i-Page PE (Personal Edition) is the single user version of i-Page. It contains both i-Page Server and i-Page Client in a single, easy-to-install installation package. Both applications are installed on a single PC and the server is enabled for one connection only.

All other features and functionalities are the same as for the professional version.

For more info, see i-Page Server and i-Page Client.

i-Page Console Client

i-Page Console Client is a simple, command prompt based version of the client. The same as a professional version, it can be located anywhere on the LAN or WAN with normal access to the server. It can send a message of any type and through any carrier supported by i-Page Server. It connects to the server, either remotely or locally and logs as an anonymous account. The user can set the type of connection (COM or TCP/IP) and connection parameters (server IP address and TCP port), a default carrier and some basic message settings (priority, age limit and email subject). The client also displays 'man' pages (DOS prompt type of help).

For more info, see i-Page Console Client.

Communications Protocols

The following communications interface protocols are supported by i-Page:

TAP (PET) - analogue modem dial-up protocol
TAP Direct - Serial direct connection protocol
SNPP - simple network paging protocol
SMTP - email protocol
GSM SMS - serial direct cellular device interface protocol


Setup

Requirements

Operating System: Windows XP / Windows Vista / Windows 7 / Windows 8

Disc Space:

i-Page Client | 17 MB
i-Page Server | 18 MB
i-Page Personal | 19 MB

Hardware:

i-Page Client None
i-Page Server Paging (TAP)
  • Internal or external modem and serial port
  • Phone connection
Paging (Direct TAP)
  • SitePage and serial port
SMS (GSM) Messaging
  • GSM Modem and serial port
Email
  • Internet connection
i-Page Personal Paging (TAP)
  • Internal or external modem and serial port
  • Phone connection
Paging (Direct TAP)
  • SitePage and serial port
SMS (GSM) Messaging
  • GSM Modem and serial port
Email
  • Internet connection

Installation

Windows Vista and Windows 7

Setup programs for all versions of i-Page run in the administrator mode, so you must be logged on as a local machine administrator.

After installation, all programs also run in the administrator mode.

Standard Users

If i-Page needs to be operated by a "standard user" and you do not want to give them an administrator's password, you must ask your vendor for a special version of i-Page. In that case:

  1. Log on to the machine as a computer administrator.
  2. Find the folder that i-Page is installed in:
  • i-Page Client default - "C:\Program Files\IPageClient3\"
  • i-Page Server default - "C:\Program Files\IPageServer3\"
  • i-Page Personal default - "C:\Program Files\IPagePersonal"
  3. Replace EXE files received from the vendor
  4. Give any restricted user that will use the application permission to write to that folder.
The user should have the following rights for the i-Page folder:
  • Read & Execute
  • List Folder Contents
  • Read
  • Write

Windows XP

To install or uninstall i-Page you must have administrator privileges on the local machine.

  1. Log on to the machine as the computer administrator.
  2. Run the installation program.
  3. Run i-Page for the first time as an administrator.
  4. Find the folder that i-Page is installed in:
  • i-Page Client default - "C:\Program Files\IPageClient3\"
  • i-Page Server default - "C:\Program Files\IPageServer3\"
  • i-Page Personal default - "C:\Program Files\IPagePersonal"
  1. Give any restricted user that will use the application permission to write to that folder.
The user should have the following rights for the i-Pager folder:
  • Read & Execute
  • List Folder Contents
  • Read
  • Write
Note: For power users and administrators step 5 is not necessary, because they already have these rights


i-Page Client

i-Page Client is loaded on to each PC that requires the ability to send messages. Clients may be located anywhere on the LAN or WAN with normal access to the server.

To access the server, the client must complete the login procedure. If the authentication is successful the server sends to the client all application and account settings and all the message objects (contacts, contact groups, message templates, folders, schedules, reports) that are associated with that account.

i-Page Client allows the user to:

  • Create a message
  • Send the message to different carriers
  • See message results
  • See reports on sent messages
  • Create, edit and delete their own contacts, contact groups, folders, message templates, schedules and reports
  • Assign to her/his account system-wide contacts, contact groups, folders, message templates, schedules and reports
  • Set connection to the server
  • See connection logs


Registration Client

Client Registration

i-Page Client PE comes with a 30-day free trial period. This period starts after the first run of the application. During the trial, the functionality of the application is not limited in any way. In that period the client needs to be registered.

Note: i-Page Client Professional does not require registration.

To enter the registration data and to register i-Page Client PE, you must be logged on to the machine as an administrator or you must have one of the machine administrator passwords at your disposal.

The application is registered per machine and the registration is valid for any user that can log on to that computer.

Enter your name into the "User" box.

Enter your company name into the "Company" box.

Enter your email address into the "Email" box.

Press the "Send" button.

Note: The "Send" button becomes enabled only after you have entered all the above data.

If you have an email client installed on the machine (Outlook, Thunderbird, etc.) your default email program will open and an email will be created with all your data, the license key and the vendor's address already entered. Send that email to the vendor and you will receive a matching registration key.

If you do not have an email client on the machine, you will have to obtain the registration key from the vendor by some other means.

Enter the registration key into the "Registration Key" box.

Press the "Register" button.

You will be advised whether the registration was successful.

Note: The "Register" button becomes enabled only after you have entered all the above data, including the registration key.

Changing User's Data

You can change the user's data (the user's name, company name and email) at any time, even after the application is registered.

Click on any of the labels that display the user's data and it will turn into an editable window. Enter new data. As soon as you close the "Register" dialog, all data will be saved.

Registration Key

The registration key for i-Page Client PE consists of:

  • 20 characters
  • characters are divided into 4 groups of 5 characters
  • groups are separated by hyphens ("-")
  • only hexadecimal characters are allowed (A - F and 0 - 9)
Warning: Typing the key in manually often results in typing errors.

The registration engine will attempt to correct some errors that usually occur while entering the registration key. It will do this by ensuring that:

  • all spaces are removed
  • all characters are converted into uppercase
  • all hyphens are removed
  • all lowercase "L" characters are replaced by the number "1"
  • all lower and uppercase "O" characters are replaced with the number "0" (zero)
  • all characters are checked to be hexadecimal characters

For all errors that the engine cannot resolve it will display an informative error message and the registration will fail.

Errors

Invalid Character Error

The registration key contains a character that is not a hexadecimal character.

Application Type Error

The registration key does not belong to the i-Page Client application type.


Main Display

Main Form

The i-Page Client main display contains four panels:

  • Contacts
  • Send To Contacts
  • Message
  • Send Message Controls

The size of each panel can be changed by dragging its edges with the mouse. The program will remember the new settings.

To return to the default size of the panels, select "View | Default Size" (hot keys: Alt+V,D) or use Shift+Ctrl+D shortcut.

Contacts

Displays all contacts, groups and folders associated with the logged-in user. All items are displayed in a tree-like view form and every contact in every tree view level, has an icon that indicates its address type (pager id, mobile number, email address).

The user can also set which of the objects (contacts, groups, folders) will be displayed and in which order.
See Main Display - Contacts, Groups And Folders

The width of the panel can be increased by dragging its right edge with the mouse. The program will remember the new settings.

Right-clicking on the contact, group or folder brings up a menu that allows the user to:

  • Delete the selected contact, group or folder
  • Edit the selected contact, group or folder
  • See detailed information about the selected contact, group or folder
  • Find any contact, group or folder

Note: If "Delete" or "Edit" items are disabled, that means that the selected contact, group or folder was created by the system administrator on the server or that the user does not have rights to edit contacts.

Selecting the "Info" item shows detailed information about the selected contact, group or folder.

Selecting the "Find" item, opens the "Find" dialog, that allows the user to search for displayed contacts, groups or folders.

You can also open the "Find" dialog by clicking on the "Contacts" panel heading or using "Ctrl+F" shortcut.

In the "Find" group of controls, select the object type you are searching for: contact, group or folder.

In the "Find Object By" control, select your search criteria. You can search for the object by its name or id. If the object is a contact, you can also search for it by its address.

Note: The name of the control above depends on the selected object in the "Find" control. It can be "Find Contact (Group, Folder) By".

Start typing the object name, id or address into the "Enter Contact Name" control and the display in the "Contacts" panel will automatically, as you type, move to the next match.

Note: The name of the control above depends on the selected object in the "Find" control and the selected criteria in the "Find Object By" control. It can be "Enter Contact (Group, Folder) Name(Id, Address) ".

The dialog is context sensitive and, if any object is selected in the "Contacts" panel, it will open with the same object type already selected in the "Find" group of controls.

Send To Contacts

Displays all contacts that the user has selected to send the message to. It shows a contact name, address and address type. Every item also has an icon that indicates its address type

The height and width of the panel can be increased by dragging its bottom and left edge with the mouse. The program will remember the new settings.

Adding Contacts

To add a contact/group/folder to the "Send To Contacts" list:

  1. Double-click on the contact/group/folder in the "Contacts" panel, or
  2. Drag the contact/group/folder from the "Contacts" panel onto the list, or
  3. Select the contact/group/folder in the "Contacts" panel and do one of the following:
  • Click the "Add" button on the "Send Message Control" panel
  • On the main menu select "Messages|Add" item
  • Use shortcut Crtl+=
  • Use hot keys Alt+M,A
Note: Whichever method above you choose, the program will take care not to enter duplicate contacts into the "Send To Contacts" list. To change this behaviour, see "Message Options - Allow Duplicate Contacts".

Removing Contacts

To remove a contact from the "Send To Contacts" list:

  1. Double-click on the contact in the list, or
  2. Select the contact in the list and do one of the following:
  • Click the "Remove" button on the "Send Message Control" panel
  • On the main menu select "Messages|Remove" item
  • Use shortcut Crtl+-
  • Use hot keys Alt+M,R
Note: You can select multiple contacts and remove them by using any of above methods (except double-clicking)

Changing Contact Position

You can move contacts up and down to change their position in the list.

  1. Select the contact and drag it to its new position, or
  2. Select the contact and do one of the following:
  • Press the "Up" or "Down" button on the "Send Message Control" panel
  • On the main menu select "Messages|Up" or "Messages|Down" items
  • Use shortcut: Crtl+UpArrow or Ctrl+DownArrow
  • Use hot keys Alt+M,U or Alt+M,D

Message

The "Message" panel is used for creating, editing and displaying of the text message that will be sent to all contacts selected in the "Send To Contacts" list.

The user can type text into the window above and/or use message templates.

The height and width of the panel can be increased by dragging its top and left edge with the mouse. The program will remember the new settings.

Message Settings

To enter message settings click on the "Message Settings" button on the "Message" panel.

All settings entered here are saved automatically. For more explanations and setting options see "Edit System - Message Options".

To close the "Message Settings" control either click on the "Message Settings" button or move the mouse outside the control.

Send Message Controls

The "Send Message Control" panel is used to manipulate message content, intended message contacts, and to send the message.

It enables the user to:

  • add contacts to the "Send To Contacts" list
  • remove contacts from the "Send To Contacts" list
  • move contacts up and down in the "Send To Contacts" list
  • clear the message text
  • clear all contacts from the "Send To Contacts" list
  • send the message

Toolbar

The main toolbar contains buttons that are associated with commands that are used frequently. Each button has an icon that indicates its function.
If you are not sure what is a button for, hover the mouse over the button and a description (and keyboard shortcut) will pop up. You will also see a description of its functionality displayed in the first panel of the main status bar.

i-Page Client Toolbar

Note: Depending on your rights, some of the buttons may be disabled.

Showing/hiding Toolbar

You can select to show or hide the main toolbar. Use one of the following toggle commands:

Select ‘View|Show Toolbar’ – if shown, a check mark appears on the menu.

Shortcut: Shift+Ctrl+T
Hot Keys: Alt+V,T

If the main toolbar is displayed, the above commands will hide it and vice versa.

Status Bar

The main status bar consists of 3 fields.

Field

Display
First field | Longer version of hints, when the mouse moves over toolbar buttons or menu items
i-Page Client system messages
i-Page Server system messages
Connection results
Some non-critical errors
Second field

Shows the status of the connection to the server

Format: “Connected to i-Page Server on <server_IP_address>:<port_no>
Example: “Connected to i-Page Server on 127.0.0.1:6022”
Third field | Connection icons
Connected to i-Page Server
Not connected to i-Page Server

Showing/hiding Status Bar

You can select to show or hide the main status bar. Use one of the following toggle commands:

Select ‘View|Show Status Bar’ – if shown, a check mark appears on the menu.

Shortcut: Shift+Ctrl+S
Hot Keys: Alt+V,S

If the main status bar is displayed, the above commands will hide it and vice versa.

Help Hints

When you position your mouse over any of the toolbar buttons, a tool tip with the button name and its keyboard shortcut appears.
When you position your mouse over any of the toolbar buttons, main menu or popup menu items, a description of its functionality appears in the first panel of the main status bar.

Showing/hiding Help Hints

To show help hints, select ‘Help|Hints On’.
Hot Keys: Alt+H,O

To hide help hints, select ‘Help|Hints Off’.
Hot Keys: Alt+H,F

A check mark appears next to the currently selected option.

Changing Window State

You can toggle between normal screen and full screen.

Full Screen

Select ‘View|Full Screen’

Shortcut: Ctrl+PageUp
Hot Keys: Alt+V,F

You can also use the standard Windows ‘Maximize’ command.

All the above commands are available only when the program runs in a normal screen mode.

Normal Screen

Select ‘View|Normal Screen’
Shortcut: Ctrl+PageDown
Hot Keys: Alt+V,N

You can also use the standard Windows ‘Restore’ command.

All the above commands are available only when the program runs in a full screen mode.


Starting i-Page

Starting Application

During start-up, the application will check some basic settings.

If the application does not find all the necessary files, you will get an error message.

Database Error

If you have deleted the database, changed its name, moved it to another folder, or corrupted it in any way, you will get the ‘Database error’ message:

Current file is corrupted

Database moved or its name changed

The message will offer you the choice to find the correct database file.
If you answer ‘Yes’, you will get a dialog box which will help you to find the database.

If you answer ‘No’, the application will terminate.

Click on the ‘Find’ button to open the ‘Find File’ dialog.

In the dialog’s title you will see the name of the database file that the system is expecting to find. Find that file and click the ‘Open’ button to return to the previous dialog.

Select the ‘Connect’ button. If you get the ‘Success’ message, just click the ‘OK’ button to continue with the loading of the application. Otherwise, try to find another file.


Login Client

Log In

Before it completely establishes a connection to i-Page Server, i-Page Client will require the user to complete the authentication process.

Log in to the system:

  • Enter your user name in the “User Name” box – not case sensitive
  • Enter your password in the “Password” box – case sensitive
  • Press the “Log In” button or the Enter key.

If the login procedure is not successful, i-Page Server will terminate its connection to the client and return an error message.

Possible errors:

  • Incorrect user name and/or password
  • The account <account_id> on the same IP address is already logged on.
  • The account <account_id> has been deactivated by the administrator.

After you log in to the i-Page Server, the system will set all your rights for the client application according to the account rights, set by the administrator.

Default login for the administrator:

  • User Name: Admin
  • Password: admin

Default login data for other users are assigned by the administrator.
It is strongly recommended that you change your password as soon as you log in to the system for the first time.

The i-Page Client application does not require authentication on start-up. You will be asked to log in after you select one of the "Run" commands and the client successfully connects to i-Page Server.

Quick Log In

If only one person will be using i-Page Client on a particular computer, the “Remember Me” check box on the “Login” dialog may be checked after entering the user name and password. The next time you start the application, your login data will already be entered and all you need to do is select the “Log In” button or press the “Enter” key.

The system can remember only one user at a time, so the last one will overwrite the previous. All authentication data is stored in a secure way.

Warning: Be aware that the “Quick Log In” procedure poses a security risk.

Log in as a different user

Select ‘File|Log Off <userName>'
Shortcut: Shift+Ctrl+L
Hot Keys: Alt+F,O

Any of commands above will cause the client to disconnect from the server and start a new connection. A new login procedure will be initiated, where you can login as a different user.


Run i-Page Client

Running i-Page Client

When you run i-Page Client, it will try to establish a connection to i-Page Server following the user's settings in the "Set System - Set i-Page Server". If you have a problem running the client, check those settings.

Before the connection to i-Page Server is successfully established, the client does not display any contact object, most of its functionalities are disabled and it is not capable of sending a message.

Run

To establish the connection to i-Page Server and to enable the client to send messages, use one of the following commands:

Select ‘Run | Start’

Click on the “Start” toolbar button

Shortcut Key: F5
Hot Keys: Alt+R,S

In the i-Page Client application, the above commands will result in the client attempting to connect to the server.

Possible errors:

  • Cannot find i-Page Server on <server_IPAddress>:<server_port>
    • Check the server IP address and port number (TCP)
    • Check whether the server is running (TCP)
    • Check your network connection (TCP)
    • The server is not installed on the machine (COM)
    • The server is not registered on the machine (COM)
  • The number of clients that the server is registered for has been exceeded

If the connection is successfully established, the user will be asked to log into the server.

After successful authentication the client will receive:

  • Account data
  • System settings
  • Contacts, contact groups, folders and templates owned by the account or assigned to the account
  • Schedules and reports owned by the account or assigned to the account

Connection Display

During the connection process, the user will be constantly advised about its progress:

To remove the progress display, just click anywhere or press any key.

You can set whether this prompt appears or not in "Set System - i-Page Server ".

Connected:

  • Message appears in the status bar field that shows the connection status: "Connected to i-Page Server on <IP_address:port>"
    Example: "Connected to i-Page Server on 127.0.0.1:6022"
  • Connection icon in the status bar field that shows the connection image becomes enabled.

Not connected:

  • Message in the status bar field that shows the connection status reads: "Not connected to i-Page Server on <IP_address:port>".
    Example: "Not connected to i-Page Server on 127.0.0.1:6022"
  • Connection icon in the status bar field that shows the connection image becomes disabled.
Connection icons
Connected to i-Page Server
Not connected to i-Page Server

Auto connect

To start the connection process as soon as the program loads:

Select ‘Run | Autoconnect’

Hot Keys: Alt+R,A

If the auto-connect feature is on, a check mark will appear next to its menu item.

You can also set this feature in "Set System - Set i-Page Server"

Stop

To stop i-Page Client, use one of the following commands:

Select ‘Run | Stop’

Click on the “Stop” toolbar button

Shortcut: F6
Hot Keys: Alt+R,O

When you stop the application, the user will be logged out and the connection to the server will be disconnected. All user data will be destroyed and settings reset.


Send TTS Message

Send Message

i-Page Client uses i-Page Server to send a message to different wireless devices connected to different carriers.

To send the message, the client must be connected to the server and all application and user's data must be loaded from the server to the client.

The message can be sent from the client main screen, following a simple procedure:

  • Select contacts into the send to list
  • Create a message
  • Define message settings (optional)
  • Send Message

Menu Messages

Select Contacts

All contacts and contact groups that are accessible to the user currently logged on, are displayed in the contacts list (left panel). All the contacts that you want to send the message to must be placed into the send to list (middle top panel).

Warning: If there are no contacts in the send to list and no text in the message window, the "Send" button will be disabled.

Add Contact

To select the contact to send the message to:

Select a contact or a group in the left panel.

Press the "Add" button in the right panel or select "Messages | Add" item on the main menu.

Shortcut: Ctrl+=

Hot Keys: Alt+M,A

You can also:

  • double-click on the contact/group in the left panel, or
  • drag the contact/group to the send to list.
Note: Whichever method above you choose, the program will take care not to enter duplicate contacts into the send to list. To change this behaviour, see "Message Options - Allow Duplicate Contacts".

Remove Contact

To remove a contact from the send to list:

Select the contact in the list.

  • You can select more than one contact.
  • To select non-contiguous contacts, hold down the CTRL key and click on every contact you want to select
  • To select contiguous contacts, click on the first one, hold down the Shift key and click on the last one. All contacts in between will be selected.

Press the "Remove" button in the right panel or select "Messages | Remove" item on the main menu

Shortcut: Ctrl+-

Hot Keys: Alt+M,R

You can also double-click on the individual contact to remove it from the send to list.

Change Contact Position

You can move contacts up and down to change their position in the send to list.

Select the contact in the send to list.

Press the "Up" or "Down" button in the right panel or select "Messages | Up" or "Messages | Down" items on the main menu.

Shortcuts: Crtl+UpArrow, Ctrl+DownArrow

Hot Keys: Alt+M,U (for Up) or Alt+M,D (for Down)

You can also drag the contact to its new position in the send to list.

Clear Message

To clear the "Message" window, press the "Clear Text " button in the right-hand panel or select "Messages | Clear Message " on the main menu.

Shortcut: Ctrl+Del

Hot Keys: Alt+M,C

You can also right-click on the "Message" window and select "Clear Message " from the popup menu.

Clear Contacts

To clear all the contacts in the "Send To " window, select "Messages | Clear Contacts " on the main menu.

Shortcut: Shift+Del

Hot Keys: Alt+M,C

Clear All

To clear the "Message" window and all the contacts in the "Send To " list, press the "Clear All" button in the right panel or select "Messages | Clear All" on the main menu.

Shortcut: Shift+Ctrl+Del.

Create Message

Message Options

Same Message for All Contacts

  1. On the "Message Option" page select the "Same Message for All Contacts" option.
  2. Enter contacts into the "Send To" window.
  3. Enter a message into the "Message" control.

Different Message for Every Contact

  1. On the "Message Option" page select the "Different Message for Every Contacts" option.
  2. Enter contacts into the "Send To" window.
  3. Select every contact in the "Send To" window separately and enter its message into the "Message" control.

Different Message for Same Contact

  1. On the "Message Option" page select the "Different Message for Every Contacts" option.
  2. On the same page check the "Allow Duplicate Contacts" check box.
  3. Enter the same contact into the "Send To" window multiple times.
  4. Select every instance of the same contact in the "Send To" window separately and enter its message into the "Message" control.

Same Message for Same Contact (multiple instances)

  1. On the "Message Option" page select the "Same Message for All Contacts" option.
  2. On the same page check the "Allow Duplicate Contacts" check box.
  3. Enter the same contact into the "Send To" window multiple times.
  4. Enter a message into the "Message" control.

To speed up entering the message, you can also use message template.

Message Settings

You do not need to set message settings for every message that you send. Once set, message settings are applied to all the subsequent messages.

Changes to any of the options are saved automatically.

You can also change message settings through "Set System - Message Options".

To open the "Message Option" form, just click on the "More..." button.

On Send Events

There are two events that are triggered every time a message is sent.

Clear Contacts

If you check the "Clear Contacts" box, every time a message is sent, all contacts in the send to list are cleared.

Default: Off

Clear Message

If you check the "Clear Message" box, every time a message is sent, any text in the message window is cleared.

Default: On

Message Priority

To set a message priority, select a value from the "Message Priority" control.

Options:

  • Critical
  • Urgent
  • High
  • Normal
  • Lower
  • Low

This option is used by i-Page Server to order clients' messages in its message queue. All messages with higher priority will be dispatched first.

Default: Normal.

Allow Empty Message

Check this option to allow the operator to send a message without any text.

Message Age

Set the message expiry time in the "Message Expires After" group of controls. After that period of time, if the message is not sent for whatever reason, the server will destroy the message.

Default: 2 hours.

Email Subject

Enter an email subject into the "Email Subject" control.

This setting is used only by email messages.

Default: "i-Page Client Message"

Send Message

To send the message, press the "Send" button or select "Messages | Send" on the main menu.

Shortcut: F8

Hot Keys: Alt+M,S

The client will advise you that the message is being sent to the selected addresses:

The same message to different contacts:

Different messages to different contacts:

To remove the display, just click anywhere or press any key.

You can send many messages one after another. To send another message, you do not need to wait until the client finishes sending the previous one.

After a while, the server will return the message result:

To set the content and the format of the message result, go to "Message Result Alert".


Sent Messages

i-Page Client does not store sent messages. All sent messages are stored on i-Page Server. The user can see only her/his own messages.

To see previously sent messages, the client must be connected to the server.

Select ‘Report | Sent Messages’ or click on the “Show Sent Messages” toolbar button.

Shortcut: F7
Hot Keys: Alt+E,S

In the "Show Messages Sent", select the subset of messages that you want to see.

Option | Description | Additional Data
All | All messages sent by the account | None
Last | Last selected number of messages sent by the account. | The number of messages
Today | All messages sent today by the account | None
On Date | All messages sent on selected date by the account | Date and time
Before Date | All messages sent before selected date by the account | Date and time
After Date | All messages sent after selected date by the account | Date and time
Between Dates | All messages sent between two selected dates by the account | Date and time for start and end of the period

For some of the above options the user must enter additional data. In that case the option will display additional data entry controls.

Fill additional data (if needed) and press the "Show" button.

The grid will display all the messages (if any) that meet the selected criteria.

The grid title displays the selected criteria and the number of messages found (and displayed).

Title format: <criteria> / <number> messages

Show Message Dialog

If you want the program to display a message dialog with the result of your query, select the "Show Message Dialog" check box.

Find Message

If there are too many sent messages displayed, you can use a search tool at the bottom of the dialog.

Select one of the options in the "Find By" combo box.

Option | Description
Address | Pager id, email address or mobile number the message was sent to
Contact | The name of the contact the message was sent to
Text | Message text
Id | System id of the message, unique throughout the i-Page system
Transaction Id | Id of the message unique to the sender

Default: Address

Start typing the address, contact name, part of the message tex or any of ids "Find Message " window. If the match is found the message in the grid will be selected and moved at the top of the grid.

Message Data

To see all information about the selected message, select the “Selected Message” node or just double-click on the message in the grid.

Shortcut: Ctrl+O

To see the same information about the selected message in a different format, select the "Message Summary" node or use the shortcut Ctrl+I.

The "Message Summary" window allows you to copy all information to the clipboard. To do so, right-click in the window and from popup menu first select "Select All" then "Copy", or use shortcuts: Crtl+A and then Ctrl+C.

For more info, see "Object Summary".

Delete Messages

To delete messages, select the "Delete Messages" node.

If the user does not have rights to delete messages ("Delete Client Messages" right), the system will display an error message and the "Delete Messages" page will not open:

Select a delete option in the "Delete" group of radio-buttons.

Selected Message | Only the selected message will be deleted - default for all other pages of the dialog
All Messages | All account's messages stored on the server will be deleted
Old Messages | All account's messages older than the number of days in "Delete Interval" will be deleted

Press the "Delete" button or use the shortcut: Ctrl+Del.

You will get an appropriate warning with the option to cancel the delete operation.

Delete Old Messages

Old messages may be deleted manually or the program can be set to delete them automatically.

The “Last Time Deleted” control shows the last time old messages were deleted.

In the “Delete Interval” control, enter the number of days that the program will keep messages in the database. All messages older than that interval will be deleted.

If you select the “Auto Delete” control, every time the program starts it will delete all messages older than the delete interval. If the program runs continuously, every day between midnight and 2:00 AM it will check for old messages and delete them.

Copy Messages

You can copy displayed messages in a CSV format directly from the grid . For more about CSV format see "Set CSV".

To copy the message, right-click on it in the grid and from the popup menu select the desired option.

Copy All Fields | Copies all the message fields from the selected row to the clipboard
Copy Displayed Fields | Copies only fields that are displayed in the grid from the selected row to the clipboard
Copy Whole Grid | Copies the whole grid to the clipboard
Copy Displayed Grid Fields | Copies the whole grid, but only displayed fields, to the clipboard
Copy Message Tex | Copies only the selected message text from the selected row to the clipboard

The copied message can be pasted into any text editing program, saved as a CSV file and opened in a spreadsheet program of your choice.


Set Client System

Set System

Sets values that are used by the whole application.

Select ‘Settings | Set System’

Shortcut: Ctrl+S
Hot Keys: Alt+S,S

Currently, it has the following items:

  • i-Page Server
  • Tcp Connection
  • Message Options
  • System Log
  • Main Display
  • CSV File
  • View Carriers

Save System Settings

None of the changes you make to any of the pages are saved automatically. Saving changes works separately for each page.

E.g., If you have entered some changes on one of the pages, the “Save” button will become enabled, but only when you are on that page. If you move to another page, it will resume the value for that page. Your changes on another page will not be lost, so you can always go back and save or cancel changes.

If you wish to save some changes, go to the respective page and save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning: If you close the dialog box without saving changes on any of the pages, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes on all pages will be saved.

Cancel Changes

If you do not wish to save your changes to any of the settings and wish to return to the previous settings, you can cancel all the changes for that page by selecting the “Cancel” button.

The cancel button works the same way as the “Save” button, i.e. its functionality is always associated only with the currently opened page.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Defaults

To return to default settings, click on the "Default" button.

The default button works the same way as the “Save” button, i.e. its functionality is always associated only with the currently opened page.

Shortcut: Ctrl+N


Set i-Page Server

i-Page Server

i-Page Client uses i-Page Server to send page, SMS and email messages required by the user. The software can connect to the local instance of the i-Page server or to any other i-Page server running on any machine accessible through the Internet or your LAN.

.

Selecting i-Page Server

Before you select a new option for i-Page Server, you must disconnect i-Page Client from the server it is currently connected to. Otherwise, all controls on this page will be disabled.

Select the server in the "Select i-Page Server" group of controls.

Save your changes before you attempt to start the server.

Local i-Page Server

To connect to the i-Page server running on your machine, select the "Local" option.

To run the server locally, you will need:

  • modem (internal or external)
  • active telephone line
  • GSM Modem
  • internet connection for IP enabled carriers and email
  • connection to a SitePage on-site paging system via a serial port or LAN

You must also have the i-Page Server software installed and running.

The i-Page PE (Personal Edition) installation will install and register the i-Page Server for you. If you are using the professional edition, you will have to install i-Page Server yourself.

If it is running, you will see its icon in the computer system tray (bottom-right corner of the desktop).

Remote i-Page Server

To connect to an i-Page server running on another machine, select the "Remote" option.

To run the server remotely, you must be able to connect to that machine through your network or the Internet.

You also need to enter the destination machine IP address into the "Server IP Address" control and the i-Page Server port number into the "Server Port" control (default 6022).

Auto connect

If the "Auto connect on Startup" check box is checked, i-Page Client will attempt to connect to the selected server automatically on the start-up.

You can also set this option in "Run i-Page Client - Auto connect"

Encrypt Password

If you want, during the login procedure, to send your password to the server encrypted, check the "Encrypt Password" box.

Display Connection Prompt

If you want to see every step in communication with i-Page Server during the connection and login process, check the "Display Connection Prompt" option.
See "Run i-Page Client - Connection Display"

Display Connection Errors

By default, i-Page Client does not display connection and login errors. They are all logged into the system log file. If you want the client to popup an error message box on a connection or login error, check the "Display Connection Errors" check box.


Client TCP

TCP Connection

Sets the values that are used by the TCP/IP connection engine that connects and maintains the connection to i-Page Server.

It is used only if the user chooses to connect to a remote server.

If all controls on the page are disabled it means that the user logged on does not have rights ("Set Client Connection" right) to set the connection.

Client Data

Controls "Client Name" and "Client IP Address" are read-only controls and they display the name and IP address of the machine that i-Page Client is running on.

Protocol

This is an application level protocol that i-Page Client uses to talk to i-Page Server. Select a protocol version that you want to use. In most cases you would select the highest one. Which one will be actually used, depends on the capabilities of the server.

After a successful connection to the server, the "Running Version" read-only control shows the actual version used.

Note: In the current version of i-Page, either the "iPP 1.1" or "iPP 1.2" protocol can be used.

TCP Buffer Size

i-Page Client has an additional memory buffer to store messages intended for the server, while waiting on the TCP connection to come through. The client buffer is used to prevent loss of messages due to lower speed or congestion of the network, or to control the memory used by the messaging system.

If you suspect that some messages may be lost due to slow network traffic, increasing the buffer size may help. On the other hand, if the computer is low on memory, decreasing the buffer size could lower memory consumption.

Enter into the "Buffer Size" control the number of messages that the client TCP/IP connection can store.

Maximum number for the client buffer is 10,000 and minimum is 200 messages.

Connect Timeout

Connect timeout indicates the number of milliseconds to wait for successful completion of a TCP connection attempt for the client.

The default value is 0, and indicates that the default timeout value for the protocol stack implementation should be used when establishing the client connection.

Read and Write Timeouts

Read timeout indicates the number of milliseconds that the connection should wait on the server, before checking if there is any user message to send to the server.

Default: 1,000 milliseconds.

Write timeout indicates the number of milliseconds that the connection should wait on the user's message, before checking if there is any message received from the server.

Default: 2,000 milliseconds.

Keep Alive

i-Page Server can be set to send "keep alive" messages to the client in regular time intervals. The client can either disregard those messages or make use of them.

To enable the client to use "keep alive" messages, check the "Use Keep Alive Messages" check box.

Default: false.

To set the keep alive interval in which the client expect the server "keep alive" message, enter the number (in minutes) into the "Keep Alive Interval" control.

Default: 3 minutes.

After the client connects to the server, it will start the timer that runs for the "Keep Alive Interval" number of minutes. If in that period the client does not receive any "keep alive" message from the server, it will assume that the TCP/IP connection has been lost, start the disconnect procedure and stop the client.

Before entering any value, check the value entered in the same control on the server.

Warning: The "Keep Alive Interval" on the client must have a larger value than the interval on the server, to avoid the client running the disconnect procedure because of network delays.

TCP Message Data Size

iPP protocol expects every message to be in a certain range size. It allows two different ranges to be used in a communication between the server and the client. Most of messages fit into the "normal" size and it is recommended to the user to use the "Normal" data size settings.

It could happened during the objects download or during report queries that the message goes over that size. If that happen, the server will truncate the message on the boundaries of the last object that fit into the required size. If the user notice that frequently all expected objects (contacts, schedules, etc.) are not loaded, it can increase this settings to the "Large" data size.

Make sure that the "TCP data Size" on the server is set to the same value.

Character Encoding

iPP protocol allows the client and the server to use different character encoding to encode a TCP message.

To set the character encoding, select one of the options from the "Character Encoding" combo box.

Character Encoding Options | Description
ASCII | Uses characters from the basic 7-bit ASCII encoding set
ANSI | Uses characters from the extended 8-bit ASCII set, defined as the current computer's code page
UTF-8 | Uses UTF-8 Unicode character encoding
Unicode | Uses UTF-16LE Unicode character encoding (little-endian byte order)
Unicode BE | Uses UTF-16BE Unicode character encoding (big-endian byte order)

Make sure that the "Character Encoding " on the server is set to the same value.

Warning: Both, the server and the client must have the same settings for the "TCP Message Size" and "Character Encoding". Otherwise, the client may not be able to connect to the server at all.


Set Message Options

Message Options

Sets options that will be used for all messages sent to i-Page Server.

Priority

Select a message priority from the "Message Priority" control.

Options:

  • Critical (1)
  • Urgent (2)
  • High (3)
  • Normal (4)
  • Lower (5)
  • Low (6)

This option is used by i-Page Server to order clients' messages in its message queue. All messages with higher priority will be dispatched first.

Note: Messages with a lower number have a higher priority.

Default: Normal.

Allow Empty Message

If checked, this option allows the operator to send a message without any text. This option is mainly used to send the message to tone-only pagers.

Note: If the "Allow Empty Message" is not checked, the "Send" button on the main form is disabled as long as the user does not enter something in the "Message" window.

On Message Sent Actions

Check the "Clear Contacts" box to clear all contacts selected into "Send To Contacts" list after the user sends the message.

Check the "Clear Message" box to clear the message text in the "Message" window after the user sends the message.

Message Age

If, for some reasons, the server does not manage to deliver the message to a carrier and there is no error reported, the server will keep the message for a while for later retrials.

Some reasons that could cause that:

  • The server was down for a while
  • The message is still in the message queue and is always pushed back by messages with higher priority
  • Sending the message to the carrier was unsuccessful, but the server did not use up all the trials set by the user

Set the message expiry time in the "Message Expires After" group of controls. After that period of time, the server will destroy the message.

Default: 2 hours.

Email Subject

Enter an email subject into the "Email Subject" control.

This setting will be used only by email messages.

Add Affix To Message

This group of controls allow the operator to set some text and a date stamp as a constant prefix and/or suffix to every message.

To add some text to every message, select an option from the "Add Text" control. To add current date to every message, select an option from the "Add Date/Time Stamp".

Options:

  • Do Not Add
  • As Prefix
  • As Suffix
  • As Prefix and Suffix

Any option, except "Do Not Add" will enable the "Text" and/or "Date/Time Display" edit boxes respectively.

All spaces that are inserted into above edit boxes will be honoured. If you want to use a new line, type '\n' character in the place when you want the line break to be inserted.

In the "Date/Time" display edit box, the program is using '<DT>' as a date/time placeholder to help you with formatting. You can insert spaces and/or new line symbols before and/or after the placeholder.

Add Group/Contact Name as Prefix

To add every group/contact name selected into the "Send To Contacts" list to the message automatically, check the "Add Group/Contact Name as Prefix" check box.

To separate those names in the message, enter a delimiter string into the "Delimit With" control.

Message Text Usage

This group of controls allows the user to set the way i-Page Client will use the message text.

If you want the same message text to be used for all selected contacts, select the "Same Message For All Contacts" radio button. (DEFAULT)

If you want to send a different message to every selected contact, select the "Different Message for Every Contact" radio button.

Duplicate Contacts

By default, i-Page Client does not allow the same contact to be entered more than once into the "Send To" window. If you want to enter the same contacts multiple times, check the "Allow Duplicate Contacts" check box.


Set Client Log

Log

i-Page Client logs all events created during its communication with i-Page Server.

Log data are stored in the "<IPageClient_Folder>\Logs" folder (Example: "C:\Program Files\IPageClient3\Logs") and it is named "ipcLog<log_number>.txt" (Example: " ipcLog1.txt").

You can open that file with any text editing tool (e.g. Notepad) or you can use the log viewer tool that comes with i–Page (see See Log).

Log File

The log file stores all data in the following format:

  • Log Item: <item_no> (<date> <time>)
  • <action_performed>
  • Description: <action_description_and_result>
  • Debug Info: <aditional_info>
For example:

Log Item: 63 (19/07/2010 09:50:08)
Login Accepted
Description: Account "nicole" successfully logged on i-Page Server
Debug Info: "12 LOGIN02000037D0,7DE70F082C23" 1F "7DE70F082C23" 1D "nicole" 02 "Account "nicole" successfully logged on i-Page Server"

Log Settings

To set the number of distinctive entries that will be stored in one log file, enter a value in the "Items per File" control.
When the number of items_per_file is reached, i-Page Client will switch to a new log file.

To set number of separate files that i-Page Client will maintain, enter a value in the "No of Files" control.
When the number_of_files is reached, i-Page Client will start overwriting the first file.

The control "Current Log File" displays the name and the path of the log file that i-Page Client is currently using. This control is read-only.

Reset

Selecting the "Reset" button will reset all log counters. The system will switch to the first file and start counting items in this file from '1'.

Log Display Settings

i-Page Client includes a log viewer - tool that allows the user to see all the entries in the log file in real time.

If you want to see more information about client/server communication that is logged in that file, check the "Display Debug Info" box.

Note: If the client/server communication works without problems, it is better to uncheck this control, because debug data make log harder to follow and may be confusing for an every day user.

If you want the log display to always stay on top of all the other forms in the program, select "Stay On Top".

To set the the background colour of the viewer, select the "Colour" button.

Shortcut: Ctrl+C

To set a font for the viewer, select the "Font" button.

Shortcut: Ctrl+F

All changes to the font and colour will be displayed in the text box above the buttons.

Test

To test current log display settings select the "Test" button.

Shortcut: Ctrl+T

The application will open the system log with its current settings.


Set Main Display - Client

Main Display Settings

Sets the display of the i-Page Client main form.

You can set different background colours and different font values (type, style, colour and size) for different parts of the main display.

The "Contact Display" groups of controls sets those values for the main form contact display panel, the "Send To Display" sets values for the main form send to contacts panel and the "Message Display" sets values for the main form message panel.

To set a background colour for the display, click on the “Fill” button for the respective display type and select colour.

To set the font for the display, click on the “Font” button for the respective display type. In the Font Dialog you can select any font type that is installed on the machine. You can also select a font size, a font colour and a font style (bold, italic, strikeout, underline).

The new selection will display in the text box above the buttons.

Contacts, Groups and Folders Display

To set what will be displayed in the contact display panel, select between options in the "Tree View Display" control:

  1. To display an object, check the check box in front of its name.
  2. To set its display position in the tree view, select it and use up/down arrows on the right-hand side.


Set CSV File

i-Page uses a CSV format to copy sent messages from different displays, to export reports to a file and to send report result as an attachment to an email.

CSV is a common, relatively simple file format that is supported by large number of applications. A CSV file can contain any number of records, separated by a line break. Each record contains fields, separated by some character as delimiter. Usually, all records have an identical sequence of fields.

Different programs use different variations of CSV format. That is why i-Page allows the user to set some parameters of the CSV format so that the user can make it compatible with a desired application.

i-Page Server

On the main popup menu select "System | Set System" and on the "Set System" dialog select the "CSV File" item.

i-Page Client

On the main menu select "Settings | Set System" and on the "Set System" dialog select the "CSV File" item.

i-Page CSV File Format

In practice CSV is not a single, well-defined format. The term is usually used for a large family of formats, which differ in many ways.

To make it more portable, the i-Page system defines CSV format which is followed by most implementations:

  1. The file contains records of data that are divided into fields.

  2. Each record is located on a separate line, delimited by line break characters - CR (0xD; #13) LF(0xA; #10) . Line break characters on the last line are optional.

  3. The first line of the file contains a header.

  4. Each record is divided into fields, separated by the delimiter character.

  5. The last field in the record is never followed by the delimiter.

  6. Each record has the same number of fields.

  7. The header contains names that corresponds to the fields in the file and has the same number of fields as the records in the rest of the file

  8. A field can be empty - it means that only the delimiter character is entered.

  9. If a field contains line break characters (CRLF), the delimiter or double-quotes ("), it must be enclosed in double-quotes. If a double-quote appears in the field then it must be duplicated.

  10. All fields contain a plain text, which means that data within fields is interpreted as a sequence of characters, not as a sequence of bits or bytes.

  11. The text in the field can be formatted using ACSII, ANSI (default machine code page), Unicode UTF-8 and Unicode UTF-16LE character set.

  12. The field delimiter character is always an ASCII character.

  13. If the file is formatted using UTF-8, then the first 3 bytes on the first (header) line are: 0xEF 0xBB 0xBF. It is required by many text processing and spreadsheet applications in order to recognise UTF-8 format.

  14. If the file is formatted using UTF-16LE, then the first 2 bytes on the first (header) line are: 0xFF 0xFE. This is called BOM (Byte Order Mark) and it is required by many text processing and spreadsheet applications in order to recognise UTF-16LE format.

CSV Delimiter

To set a character that will delimit fields in one record, select between the options in the "Select CSV Delimiter" control.

Field Delimiter Options |
System | The "List Separator" option, from the computer's "Control Panel | Region and Language" settings is used
Comma | ASCII character 'comma' - "," is used (0x2C - #44)
Semicolon | ASCII character 'semicolon' - ";" is used (0x3B - #59)
Tab | ASCII control character 'Horizontal tab"' is used (0x09 - #9)
Other | The user can enter any printable ASCII character

CSV Encoding

To set a character encoding of the CSV file, select between the options in the "Select CSV Encoding" control.

CSV Encoding Options |
ASCII | Uses characters from the basic 7-bit ASCII encoding set
ANSI | Uses characters from the extended 8-bit ASCII set, defined as the current computer's code page
UTF-8 | Uses UTF-8 Unicode character encoding
Unicode | Uses UTF-16LE Unicode character encoding (little-endian byte order)
Unicode BE | Uses UTF-16BE Unicode character encoding (big-endian byte order)

Note: If you select the "Unicode" option (UTF-16LE) and you intend to open a CSV file in current versions of MS Excel, please select the "Tab" delimiter option. Otherwise, Excel will not be able to parse fields properly and you will have to do it manually.


See Carriers

View Carriers

Displays data about carriers received from i-Page Server. All data on this page are read-only and the page is visible only when the user is successfully logged on to i-Page Server. All carriers and their respective devices are set on i-Page Server by the system administrator.

Select a carrier from the "Select Carrier" combo box.

Controls display the carrier id, carrier name, carrier type and the address type the selected carrier is using.

All other info about the carrier and its respective device are displayed in the "Carrier Info" window.


Set Client Objects

Set Message Objects

Every account can create, edit and delete their own message objects. Those objects are visible only to the account that has created them and cannot be assigned to another account.

Message objects are objects that the user uses to send a message:

  • Contacts
  • Contact groups
  • Message templates
  • Folders

Select ‘Settings | Set Message Objects’

Shortcut: Ctrl+M
Hot Keys: Alt+S,M

If this functionality is disabled, that means that the user does not have rights to create, edit and delete their own message objects ("Set Client Objects" right) .

Select Object Type

To set their own message object, the user must first select the object type. To select the object type that you want to create, edit or delete, click on one of the items in the left-hand side panel:

  • Contacts
  • Groups
  • Templates
  • Folders

A page with all objects of that type already created by the account opens in the middle panel.

Contacts

See image above.

Groups

Templates

Folders

If you also want to see all system objects of that type assigned to the account, check the "Show System Contacts/Groups/Templates" above the grid.

Find Object

Every page for every object type has a search tool that helps the user to find an object.

The object can be located in its grid by its name, id or address (contacts only).

Select one of these options in the "Find By" combo box. Default: name.

Start typing the objects's name, id or address into the "Find Contact" window. If the match is found the object in the grid will be selected and moved at the top of the grid.

Add New Object

Select an object type.

Click on the “New” button in the ‘Edit Object’ dialog box.

Shortcut: Ctrl+N

Note: All objects are created and stored on i-Page Server and if you use a TCP/IP connection you may wait for a while until the server sends back the newly created object.

Select the “Selected Contact/Group/Template” node to see the panel with object settings.

Enter an object name in the “Contact/Group/Template Name” box.

Note: Object names are not unique and you can assign the same name to a different object of the same type. The names in the system are case sensitive.

Edit Object

Selecting Object for Editing

Select an object type.

Select the object in its respective grid.

If you have a problem finding the object you can use the object's search tool.

Edit Contact

Select the “Selected Contact” node to get the panel with contact settings, or just double-click on the contact in the grid.

To change the contact name, enter a new name into the “Contact Name” control.

Select its carrier type in the "Carrier" combo. As soon as you change the carrier type, a value in the "Address Type" will change to the type of address that the selected carrier is using. The "Address Type" control is read-only.

Note: If you are not sure which carrier to use, you can find more information about each carrier in "Set System - View Carriers"

Enter a contact Address into the "Contact Address" box.

The address must be of the type shown in the "Address Type" control. If you enter an address of the wrong type, the system will warn you and you will not be able to save your settings.

If you want, you can also enter some additional comments about the contact in the "Comments" window.

Edit Group

Select the “Selected Group” node to get the panel with group settings, or just double-click on the group in the grid.

To change the group name, enter a new name into the “Group Name” control.

There are two lists with contact names displayed. The list on the left-hand side with the title "Available Contacts" shows all the account's contacts, that have not yet been assigned to the selected group. The list on the right-hand side with the title "Assigned Contacts" shows all the contacts already assigned to the selected group.

To add a new contact to the group, select it in the "Available Contacts" list and press the "Assign contacts" button [image], or just double-click on it. The contact will be moved from the "Available Contacts" to the "Assigned Contacts" list.

Shortcut: Ctrl+Right (arrow)

To remove a contact from the group, select it in the "Assigned Contacts" list and press the "Remove Contacts" button [image], or just double-click on it. The contact will be moved from the "Assigned Contacts" to the "Available Contacts" list.

Shortcut: Ctrl+Left (arrow)

If you want, you can also enter some additional comments about the group in the "Comments" window.

Edit Template

Select the “Selected Template” node to get the panel with template settings, or just double-click on the template in the grid.

To change the template name, enter a new name into the “Template Name” control.

Enter the template text into the "Template Text" window. The system will preserve new line settings.

If you want you can also enter some additional comments about the template in the "Comments" window.

Edit Folder

Select the “Selected Folder” node to get the panel with folder settings, or just double-click on the folder in the grid.

To change the folder name, enter a new name into the “Folder Name” control.

The dialog contains two groups of controls with two lists in each group.

First group: The list on the left-hand side with the title "Available Groups " shows all the account's groups, that have not yet been assigned to the selected folder. The list on the right-hand side with the title "Assigned Group " shows all the groups already assigned to the selected folder.

To add a new group to the folder, select it in the "Available Groups " list and press the "Assign group " button [image], or just double-click on it. The group will be moved from the "Available Groups " to the "Assigned Groups " list.

Shortcut: Ctrl+Right (arrow)

To remove a group from the folder, select it in the "Assigned Groups " list and press the "Remove group " button [image], or just double-click on it. The group will be moved from the "Assigned Groups " to the "Available Groups " list.

Shortcut: Ctrl+Left (arrow)

Second group: The list on the left-hand side with the title "Available Contacts " shows all the account's contact, that have not yet been assigned to the selected folder. The list on the right-hand side with the title "Assigned Contacts " shows all the contacts already assigned to the selected folder.

To add a new contact to the folder, select it in the "Available Contacts" list and press the "Assign contacts" button [image], or just double-click on it. The contact will be moved from the "Available Contacts" to the "Assigned Contacts" list.

Shortcut: Shift+Ctrl+Right (arrow)

To remove a contact from the folder, select it in the "Assigned Contacts" list and press the "Remove contacts" button [image], or just double-click on it. The contact will be moved from the "Assigned Contacts" to the "Available Contacts" list.

Shortcut: Shift+Ctrl+Left (arrow)

If you want, you can also enter some additional comments about the folder in the "Comments" window.

Save Changes

To save your changes, press the "Save" button.

Shortcut: Ctrl+S or Enter.

The save command will save changes only for the selected object type.

Warning: If you close the dialog box without saving changes for any of the object types, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes for all object types will be saved.

All changes are sent to the server and saved to its central database. The client does not store any settings for any of the message objects.

Cancel Changes

If you do not wish to save your changes and want to return to previous settings, you can cancel all the changes for the selected object type by selecting the “Cancel” button.

The cancel command works the same way as the save command, i.e. its functionality is always associated only with the currently selected object type.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Delete Object

To delete the selected object, press the "Delete" button.

Shortcut: Ctrl+Del.

You will get a warning from the system that the object will be deleted permanently and the option to either delete it or not. If you choose to delete it anyway, the object will be deleted permanently.

Note: You can delete only an object that is created by your account. If the selected object is a system-wide object (created on the server), the "Delete" button will be disabled.

Warning: If the selected object is a contact, it will be removed from all groups and folders. If the select object is a group, it will be removed from all folders.

Object Info

To see detailed info about the selected object either click on the "Selected Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.
See also "Object Summary".


Assign Message Objects

Apart from creating their own message objects, the user can also assign message objects already created by the system administrator on i-Page Server. These objects are system-wide objects and they are visible to all accounts. The only one who has the right to create, edit and delete these objects is the account with the "Set System Object" right and it must be done on i-Page Server.

Message objects are objects that the user uses to send a message:

  • Contacts
  • Contact groups
  • Message templates
  • Folders

Select ‘Settings|Assign Message Objects’

Shortcut: Shift+Ctrl+M
Hot Keys: Alt+S,A

If this functionality is disabled, this means that the user does not have rights to assign system objects to their account ("Assign System Objects" right) .

Select Object Type

To select the object type that you want to assign to your account, click on one of the items in the left-hand side panel:

  • Assign Contacts
  • Assign Groups
  • Assign Templates
  • Assign Folders

An appropriate page with the search tool for that type of object will open in the middle panel.

Find objects

To find objects of the selected type that are visible to all accounts, select your search criteria in the "Search Criteria" combo.

Options
All objects | Retrieves all objects of the selected type from the server and displays them in the list below
Objects starting with text | Retrieves all objects of the selected type from the server, whose name starts with the text in the "Search Text" control, and displays them in the list below
Objects containing text | Retrieves all objects of the selected type from the server, whose name contains the text in the "Search Text" control, and displays them in the list below

Enter the text for your search criteria into the "Search Text" window.

Click on the search tool in the "Search Text" window or just press Enter.

If there are no system message objects that match your criteria, you will get an error message

Example:

Note: If you are connected to the server through a TCP/IP connection, you may need to wait for a while before you get any results.

Assign Objects

If the search returns results, all system objects that are already assigned to your account are checked.

To assign an object to your account check the box in front of it and to remove an object from your account remove the check mark.

Save Changes

To save your changes, press the "Save" button.

Shortcut: Ctrl+S or Enter.

The save command will save changes only for the selected object type.

Warning: If you close the dialog box without saving changes for any of the object types, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes for all object types will be saved.

Cancel Changes

If you do not wish to save your changes and want to return to previous settings, you can cancel all the changes for the selected object type by selecting the “Cancel” button.

The cancel command works the same way as the save command, i.e. its functionality is always associated only with the currently selected object type.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Object Info

To see detailed info about the selected object, either click on the "Selected Info"item in the left-hand side panel, or just double-click on the object in the list.


Set Message Result

Message Result Alert

The message result alert is a form that pops up when the client receives a result from the server for the message that it had sent previously. It contains some basic data about the message. The user can choose whether or not to display the message result form.

Select ‘Settings | Edit Popup’ or click on the “Edit Message Popup” [image] toolbar button.

Shortcut: Ctrl+P
Hot Keys: Alt+S,P

Popup Form Caption

To set the popup form caption, enter a value into the “Popup Caption” control.

The caption will be displayed in the form:
"<program_name> – <user_caption>"

For example, if the user enters “Message Result” into the “Popup Caption” control, the form caption will be:
"i-Page Client – Message Result".

Popup Dimensions

The width and height of the popup form can be set by entering values into the “Popup Width” and “Popup Height”, respectively. These values are expressed in pixels.

An easy way to set dimensions is through the test form. See Testing

Popup Colour

Every popup form can be assigned a different background colour.

Click on the “Colour” button and select a background colour for that popup.

Shortcut: Ctrl+C
Hot Keys: Alt+C

The new selection will be displayed in the text box above the button.

Popup Font

Click on the “Font” button.

Shortcut: Ctrl+F
Hot Keys: Alt+F

In the Font Dialog you can select a font type from the “Font ” control. You can use any font that is installed on the machine.

You can also select a font size (from the "Size" control) and a font colour (from the "Color" control) and any font style (bold, italic, strikeout, underline).

All changes to the font will be displayed in the text box above the button.

Flashing

To make the popup form flash (blinking caption), check the “Flash” control.

You can also set a flashing interval by entering a value into the “Flash Interval” control. Values are expressed in milliseconds.

Note: 1000 ms = 1 sec

If you do not know what value to enter, try different values and play with the test form. See Testing

Timeout

To set how long the popup form will be displayed, enter an appropriate value into the “Popup Timeout” control. This value is expressed in seconds and defines the number of seconds the popup will be displayed.

If you enter ‘zero’ for the value, the popup form will stay on the screen until closed by the user.

Message

You can create the entire text that the popup alert form will display and format it any way you like.

Enter your message text into the "Message Format" window.
The text is a combination of literal text entered by the user and variable fields filled in by the system.
There are 16 fields that the user can use in the popup alert.

Field Name | Field Placeholder | Value
Id | <Id> | Unique message id, assigned by the client on send
Account Id | <Account Id> | The id of the account that has sent the message
Account IP | <Account IP> | IP address of the machine the client is running on
Address | <Address> | Address that the message is sent to
Contact | <Contact> | The name of the contact the message is sent to
Result Code | <Result Code> | Numeric result of the message sent operation, returned by the server
Result Message | <Result Message> | Description of the result of the message sent operation, returned by the server.
Message Text | <Message Text> | Message text
Date Sent | <Date Sent> | Date and time the message was sent by the server
Date Received | <Date Received> | Date and time the message was received by the server
Priority | <Priority> | Message priority expressed as a number
Priority Text | <Priority Text> | Message priority expressed in a textual form
Age | <Age> | For how long the message, if not sent, will be kept on the server
Address Type | <Address Type> | Type of the address (pager id, mobile number, email address)
TCP Command | <TCP Command> | Actual iPP protocol command used in the message
iPP Version | <iPP Version> | Version of iPP protocol, used to send the message

To enter one of the fields, position the cursor in the "Message Format" window where you want the field placeholder to appear. Right-click on the window and select the field from the popup menu .

During run-time the program will replace all fields with their real values.

Testing

To test your settings, click on the “Test” button. You will see an example of the popup form with your current settings.

You do not need to save settings to test them.

You can also use this test form to set up width and height easily. Just resize the form with your mouse pointer, and when you close it the “Popup Width” and “Popup Height” controls will assume the width and the height of the test form.

Save Popup

Changes you make to the popup settings are not saved automatically. If you have made some changes, the “Save” button will become enabled. If you wish them to take effect in the program, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning: If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Cancel Changes

If you are not satisfied with changes to the popup form and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Enable Popup Alert

For the popup alert to appear, you must enable it by checking the “Popup Enabled” control.


Untitled Document

Scheduling

The user can schedule any message to be send (one or more times) in the future. The message can be send only once or in hourly, daily, weekly or monthly intervals.

The account with the "Create System Schedules" right can create system-wide schedules, visible to all accounts. They are created only on the server and 'owned' by the default "admin" account.

The account with the "Create Account Schedules" right can create their own schedules, that are visible only to the account that has created them.

Scheduling Topics

Scheduling contains following topics:

  • Set Schedules
  • Schedule Message
  • Schedule Contacts
  • Scheduling Errors
  • Scheduling Tests
  • Scheduling Options

Accessing scheduling functionality

Server

Select ‘Message Objects | Set Schedules’ on the main popup menu.

Client

Select 'Settings | Set Schedule' from the main manu.

Shortcut: Ctrl+T

Hot Keys: Alt,S,C


Set Schedules

The system administrator and every account with the "Create System Schedules" right can create, edit and delete system-wide schedules that are visible to all accounts. They can also disable and delete (but not edit) schedules created by any account.

The system-wide schedules are created only on the server and 'owned' by the default "admin" account. They can be assigned to any account.

The account schedules are created on the client and 'owned' by the account that created them. They can be edited only by that account, but they can also be disabled and deleted by the system administrator on the server.

There are 5 types of schedules:

  1. Send Once
  2. Hourly
  3. Daily
  4. Weekly
  5. Monthly

On the server:

Select ‘Message Objects | Set Schedules’ on the main popup menu.

On the client:

Select 'Settings | Set Schedule' from the main manu.

Shortcut: Ctrl+T

Hot Keys: Alt,S,C

Find Schedule

"Edit Schedule" page has a search tool that helps the user to find a schedule.

The schedule can be located in the grid by its name or id.

Select one of these options in the "Find By" combo box. Default: name.

Start typing the schedule's name or id into the "Find Schedule" window. If the match is found the schedule in the grid will be selected and moved at the top of the grid.

Server:

If you want to see all schedules created by all accounts, check the "Show Users' Schedules". Otherwise only system-wide schedules, created by the administrator will be displayed in the grid.

Client:

If you want to see the system-wide schedules assigned to the account, check the "Show System Schedules". Otherwise only schedules, created and owned by the account will be displayed in the grid.

Add New Schedule

Click on the “New” button in the ‘Edit Schedule’ dialog box.

Shortcut: Ctrl+N

Select the “Selected Schedule” node to see the panel with schedule settings.

Enter a schedule name in the “Schedule Name” box.

Warning: The schedule name is required by the scheduling engine and cannot be an empty string.

Note: Schedule names are not unique and you can assign the same name to a different schedule. The names in the system are case sensitive.

Edit Schedule

Select the schedule in the grid.

If you have a problem finding the schedule you can use the schedule's search tool.

Select the “Selected Schedule” node to get the panel with the schedule settings, or just double-click on the schedule in the grid.

Shortcut: Ctrl+O

Schedule Name

To change the schedule name, enter a new name into the “Schedule Name” control.

The schedule name is required by the scheduling engine and you will not be able to enable the schedule without a name.

Schedule Type

In the "Send Message" control, select a schedule type.

When the type is changed, the dialog will display different set of controls to enable the user to enter data that are required for that type of schedule.

Send Interval

Every type of the schedule (except "Send Once") requires an interval. The interval is a period of time in which the message will be repeatedly scheduled.

To set scheduling interval, enter a number of hours/days/weeks/months into the "Send message every" control.

Wording of the control display ("hours", "days", "weeks", "months") depends, of course on the type of the schedule.

The interval must have a value bigger than '0', otherwise you will not be able to enable the schedule.

Schedule Start Date

A start date is a date on which the scheduling engine will start to calculate next message.

For the "Send Once" type it is the date on which the message will be sent, so it displayed as "Send Message On" and must be latter than the current date.

For all other types it is displayed as "Start sending on" and can be any date. If the value is earlier than the current date, the engine will keep calculating intervals until it reaches the current date. First message that will be scheduled is the message with date latter or equal to the current date.

Schedule End Conditions

Every schedule (except "Send Once") must have its end conditions defined.

To stop scheduling messages after certain date and time, check the "Stop after date" check box and select the end date and time in the end date controls.
The schedule end date must be latter than the schedule start date and the current date and time.

To stop scheduling messages after certain number of messages has been sent, check the "Stop after sending" check box and enter a number of messages into the text box. The number of messages must be bigger than '0'.

If you select both end conditions, the scheduling will stop when the first of them is met.

If none of conditions is selected, the scheduling engine will report an error and will not allow you to enable the schedule.

Sending Limits

Every schedule (except "Send Once") can limit sending of messages in certain intervals. The settings depend on the type of schedule.

Hourly

The user can prevent sending of the messages between certain hours of the day.

Use the first control to set the start of the period and the second one to set the end of the period of the day when i-Page will pause sending messages.

All values are expressed in the 24 hour values.

  1. If the first value is smaller, the interval falls within the same day.
  2. If the first value is bigger, the interval spans two days.

Example: 22:00 to 07:00 - the messages will pause from 10 p.m. of the one day to 7 a.m. the next day

Daily

The user can exclude certain days from sending of the messages. If the daily interval falls on the excluded day, the scheduling engine will move it to the next allowed (not selected) day.

If you select all days, the scheduling engine will report an error and you will not be able to enable the schedule.

Weekly

In a weekly scheduling, the user can select the day(s) of the week on which the message will be scheduled.

The engine will increase the next scheduling date for the number of weeks defined in the "Scheduling Interval" and start sending messages on every selected day in that week.

Monthly

The user can exclude certain days from sending of the messages. If the monthly interval falls on the excluded day, the scheduling engine will move it to the next allowed (not selected) day.

If you select all days, the scheduling engine will report an error and you will not be able to enable the schedule.

Enable Schedule

To enable the schedule, check the "Enabled" check box.

When you try to save the enabled schedule, the scheduling engine will check the schedule settings for errors. If there are errors, the engine will disable the schedule and report all the errors.

Schedule Message

Schedule message is the actual message that will be scheduled and sent to the designated contacts.

For information on how to set the message, see "Schedule Message" page.

Schedule Contacts

Schedule contacts are the contacts that the scheduled message will be sent to.

For information on how to set the schedule contacts, see "Schedule Contacts" page.

Scheduling Errors

If the scheduling engine cannot schedule any message from the user's settings it reports a scheduling error and disables the schedule.

See "Scheduling Errors"

Save Changes

To save your changes, press the "Save" button.

Shortcut: Ctrl+S or Enter.

If you enable the schedule and try to save the changes, the scheduling engine will test the schedule for errors. If one or more errors are detected, the engine will disable the schedule. Or other changes, even if they contain settings errors, will be saved.

The save command always saves all changes on all pages of the "Edit Schedule" dialog.

Warning: If you close the dialog box without saving changes for the schedule, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes for that schedule will be saved.

All changes are saved on the server to its central database. The client does not store any settings for any of the schedules.

Cancel Changes

If you do not wish to save your changes and want to return to previous settings, you can cancel your changes by selecting the “Cancel” button.

The functionality of the cancel command is always associated only with the currently selected page of the "Edit Schedule" dialog.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Delete Schedule

To delete the schedule, press the "Delete" button.

Shortcut: Ctrl+Del.

You will get a warning from the system that the schedule will be deleted permanently and the option to either delete it or not. If you choose to delete it anyway, the schedule will be deleted permanently.

Note:
  • On the client, you can delete only schedule 'owned' by the account currently logged on (non-system schedule)
  • On the server, you can delete any schedule (system-wide and owned by any of accounts).
Warning: The deleted schedule will be removed from all accounts.

Schedule Info

To see detailed info about the selected schedule either click on the "Schedule Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.

The "Schedule Summary" window allows you to copy all information to the clipboard. To do so, right-click in the window and from popup menu first select "Select All" then "Copy", or use shortcuts: Crtl+A and then Ctrl+C.

For more info, see "Object Summary".


Schedule Message

To define the message that the scheduling engine will use for the scheduled message, select the schedule in the grid and select the "Message" node in the left–hand side panel in the "Edit Schedule" dialog.

Message Priority

Select a message priority from the "Message Priority" control.

Options:

  • Critical (1)
  • Urgent (2)
  • High (3)
  • Normal (4)
  • Lower (5)
  • Low (6)

This option is used by i-Page Server to order clients' messages in its message queue. All messages with higher priority will be dispatched first.

Note: Messages with a lower number have a higher priority.

Default: Normal.

Message Age

Set the message expiry time in the "Message Expires After" group of controls. After that period of time, if the message is not sent for whatever reason, the server will discard the message.

Default: 2 hours.

Create Message

Enter a message in the "Message" control.

To speed up entering the message, you can also use message template.

Allow Empty Message

If the "Allow Empty" is checked, the scheduling engine will send a message even if no message text is set. This option is mainly used to send the message to tone-only pagers.

Note: If the "Allow Empty Message" is not checked and the the "Message" control does not contain any text, the scheduling engine will not allow the user to enable the schedule.

Email Subject

Enter an email subject into the "Email Subject" control.

This setting will be used only by email messages.


Schedule Contacts

To define contacts that the scheduling engine will send message to, select the schedule in the grid and select the "Send To " node in the left–hand side panel in the "Edit Schedule" dialog.

All contacts and contact groups that are accessible to the user currently logged on, are displayed in the "Contacts" list (left panel). All the contacts that the scheduling engine will send the message to must be placed into the "Send Message To" list (middle top panel).

Warning: If there are no contacts in the "Send Message To" list the scheduling engine will not allow the user to enable the schedule.

Add Contact

To select the contact to send the message to:

Select a contact or a group in the left panel.

Press the "Add" button in the right panel.

Shortcut: Ctrl+=

You can also:

  • double-click on the contact/group in the left panel, or
  • drag the contact/group to the send to list.
Note: Whichever method above you choose, the program will take care not to enter duplicate contacts into the "Send Message To" list.

Remove Contact

To remove a contact from the send to list:

Select the contact in the list.

  • You can select more than one contact.
  • To select non-contiguous contacts, hold down the CTRL key and click on every contact you want to select
  • To select contiguous contacts, click on the first one, hold down the Shift key and click on the last one. All contacts in between will be selected.

Press the "Remove" button in the right panel.

Shortcut: Ctrl+-

You can also double-click on the individual contact to remove it from the send to list.


Scheduling Errors

Scheduling errors are reported by the scheduling engine if the engine cannot schedule any message from the user's settings.

In the case of the error, the engine will disable the schedule.

There are two types of scheduling errors:

  • Settings error
  • Runtime error

Settings Errors

Error | Description | Schedule Types
Schedule Name | Schedule name cannot be an empty string | All
Message | Schedule message cannot be an empty string unless the "Allow Empty Message" is selected | All
Contacts | At least one contact must be assigned to the schedule | All
Send Date | Send date and time must be latter than the current date and time | Send Once
Interval | Scheduling interval must be greater than 0 | All - except Send Once
End Conditions | At least one of the end conditions must be set | All - except Send Once
End Conditions - End Date | If the "Stop after date" is selected, than the end date must be latter that the start and current date | All - except Send Once
End Conditions - Number Of Messages | If the "Stop after sending" is selected, than the number of messages sent must be bigger than 0 | All - except Send Once
Do Not Send On Days | All days cannot be selected (excluded from sending) | Daily, Monthly

If one or more of above errors happen, the scheduling engine disables the schedule and reports all the errors.

Runtime Error

If all the settings are correct, the scheduling engine checks if it is possible to schedule at least one message from the schedule settings in the given time interval.

If this is not possible, the engine disables the schedule and reports the error.


Reports - Client

Reports

i-Page Client allows the user to create and run their own reports on sent messages. Such reports are visible only to account that created them and they can be edited only by that account.

To be able to do so, the account must have the "Set Account Reports" right set by the system administrator on the server.

i-Page Client gives the user opportunity to set different report query values, to run reports and receive emails with the report CSV file as an attachment.

The user can also set the report to be generated automatically by the server at the user’s defined time interval and sent as an email attachment to the defined email addresses.

Select ‘Reports | Reports’ or click on the “Reports” toolbar button to run the "Set Report" dialog

Shortcut: F8
Hot Keys: Alt+E,R

If above commands are disabled, that means that the account does not have the "Set Account Reports" right set on the server.

The "Set Report" dialog allows the user to create, edit, delete and run their own reports.

Report settings available to the user:

  • Report Settings
  • Auto Report Settings
  • Report Filter Settings
  • Report CSV File Fields Settings
  • Report Emails Settings


Set Report

The system administrator and every account with the "Create System Reports " right can create, edit and delete system-wide reports that are visible to all accounts. The system-wide reports are created only on the server and 'owned' by the default "admin" account. They can be assigned to any account.

The account reports are created on the client and 'owned' by the account that created them. They are visible only to account that created them and they can be edited only by that account.

Currently, reporting tool has following settings:

  • Report Settings
  • Auto Report
  • Report Filter
  • Report File Fields
  • Report Email
  • Report Window
To access the report functionality:

On the server:

Select ‘Message Objects | Set Reports ’ on the main popup menu.

On the client:

Select 'Reports | Reports' from the main menu on the client "Main Form".

Shortcut: F8

Hot Keys: Alt,E,R

Edit Report Dialog Layout

The “Edit Report” dialog consists of three panels. The left panel is a tree-like list of all report settings available. The middle panel shows values for the selected setting. The right panel contains editing command buttons.

Selected Node (left panel)

Feature (middle panel)
Reports | Displays all existing reports and some of their setting values in the grid
Selected Report | Basic settings for the selected report: date boundaries, sorting criteria and email carrier
Auto Report | Basic settings for the auto report: auto report type, report interval and send (start) time
Report Filter | Criteria for further filtering the report by message types, message data and message text
File Fields | Settings for fields used in a CSV file attached to the report email
Colours | Background and font colours for the selected report
Email | Email messages settings for the report: email addresses, subjects and email message texts
Report Summary | Displays summary of the selected report settings
Run | Run selected report
Report Window | Settings for the window the report will be displayed in - available only on the server
Set Grid | Customizing grid that displays all existing reports

Find Report

"Edit Report " page has a search tool that helps the user to find a report.

The report can be located in the grid by its name or id.

Select one of these options in the "Find By" combo box. Default: name.

Start typing the report's name or id into the "Find report" window. If the match is found the report in the grid will be selected and moved at the top of the grid.

Server:

If you want to see all reports created by all accounts, check the "Show Users' reports". Otherwise only system-wide reports, created by the administrator will be displayed in the grid.

Client:

If you want to see the system-wide reports assigned to the account, check the "Show System reports". Otherwise only reports, created and owned by the account will be displayed in the grid.

New Report

Click on the “New” button in the ‘Edit Report' dialog box.

Shortcut: Ctrl+N

Select the “Selected Report ” node to see the panel with report settings.

Enter a report name in the “Report Name” box.

Note: Report names are not unique and you can assign the same name to a different report. The names in the system are case sensitive.

Edit Report

Select the report in the grid.

If you have a problem finding the report you can use the report's search tool.

Basic Settings

Select the “Selected report” node to get the panel with the report settings, or just double-click on the report in the grid.

Shortcut: Ctrl+O

It will open the "Report Settings" form.

On this form you can set a period that the report is interested in, its sorting criteria, email carrier and enter some notes about the report.

For more see "Report Settings"

Auto Report

Reports can be generated and send (as email attachments) automatically in certain time intervals.

To turn the selected report into auto report, select the "Auto Report" node.

It will open the "Auto Report" settings form.

Report Filter

The collection of messages, returned for the selected period of time, can be further narrowed down by defining more query conditions.

The message can be filtered by its:

  • Send status
  • Address type
  • Carrier type
  • Priority
  • Receiver address
  • Carrier id
  • Account id
  • Message text

To filter messages on chosen conditions, select the "Report Filter" node.

It will open the "Report Filter" settings form.

Report File Fields

The user can select among the stored message fields that will appear in the generated report file.

To set the file fields, select the "File Fields" node.

It will open the "Report Fields" form.

Colours

Every report can be assigned a different background and font colour.

These colours display in the report grid entry and on the server as colours of the report window.

Select the “Colours” node to get the panel with the selected report colour settings.

Click on the “Fill” button and select a background colour for that report.

Shortcut: Ctrl+C

Click on the “Font” button and select a font settings for that report.

Shortcut: Ctrl+F

You can set the font type, size, colour and style (regular, bold, italic, underlined).

You can see how these colours match in the text box above the button.

Email

The user can set emails for the report that will be sent automatically with the auto report as attachment.

The user can set:

  • Email address
  • Email subject
  • Email message text

To set the report emails, select the "Email" node.

It will open the "Report Email" form.

Report Summary

Displays the summary of all settings for the selected report.

Shortcut: Ctrl+I.

The "Report Summary" window allows you to copy all information to the clipboard. To do so, right-click in the window and from popup menu first select "Select All" then "Copy", or use shortcuts: Crtl+A and then Ctrl+C.

For more info, see "Object Summary".

Run

To run report immediately from the "Report Edit" form, select the "Run" node.

On the server:

The "Report Edit" form will be closed and the report result will be shown in the new "Report Window".

On the client:

You will get the message from the server:

Report Window

To set the “Report Window” for all reports, select the “Report Window” node. see Report Window and Set Report Window

Note: When you set the report window, these setting will be applied to all reports.

Set Grid

To set the grid that displays all existing reports, click on the “Set Grid” node. see Set Grid

For some quick changes to the grid display see:

  • Displaying/Hiding Columns
  • Resizing Columns
  • Changing Column Position

Sorting Grid

Displayed grid data can be sorted on some columns (where it make sense) in ascending or descending order.

To sort a grid column, just click on its title. If the column is sortable, every time you click it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.

If those items are disabled, that means that the selected column is not sortable.

Save Report

None of changes you make to the report settings are saved automatically. If you have entered some changes, the “Save” button will become enabled. If you wish them to take effect in the report, you must save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning:
  • If you select another report without saving changes, your modifications will be lost.
  • If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Delete Report

To delete selected report, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the report will be deleted permanently and the option to delete it or not. If you choose to delete it anyway, the report will be deleted permanently.

Cancel Changes

If you are not satisfied with changes to the report and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.


Report Settings

To define basic report settings, find the report in the grid and select the "Selected Report" node in the left–hand side panel in the "Edit Report" dialog.

Report Name

To change the report name, enter a new name into the “Report Name” control.

You can use any printable characters for the name and it can contain spaces. Report names are not unique and you can assign the same name to a different report

Report Period

To select stored messages by their sent date, select an option from the “Show Messages” control:

Option | Result
All Messages | All messages, regardless of their date
Dates Between | All messages between dates selected in the“Date From” (inclusive) and “Date To” (inclusive).
Dates Before | All messages before date selected in the “Dates Before” (exclusive) control.
Dates After | All messages after date selected in the “Dates After” (exclusive) control.

Every option (except 'All Messages') will display additional controls for entering additional data, required for that type of a query.

Enter required values into those controls.

Sort Report

If you wish your report to be sorted in any particular order, select the "Enabled" check box in the "Sort Report" group of control.

Select a sort order in the "Sort Order" control to sort your report either in the ascending or descending order.

Select a field in the "Sort On Field" control on which values you want your report to be sorted.

Note: If sorting is enabled it will be applied whether you run your report manually or automatically.

Report Email Carrier

After the reporting engine on the server creates the report, it converts it into the CSV format and sends it as an email attachment to every email address defined in the report.

To set an email carrier, select it from the "Email Carrier" control. It displays all email carriers defined and set on the server.

Notes

The "Notes" control is used for entering some notes,comments and remarks about the report.


Auto Report

i-Page Server can also create and send reports automatically.

When the auto report is enabled, the whole “Report for Period” group of controls are disabled. That is because the auto report engine does not use these settings. Every auto report is always generated for the period between two runs.

To start the auto report functionality for the selected report, check the “Enabled” control in the “Auto Report” group of controls.

Daily Auto Report

To create auto report on a daily basis:

  • Select the “Daily” control
  • Enter a day interval into the “Every” control
    Min: 1 day
    Max: 365 days (1 year)
    Default: 1 day
  • Enter the time the report should be generated and sent into the “At” control.
    The report will be generated and sent every daily interval at the selected time

Hourly Auto Report

To create auto report on an hourly basis:

  • Select the “Hourly” control
  • Enter an hour interval into the “Every” control
  • Enter the time the system should start to generate and send reports into the “Start At” control.
    The report will be generated and sent every hourly interval, starting with the selected time.

Empty Report

It is very likely that within some of the report's intervals, there will be no users' messages recorded. In that case i-Page server does not create the report and does not send emails to the email addresses defined in the report template.

If you want the server to create the (empty) report anyway, and send it to all defined email addresses, check the "Allow Empty Report" check box.

The created report will have the header with all its basic and filtering settings displayed and a warning that there are no messages in a report interval period.

Empty report displayed in MS Excel


Report Filter

The report filter functionality is used to further narrow down the collection of messages returned by the time period report query.

It allows users to specify some conditions that will return only messages they are interested in.

To makes it easier, the conditions are divided into three broad areas, displayed on three different panels.

  • Filter By Message Types
  • Filter By Message Data
  • Filter By Message Text

To open/close the panel, click on its title.

When you open a panel, the already opened panel will close. Only one panel can be opened at time.

Message Types

Messages can be filtered by:

  • Send status
  • Address type
  • Carrier type
  • Priorities

To filter a message by a particular type:

  • Check the option you want the message is checked against
  • You can check more than one option of the same type
  • If you do not check any option of the type, the message will not be filtered for that type
  • If you check all options of the same type, the result is the same as if you do not check any - the message will not be filtered for that type

Message Data

Messages can be filtered by:

  • Receivers' addresses
  • Carriers' ids that handled the message
  • Accounts' ids that sent the message

Receiver's Address

To select only messages that are sent to a chosen address:

  • Enter the address into the "Sent To Addresses" control
  • The address can be: pager id, mobile number or email address
  • You can enter more than one address and any combination of address types from above

Carriers

To select only messages that are handled by a chosen carrier:

  • Enter the carrier id (as defined on the server) into the "Sent To Carriers" control
  • To enter the carrier id, you can also select a carrier form the "Select Carrier" control and press the "Add" button next to it
  • You can enter more than one carrier

Accounts

To select only messages that are sent by a chosen account:

  • Enter the account id (as registered on the server) into the "Sent By Accounts" control
  • To enter the account id, you can also select an account form the "Select Account" control and press the "Add" button next to it
    This option is only available on the server, because, for security reasons, clients cannot have the list of all registered accounts
  • You can enter more than one account id, but only if your account has the "Create System Reports" right.
    Accounts with that right are allowed to see messages from all users.
    If you do not have that right, the "Sent By Accounts" control is disabled and your account id is already entered

Entering more than one entry

If you enter more than one address, carrier id or account id into their respective controls, separate entries by:
space ('·'), coma (','), semicolon (';'), colon (':'), forward slash ('/') or back slash ('\') character - or any combination of them. You can use these characters with or without a space before or after them.

Message Text

You can also filter messages by any text that appears in their message payload.

Enter a text string you are searching for into the “Search For” control.
The string can be a single word, a phrase or several unrelated words.

Select a type of search in the “Find” control.

Type of search | Conditions
Any Word | filtering criteria will be met if any word from the search string is found in the message.
All Words | filtering criteria will be met only if all words from the search string are found in a message, but not necessarily in the same order.
Exact Phrase | filtering criteria will be met only if all words from the search string are found in a message and in the same order.

If you wish to have the search text to be case sensitive, check the “Case Sensitive” check box.

If you check the “Whole Words Only” check box, then the filter will look only for standalone words from the search phrase

Example: The word “gun” would not be recognized in the words “gunmen”, gunpoint", "handgun", "guns", etc.

Otherwise, the filter will look for any partial match in any word in a message.


Report Fields

The report contains values for some or all message fields that are stored for every message. The user can select which fields will appear in the generated report file.

The user can also select whether the report file will contain the report header.

The server creates the report file with the header. If you do not want the header to appear in the file, uncheck the "Include Report Header" control.

To select a field which value will appear in the report, check the check box next to the field name.

If you hoover the mouse over the field's name, a brief description of the field will appear in the window beneath.

Report File

The report file consists of:

  1. Application Title (if the header is included)
  2. Report Header (if the header is included)
  3. Selected field names and their values, formatted as a CSV File.

Application Title

In this version:

i-Page Server - Reports

Report Header

Auto-report header contains:

  1. Report name
  2. Auto report type
  3. Auto report criteria
  4. All filtering criteria set by the user

Ordinary report header contains:

  1. Report name
  2. Date criteria
  3. All filtering criteria set by the user

Selected Field Names And Values

This part of the file contains multiple lines and their number depends of the number of returned messages.

The first line contains the selected field names, separated by the CSV delimiter.

All other lines contain field values - one line for every message. Values are separated by the CSV delimiter. The position of every field value corresponds to the position of its field name.

All lines are delimited by line break characters - CRLF.

File Character Encoding

Every report file is formatted according to the user's setting on the "Set CSV File" form.

For more about the report file character encoding, see "CSV Encoding" topic.


Report Email

When the auto report is created, it will be saved to a temporary file, and the report engine will generate email messages for every set report address, attach the file to the messages and remove the file from the hard drive afterwards.

On the server only:

When the user runs report and presses the "Send Report To Report Emails" button, the generated report will be send to all set report addresses.

Select the “Email” node to get the panel with the selected report email settings.

Warning: When you select the “Email” node, all editing controls in the right panel (buttons “New”, “Cancel”, “Delete”) refer to the email functionality not to the selected report.

New Email

Click on the “New” button to add an email address to the list. Enter an email address in the popup dialog.

Shortcut: Ctrl+N

Click on the "OK" button.

All email addresses are checked to ensure they are properly formatted email addresses.

i-Page does not impose any limits on the number of email address assigned to the report. You should be aware that sending to many email messages at once could be a burden for your SMTP server and it can reject to process them. If you are not sure about that, talk to your network administrator.

Delete Email

To delete the email address from the list, select it and click the “Delete” button.

Shortcut: Ctrl+Del

Edit Email

To create or edit an email message for the respective email address, select the address in the “Email Address” control.

The message is a combination of literal text entered by the user and variable fields filled in by the system at run time.

To create a message

  1. Enter the text that you wish to appear in the message.
  2. Position the cursor where you want a variable field to appear in the text.
  3. Select a field in the “Variable Fields” control.
  4. Click on the “Add” button.

Steps 3 and 4 can be replaced by right-clicking into the editing control and selecting the field name from the popup menu.

The name of the field appears in the text, surrounded by tags (e.g.<field_name>). Leave it as it is because those tags tell the system that it is dealing with the field name and that it has to replace that name with the current system value.

You can also type the whole message (including variable fields) directly. But you must be aware of few things:

  • You can use only field names displayed in the “Variable Fields” control
  • Spelling must be correct (including spaces)
  • Field name must be surrounded with tags
  • Case does not matter

The system will honour any space or new line that you have entered, so you can format the message any way you like.

You can also create the email subject field in the same way. Just position the cursor into the "Email Subject" control instead.

To test formatting result, select the “Show” button. The whole message, with variable fields replaced by test data, will popup in a separate window.

Save Email

To save the email changes, click the “Save” button or press the “Enter” key.

Shortcuts: Ctrl+S or Enter

If you select another email without saving changes, your modifications will be lost.

Cancel Changes

If you wish to return to your previous email settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q


Shortcuts

User
Log on as different user | Shift+Ctrl+L
Set your account | Shift+Ctrl+A
Change password | Shift+Ctrl+P
File
System Log | Ctrl+L
Exit | Alt+F4
Display
Show/Hide Toolbar | Shift+Ctrl+T
Show/Hide Status Bar | Shift+Ctrl+S
Show Full Screen | Ctrl+PgUp
Show Normal Screen | Ctrl+PgDown
Set Default Display Size | Shift+Ctrl+D
Find Contact/Group/Folder | Ctrl+F
See Contact/Group/Folder Summary | Ctrl+I
Remove Popups | Ctrl+Space
Run
Start | F5
Stop | F6
Reports | F8
Messages
Add Contact | Ctrl+=
Remove Contact | Ctrl+- (minus)
Clear Message | Ctrl+Del
Clear Contacts and Message | Shift+Ctrl+Del
Move Contact Up | Ctrl+Up
Move Contact Down | Ctrl+Down
Send Message | F7
Sent Messages | Ctrl+F2
Delete All Messages | Shift+Ctrl+X
Delete Old Messages | Shift+Ctrl+O
Settings
Set System | Ctrl+S
Set Message Objects | Ctrl+M
Assign Message Objects | Shift+Ctrl+M
Set Schedule | Ctrl+T
Set Popup | Ctrl+P
Edit Dialogs
New | Ctrl+N
Delete | Ctrl+Del
Cancel | Ctrl+Q
Save | Ctrl+S or Enter
Selected Object Settings | Ctrl+O
Display All Objects | Ctrl+A
Selected Object Summary | Ctrl+I
Close | Escape


i-Page Console Client

i-Page Console Client is loaded on to each PC that requires the ability to send messages. Clients may be located anywhere on the LAN or WAN with normal access to the server.

To access the server, the client must first connect to the server. The client connects a an anonymous "ConsoleClient" account. If the connection is successful the server sends to the client some settings that are associated with that account.

i-Page Console Client allows the user to:

  • Set connection to the server
  • Set a default carrier
  • Set default message settings
  • Create a message
  • Send the message to different carriers
  • See message results
  • See manual pages for each functionality


i-Page Console - Main

Main Page

i-Page Console Client start with its main page.

The page displays a current status of the application and some basic settings:

  1. Connection type
  2. i-Page Server IP address and port number
  3. Status of the connection to the server
  4. Default carrier
  5. Default message settings

You can invoke this page at anytime by typing one of the following options::

i-Page Send > main
i-Page Send > home

To execute a command, type its code at the command prompt.

i-Page Console is not case sensitive and it treats every command the same, whether is it typed in upper or lower case.

To exit the application, type one of the following options:

i-Page Send > q
i-Page Send > quit
i-Page Send > exit

Command Prompt

The application always displays the command prompt. The default is:

i-Page Send >

To change the command prompt, type one of the following commands:

i-Page Send > cmd
i-Page Send > prompt

You will get an option to enter your own command prompt string:

(Press <Enter> to confirm the current value)
Current command prompt: i-Page Send >
Enter command prompt:
  1. Command prompt cannot be longer than 15 characters - if you enter more than that, you will get an error message
  2. You can end your command prompt string with the greater than '>' character. If you do not, the system will enter one for you.

To return to the system default command prompt, enter one of the following options:

$ > cmd /c
$ > cmd -c
$ > prompt /c
$ > prompt -c


i-Page Console - Commands

Commands

All commands are entered at the command prompt. i-Page Console Client is not case sensitive - lower case and upper case commands are treated the same.

Some command can be entered as they are and some must be accompanied by a switch for the system to understand them.

Every switch consists of an escape character and an ASCII character.

Example: -c

The system recognises two escape characters: forward slash ( / ) and dash ( - ). They both have the same meaning, when used with the switch character.

There is no space between the escape and switch character.

Example: /s or -s

Simple commands

Command | Function | Example
help ? | Displays the main "Help" page with all the commands and command-line options | i-Page Send > help i-Page Send > ?
q quit exit | Closes the application | i-Page Send > q i-Page Send > quit i-Page Send > exit
cls clr clear | Clears the screen and positions the cursor in the top-left corner of the screen | i-Page Send > cls i-Page Send > clr i-Page Send > clear
main home | Displays the main screen | i-Page Send > main i-Page Send > home
stat state status | Displays the current status of the application and its default settings | i-Page Send > stat i-Page Send > state i-Page Send > status
start | Connects to and logs on i-Page Server and downloads some server settings | i-Page Send > start
stop | Logs out and disconnects from i-Page Server | i-Page Send > stop
cmd prompt | Changes the system command prompt | i-Page Send > cmd i-Page Send > prompt
cmd [/c,-c] prompt [/c,-c] | Returns to the default system command prompt | i-Page Send > cmd /c i-Page Send > cmd -c i-Page Send > prompt /c i-Page Send > prompt -c

Settings Commands

The following commands are used to display available system objects and to set and view their default properties.

System objects are:

  • Connection
  • Carriers
  • Message Settings
Command | Object
car | Carrier
con | Connection
msg | Message Settings

All commands must be accompanied with an appropriate switch.

Switches used:

/a, -a, /c, -c, /s, -s, /help, -help, /?, -?

Switch | Carrier | Connection | Message
/a -a | Displays all available carriers i-Page Send > car /a i-Page Send > car -a | Displays all available connections to i-Page Server i-Page Send > con /a i-Page Send > con -a | Displays all available message priorities i-Page Send > msg /a i-Page Send > msg -a
/c -c | Displays the default carrier i-Page Send > car /c i-Page Send > car -c | Displays the default connection, including the server IP address and port number i-Page Send > con /c i-Page Send > con -c | Displays the default message settings: priority, email subject, message age limit i-Page Send > msg /c i-Page Send > msg -c
/s -s | Sets the default carrier i-Page Send > car /s i-Page Send > car -s | Sets the default connection, including the server IP address and port number i-Page Send > con /s i-Page Send > con -s | Sets message defaults: priority, email subject, message age limit i-Page Send > msg /s i-Page Send > msg -s
/help -help /? -? | Displays the help page for the carrier object i-Page Send > car /help i-Page Send > car -help i-Page Send > car /? i-Page Send > car -? | Displays the help page for the connection object i-Page Send > con /help i-Page Send > con -help i-Page Send > con /? i-Page Send > con -? | Displays the help page for the message object i-Page Send > msg /help i-Page Send > msg -help i-Page Send > msg /? i-Page Send > msg -?


i-Page Console - Run

Running i-Page Console Client

If you are running i-Page Console Client on Windows Vista and Windows 7, you must ensure that the application runs in the administrator mode.

  1. Go to the i-Page Console Client installation folder - Default: "C:\Program Files\IPageConsoleClient\"
  2. Right-click on the "IPageClientC.exe" file.
  3. From the popup menu select "Properties".

  4. On the "Properties" dialog select the "Compatibility" tab.
  5. At the bottom of the page check the "Run this program as an administrator" check box.

  6. Select the "Apply" button.

If you do not do this, you will still be able to run the application and connect to i-Page Server through IP/TCP connection.

If your default connection is "Local" (COM), when you try to connect to the server, you will get an error message:


Console Client - Start

Start

Starting i-Page Console Client means connecting the application to i-Page Server. It can connect only to the server V 4 or higher.

To connect to the server, type:

i-Page Send > start

Wait for the message:

Connected to the server
Client "Console Client" on <host_IP_address> ready to communicate

If you are using the remote, TCP/IP connection, you may have wait for several seconds for connection to go through.

To disconnect i-Page Console Client from the server, type:

i-Page Send > stop

Connection Errors

Several errors can occur, while connecting to the server.

No Server - Local Connection

Error:

Cannot find i-Page Server
- Check whether the server is installed and registered on the machine
- Reported error: Cannot connect to the local i-Page Server (COM).
Class not registered, ClassID: {9DF339C5-57F4-4F9D-97A4-7D15BF345221}

There are 2 possible reasons for this error:

  1. i-Page Server is not installed on the machine

Check whether i-Page Server is installed
Default Paths:

  • "C:\Program Files\IPageServer\IPageServer.exe"
  • "C:\Program Files\IPagePersonal\IPageServerPE.exe"
  2. i-Page Server is installed, but not registered with the operating system
  • Close i-Page Server if it is running
  • Find the folder i-Page Server is installed in (see default paths above)
  • Find the file "ippeReg.bat" or ""ippReg.bat" in the same folder
  • Double-click on the file and follow the command prompt

No Server - Remote (TCP/IP) Connection

Error:

Cannot find i-Page Server
- Check the server IP address and port number
- Check whether the server is running
- Check your network connection
- Reported error: Wrong port number or the server is not running

There are 2 possible reasons for this error:

  1. i-Page Server is not running or (if it is running) it is not started yet
  • Run the server application
  • Right-click on its icon and select the "Start" option
  2. The server port in your connection settings is incorrect
  • Right-click on the server icon and select "System > Set System"
  • Select the "TCP Connection" tab and copy a value from the "Server Port" window
  • Set the correct server port in the client application - See "Set Connection"

Error:

Cannot find i-Page Server
- Check the server IP address and port number
- Check whether the server is running
- Check your network connection
- Reported error: Network is unreachable.

Check your network connection.

Error:

Cannot find i-Page Server
- Check the server IP address and port number
- Check whether the server is running
- Check your network connection
- Reported error: Wrong host address

The server port in your connection settings is incorrect

  • Right-click on the server icon and select "System > Set System"
  • Select the "TCP Connection" tab and copy a value from the "Server IP Address" window
  • Set the correct server IP address in the client application - See "Set Connection"

Incorrect Login - Remote and Local Connection

Error:

i-Page Server does not accept your login
Incorrect user name and/or password

There are 2 possible reasons for this error:

  1. The account "ConsoleClient" is not registered on the server
  • Right-click on the server icon and select the "Accounts > Set Account "
  • Check if the "ConsoleClient" account exists.
  • If not, click on the "New" button and in the popup dialog enter "ConsoleClient" (CASE SENSITIVE), without quotes
  • Click OK to dismiss the dialog
  2. The account "ConsoleClient" exists, but somebody changed its default password
  • Right-click on the server icon and select the "Accounts > Set Account "
  • Select the "ConsoleClient" account and double-click on it.
  • On the top of the dialog click on the "Change Password" control.
  • Enter "ConsoleClient" (without quotes) in the "New Password" and "Confirm New Password" boxes (both CASE SENSITIVE).
  • Click on the "Save" button.

Error:

i-Page Server does not accept your login
The account "ConsoleClient" is deactivated by the administrator
  • Right-click on the server icon and select the "Accounts > Set Account "
  • Select the "ConsoleClient" account and double-click on it.
  • On the top of the dialog check the "Enabled" check box.
  • Click on the "Save" button.


Console Client - Send Message

Send Message

The message command line format:

address<d>message_text<d>carrier_id<d>priority<d>email_subject<d>age_limit

- <d> - a delimiter that separates message fields. Only comma ( , ) and semicolon ( ; ) are allowed

- address - pager id, mobile number or email address of the receiver

- carrier id - an id of the carrier as registered on i-Page Server

- priority - the priority of the message in the server message queue

- email subject - the subject used in an email message header - used only for email messages

- age limit - time (in minutes) for how long is message valid if, for any reason, the server does not manage to send it

Usage

address,[message_text][,][carrier_id][,][priority][,][email_subject][,][age_limit]

Compulsory Entries:

  • message address
  • first delimiter

Everything else is optional.

If the user does not enter a message text, the program will send an empty message.

If the user does not enter any other field, the program will use the field default value.

All default values can be set by the user - See Carriers - Set Default Carrier and Message Settings - Set Message Defaults.

Example
Sending an empty page message to the default carrier with default message settings

i-Page Send > 1234567,

Warning: Notice that a delimiter is still present.

Sending a message "Hello world" to the default carrier with default message settings

i-Page Send > 1234567,Hello world

If the user sets a value for any other field, it will override its default setting.

Sending an email message with default message settings and the default carrier set to id 3. The message sets a carrier id to 4 and overrides the default carrier.

i-Page Send > john@myserver.com,Hello world,4

If the value for non-compulsory field is set, all other fields that precede it must be present, even if empty.

Sending an email message that overrides the default carrier and email subject fields.

i-Page Send > john@myserver.com,Report to the office ASAP,4,,Urgent response

Warning: Notice that the "Priority" field is empty, but must be present.

Message Text Format

Message text can contain any ANSI character.

If it contains any of delimiters used by the program (comma or semicolon) it must be enclosed in double quotes.

Sending a message that contains a delimiter ( , ).

i-Page Send > user@public.com,"Hello, world",4

If the text contains any word enclosed in double quotes, the whole text must be enclosed in double quotes and any double quote already present must be duplicated.

Sending a message that contains a word "WiPath" already enclosed in double quotes.

i-Page Send > user@public.com,"Hello world form ""WiPath"" company",4

The program preservers all space characters inside the message tex, but it removes all spaces before and after the whole message. If you want to preserve spaces before and/or after the whole message you need to enclose the whole text in double quotes.

Sending a message that contains spaces before and after the whole text.

i-Page Send >user@public.com," Hello world ",4

In all other cases enclosing the text in double quotes does not make any sense , because the program will remove them anyway.

Sending a message that contains a delimiter and words enclosed in double and single quotes.

i-Page Send >user@public.com,"Hello, world form ""WiPath"" and 'kiwi' programmers",4

Message Result

After you send the message, you will get a message result from the server.

Result Format

Message Result: <result_returned_from_server>
transactionId,address,messageText

Message Result: Message sent OK.
509, joeuser@myserver.com, "Hello, world"

Message Result: Carrier "TAP Direct Local" is disabled.
Contact your administrator.
511, 1234567, Hello world

Message Result: Device "COM5" could not be initialised.
514, +64211013839, Hello world

Message Result: Sending email to "joeuser@myserver.com" failed.
- Check the recipient's email address
- Check SMTP settings for the device "SMTP"
- Check SMTP settings for the carrier "Email"
519, joeuser@myserver.com, Hello world

Message Result: Error dialling carrier number "0264001284" - NO CARRIER.
520, 2643029, Hello world

Message Result: Error dialling carrier number "0264001283" - NO DIALTONE.
522, 2643029, Hello world

Message Result: No login request from the carrier.
524, 1234567, Hello world


Console Client - Connection

Connection

The connection functionality is accessed and controlled by the following command:

i-Page Send > con

The "con" command is always followed by one of the following switches:

/a, -a, /c, -c, /s, -s, /help, -help, /?, -?

Display All

To display all available connections to i-Page Server, enter one of the following options:

i-Page Send > con /a
i-Page Send > con -a

Display Current

To display currently selected connection to i-Page Server, enter one of the following options:

i-Page Send > con /c
i-Page Send > con -c

Set Connection

To set a connection to i-Page Server, enter one of the following options:

i-Page Send > con /s
i-Page Send > con -s

If you try to change the connection while you are connected to the server, you will get an error message:

Cannot change a connection type while connected to the server.
Please, disconnect from the server and try again.

The program displays all available connections, with the prompt to select a new one:

To cancel the operation, type '0' and press Enter.

The program checks validity of the entered key. It must be a number and in the allowed range. If you enter an invalid value, you will get one of the following error messages:

"w" is not a valid connection id
Connection with id "3" does not exist in the system

When you enter a valid id, the program asks you to confirm that you really want to change the connection:

New connection id is "2": Y/N -

To change it, just type 'Y' at the command prompt.

If the new connection is a remote, TCP/IP type of connection, you will be asked to set the server IP address:

(Press <Enter> to confirm the current value)
Current server IP address: 10.58.2.199
Enter server IP address:

If you are satisfied with the current address, just press the Enter key to confirm the value.

Otherwise, enter a server IP address.

Every address is checked to be a valid IPv4 internet address. If it is not, you will get an error message:

"10.256.2.199" is not a valid IP address

You will be, also, asked to set the server port number:

(Enter '0' to confirm the current value)
Current server port: 6022
Enter server port:

If you are satisfied with the current port, just type '0' and press the Enter key to confirm the value.

Otherwise, enter a valid port number.

Every port number is checked to be a port in a range from 1 to 65,535. If it is not, you will get an error message:

"66589" is not a valid port number (1 - 65535)

At the end, as a result of the set connection operation, the program will display the current connection settings.


Console Client - Carriers

Carriers

The carrier functionality is accessed and controlled by the following command:

i-Page Send > car

The "car" command is always followed by one of the following switches:

/a, -a, /c, -c, /s, -s, /help, -help, /?, -?

Display All

To display all available carriers, registered on i-Page Server, enter one of the following options:

i-Page Send > car /a
i-Page Send > car -a

When the program starts, it loads all carrier information from a file. As soon as it successfully connects to i-Page Server, it loads the latest carrier data and updates the file.

Display Current

To display currently selected default carrier, enter one of the following options:

i-Page Send > car /c
i-Page Send > car -c

Set Default Carrier

To set the default carrier, enter one of the following options:

i-Page Send > car /s
i-Page Send > car -s

The program displays all available carriers, registered on i-Page Server, with the prompt to select a new one:

To cancel the operation, type '0' and press Enter.

The program checks validity of the entered key. It must be a number and it must be an id of a carrier registered on the server. If you enter an invalid value, you will get one of the following error messages:

"M" is not a valid carrier id
Carrier with id "9" does not exist in the system

When you enter a valid id, the program asks you to confirm that you really want to change the default carrier:

New new carrier is "2": Y/N -

To change it, just type 'Y' at the command prompt.

At the end, as a result of the set default carrier operation, the program will display the current default carrier settings.


Console Client - Message Settings

Message Settings

The message setting functionality is accessed and controlled by the following command:

i-Page Send > msg

The "msg" command is always followed by one of the following switches:

/a, -a, /c, -c, /s, -s, /help, -help, /?, -?

Display All

To display all available priorities, recognised by i-Page Server, enter one of the following options:

i-Page Send > msg /a
i-Page Send > msg -a

Display Current

To display current message settings, enter one of the following options:

i-Page Send > msg /c
i-Page Send > msg -c

Set Message Defaults

To set message defaults, enter one of the following options:

i-Page Send > msg /s
i-Page Send > msg -s

The program displays all possible priorities, with the prompt to select a new one:

To cancel the operation, type '0' and press Enter.

The program checks validity of the entered priority. It must be a number and in the allowed range. If you enter an invalid value, you will get one of the following error messages:

"Y" is not a valid priority id
Priority with id "8" does not exist in the system

You will be, also, asked to set a new default for the email message subject:

(Press <Enter> to confirm the current value)
Current email subject: i-Page Message
Enter email subject:

If you are satisfied with the current subject string, just press the Enter key to confirm the value.

Otherwise, enter a new value for the email message subject.

You will be, also, asked to set a new default for the message age limit:

(Enter '0' to confirm the current value)
Current message age limit: 120 minutes
Enter message age limit:

If you are satisfied with the current age limit value, just type '0' and press the Enter key to confirm the value.

Otherwise, enter a new age limit.

At the end, as a result of the set message defaults operation, the program will display the current message defaults.


i-Page Server

The i-Page Server software is located on a centralized PC with access to the carriers to which it is to communicate. The server may have any number of carriers of various protocols and communications mediums and which may be local or remote.

Every user must have an account created on the server to be able to access the server. Levels of access are controlled by the users' rights, set by the system administrator.

To access the server, the user must have the right to log on to the server and must complete the logon procedure.

i-Page Server allows the user to:

  • Set the server connection and system parameters
  • Set users' accounts
  • Set devices
  • Set carriers
  • Create, edit and delete system-wide contacts, contact groups, folders, message templates, schedules and reports
  • Set central database
  • Delete archived messages
  • Monitor connections
  • Monitor communications to devices and carriers
  • See communication logs
  • See the password changes log


Registration Server

Server Registration

The i-Page Server application comes with a 30–day free trial period. This period starts after the first run of the application. During the trial, the functionality of the application is not limited in any way. In that period, the server needs to be registered.

To enter the registration data and to register i–Page Server you must be logged on to the machine as an administrator or you must have one of the machine administrator passwords at your disposal.

The application is registered per machine and the registration is valid for any user that can log on to that computer.

Entering User Data

Enter your name into the "User" box.

Enter your company name into the "Company" box.

Enter your email address into the "Email" box.

Creating License Key

Tools in the "Create License Key" group of controls are used when the user wants to change the number of clients the server is registered for.

Enter the number of clients that you want the server to be registered for into the "No Of Clients" box.

If you increase the number of clients, the "Calculate" key becomes enabled.

Press the "Calculate" key.

A newly calculated license key appears in the "License Key" box.

Obtaining Registration Key

Press the "Send" button.

Note: The "Send" button becomes enabled only after you have entered all the above data.

If you have an email client installed on the machine (Outlook, Thunderbird, etc.) your default email program will open and an email will be created with all your data, the license key and the vendor's address already entered. Send that email to the vendor and you will receive a matching registration key.

If you do not have an email client on the machine, you will have to obtain the registration key from the vendor by some other means.

Registering

Enter the registration key into the "Registration Key" box.

You can either copy-paste the key or type it into the box.

Press the "Register" button.

Note: The "Register" button becomes enabled only after you have entered all the above data, including the registration key.

You will be advised whether the registration was successful.

Changing Number of Clients

You can change the number of clients the server is registered for at any time. To do so you need to create a new license key.

After that, repeat the whole registration procedure. If the server is already registered it will continue to run with the existing number of clients as long as you do not obtain a new registration key from the vendor and use it to register the application.

Changing User's Data

You can change user's data (the user's name, company name and email) at any time, even after the application is registered.

Click on any of the labels that display user's data and it will turn into an editable window. Enter new data. As soon as you close the "Register" dialog, all data will be saved.

Registration Key

The registration key for i-Page Server consists of:

  • 25 characters
  • characters are divided into 5 groups of 5 characters
  • groups are separated by hyphens ("-")
  • only hexadecimal characters are allowed (A - F and 0 - 9)
Warning: Typing the key in manually often results in typing errors.

The registration engine will attempt to correct some errors that usually occur while entering the registration key. It will do this by ensuring that:

  • all spaces are removed
  • all characters are converted into uppercase
  • all hyphens are removed
  • all lowercase "L" characters are replaced by the number "1"
  • all lower and uppercase "O" characters are replaced with the number "0" (zero)
  • all characters are checked to be hexadecimal characters

For all errors that the engine cannot resolve, it will display an informative error message and the registration will fail.

Errors

Invalid Character Error

The registration key contains a character that is not a hexadecimal character.

Application Type Error

The registration key does not belong to the i-Page Server application type.

Client Data Missing Error

The registration key does not have embedded the number of clients that the registration is requested for.

Client Data Corrupted Error

The number of clients in the registration key that the registration is requested for has been tempered with or corrupted.


Server Main

Main Server

The i–Page Server application does not display any window when it is running. It runs in the background and the only way the user can see it is running is its icon in the system tray.

There two types of the icon and they indicate the server state.

Server Started
Server Stopped

To access any functionality of the server, right-click on its icon in the system tray and select an option from the server popup menu.

Main Menu

Submenus

System | Accounts | Message Objects

You cannot access any functionality before you log on to the server. After that, accessibility of the options on the menu depends on the rights that your account has.


Login Server

Log In

Before the user can access any of the server's functionalities, i–Page server will require her/him to complete the authentication process.

Log in to the system:

  • Enter your user name in the “User Name” control – not case sensitive
  • Enter your password in the “Password” control – case sensitive
  • Press the “Log In” button or the Enter key.

Default login for the administrator:

  • User Name: Admin
  • Password: admin

Default login data for other users are assigned by the administrator.
It is strongly recommended that you change your password as soon as you log in to the system for the first time.

After you log in to the i–Page Server, the system will set all your rights according to the account rights set by the administrator.

Errors

If the login procedure is not successful, the application displays an error message along with the remaining number of trials allowed. The current default is three unsuccessful trials, before the application terminates.

Incorrect user name and/or password

You have entered either the wrong user name or the wrong password.

Check the password for upper and lowercase letters.

If you have forgotten your password, please contact your administrator.

Account Deactivated

The system administrator can temporary deactivate any account.

If you get this error, please contact your i–Page Server administrator.

Insufficient Rights

To log into i–Page Server you need the "Log on i–Page Server" right.

Please, contact your administrator.

Quick Log In

If only one person will be using i–Page Server on a particular computer, the “Remember Me” check box on the “Login” dialog may be checked after entering the user name and password. The next time you start the application, your login data will already be entered and all you need to do is to select the “Log In” button or press the “Enter” key.

The system can remember only one user at a time, so the last one will overwrite the previous. All authentication data is stored in a secure way.

No Login

If i-Page Server is used on a private machine and you always log in as an administrator, you can select the option to bypass the authentication procedure. See System Options - Automatic Login.

Warning: Be aware that the “Quick Log In” procedure and bypassing the authentication pose a security risk.

Log in as a different user

Select ‘Log Off <userName>' from the main popup menu.

A new login procedure will be initiated, where you can login as a different user.


Run i–Page Server

Run i-Page Server

i–Page clients are not able to connect to i–Page Server until the server is launched and started.

The server state is indicated by its icon in the system tray:

Server Started
Server Stopped

Start

To start i–Page Server right-click on the main popup menu and select "Start", or just double-click on the server icon in the system tray.

If the server is successfully started its icon changes to the running state [image] and the callout balloon appears pointing to the icon.

Stop

To stop i–Page Server right-click on the main popup menu and select "Stop", or just double-click on the server icon in the system tray.

When the server stops its icon changes to the stopped state [image] and the callout balloon appears pointing to the icon.

Before it stops, i–Page Server:

  • Sends a broadcast message to all the clients advising them that it is going down.
  • Logs out all accounts that are currently logged in.
  • Disconnects all connections (COM and TCP/IP) to all the clients.
  • Releases all devices.
  • Disconnects from all carriers.
  • Stores all messages that are waiting to be sent to carriers in the database.
  • Stores all report messages that are waiting to be sent back to clients in the database.
Note: You do not need to stop the server to change any of its settings.

Auto Start

To start the server as soon as the program loads see "Set System - System Options".

Warning: Double-clicking on the server icon has a toggle effect. It will start the server if it is stopped, but it will also stop the server if it is started.


Connections

The "Connections" dialog allows the user to see and delete all active and inactive server connections.

Only an account with the "See Server Connections" right can see all the connections.

Select ‘Connections’ on the main popup menu.

For each connection the server displays:

Connection Id | Unique session id assigned by the server when the connection is created
Account | Id of the account that uses the connection
Client IP | IP address of the machine that the account uses to connect to the server
Type of Connection | Shows the type of connection
Connected At | Time at which the client connected to the server.
Active | Whether the connection is still active (connected and logged on)

Types of Connection

Type | Icon
COM (local) |
TCP/IP |
File |
Web |
Any |

Refreshing Display

If a new connection is accepted by the server or status of any existing connection changes the display is refreshed automatically.

To be sure that the display is up-to-date, the user can also press the "Refresh" button (shortcut: F5).

Removing Connection

Active Connection

The administrator can forcibly disconnect any of the clients:

  • Check the "Selected" radio-button
  • Select the connection you want to disconnect
  • Press the "Delete" button (shortcut Ctrl+Del)

The server will gracefully disconnect and send a message to the client.

Web Connection

The administrator is not allowed to delete a web connection. i-Page Server cannot send any unsolicited message neither to the web server or browser and it is not possible to disconnect a web client gracefully. If the connection is deleted it could result in unpredictable behaviour.

If the user tries to delete the web connection, the server displays a warning

and connection is not deleted.

Inactive Connection

The administrator can also clear all inactive connections:

  • Check the "Inactive" radio-button
  • Press the "Delete" button (shortcut Ctrl+Del)

All inactive connections will be removed from the system.

Note: i-Page Server automatically removes inactive connections periodically.

Connection Info

If you want to see more information about the connection just double-click on the connection or select it and use the shortcut: Ctrl+I. See also "Object Summary"


i-Page - Password Changes Log

Password Changes Log

Every account has right to change its own password. The account with the "Set Account" right can change a password for every other account.

i-Page Server stores all password changes for the future reference. Only accounts with the " See Password Changes Log" right can see the password changes log.

Select ‘Accounts | Password Changes Log ’ on the main popup menu.

The "Password Changes Log" displays all password changes as read-only. They cannot be edited or deleted.

The column "Changed For" displays the account which password was changed, the column "Changed By" displays the account which changed the password, and the column "Date/Time Changed" displays the date and time when the password was changed.

The log can be saved to the file the following formats:

  • Text File (txt)
  • HTML File (html)
  • Rich Text Format File (rtf)
  • CSV File (csv)

To save the log, click on the "Save" button and on the "Save As" dialog select the file type from the "Save As Type" control.

Log Saved In Different Formats

Log In TXT Format (Displayed in Notepad)

Log In RTF Format (Displayed in WordPad)
Log In HTML Format (Displayed in Chrome)
Log In CSV Format (Displayed in MS Excel)


Set Server System

Set System

Sets values that are used by the whole i-Page System.

Only an account with the "Set i-Page Server" right can change the server settings.

Select ‘System | Set System’ on the main popup menu.

Currently, it has following items:

  • Tcp Connection
  • Serial Port Messages
  • System Options
  • System Messages
  • System Log
  • CSV File

Save System Settings

None of the changes you make to any of the pages are saved automatically. Saving changes works separately for each page.

E.g., If you have entered some changes on one of the pages, the “Save” button will become enabled but only when you are on that page. If you move to another page it will resume the value for that page. Your changes on another page will not be lost, so you can always go back and save or cancel changes.

If you wish to save some changes, go to the respective page and save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning: If you close the dialog box without saving changes on any of the pages, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes on all pages will be saved.

Cancel Changes

If you do not wish to save your changes to any of the settings and wish to return to the previous settings, you can cancel all the changes for that page by selecting the “Cancel” button.

The cancel button works the same way as the “Save” button i.e. its functionality is always associated only with the currently opened page.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Defaults

To return to default settings, click on the "Default" button.

The default button works the same way as the “Save” button, i.e. its functionality is always associated only with the currently opened page.

Shortcut: Ctrl+N


Server TCP

TCP Connection

Sets the values that are used by the TCP/IP connection engine that connects and communicates to i-Page clients.

Server Data

"Server Name" and "Server IP Address" are read-only controls, and they display the name and IP address of the machine that i-Page Server is running on.

Number of Clients

The "Max Connection No" control shows how many clients are allowed to connect to the client simultaneously. The value is read-only and it is set through the server registration process.

Server Port

Enter a TCP port number into the “Server Port” control.

This is the TCP port that i-Page Server uses to listen for new client connections. Every client connects to this port.

Port numbers can range from 0 to 65,535. Be aware that ports in the range 0 to 1,023 are reserved ports, so if you use them make sure that they are not conflicting with another application that runs on the same machine as i-Page Server.

You may also need to change the settings of the firewall that runs on the server machine.
Before selecting a server port we recommend that you consult your network administrator.

Protocol

This is an application level protocol that i-Page Client uses to talk to i-Page Server. Select a protocol version that you want to use. In most cases you would select the highest one. Which one will be actually used, depends on the capabilities of each client.

The server can run simultaneously different versions of the protocol for each client.

Note: In the current version of i-Page, either the "iPP 1.1" or "iPP 1.2" protocol can be used.

TCP Buffer Size

i-Page Server has additional memory buffers to store messages intended for the clients, while waiting on TCP connection to come through. One buffer is created for each client and they are used to prevent the loss of messages due to lower speed or congestion of the network, or to control memory used by the messaging system.

If you suspect that some messages may be lost due to slow network traffic, increasing the buffer size may help. On the other hand, if the computer is low on memory, decreasing the buffer size could lower memory consumption.

Enter into the "Client Buffer Size" control the number of messages that the server can store for each client TCP/IP connection.

The maximum number of messages for the client buffer is 10,000 and minimum is 200.

Read and Write Timeouts

Read timeout indicates the number of milliseconds that the connection should wait on the client socket, before checking if there is any server message to send to the client.

Default: 1,000 milliseconds.

Write timeout indicates the number of milliseconds that the connection should wait on the server message, before checking if there is any message received from the client.

Default: 2,000 milliseconds.

Keep Alive

If required, i-Page Server can send "keep alive" messages to the client in regular time intervals.

To enable the server to send "keep alive" messages, check the "Send Keep Alive Message" check box.

Default: false.

Enter an interval within which the messages will be sent, into the "Keep Alive Interval" control. The interval value is entered in minutes.

Default: 2 minutes.

TCP Message Data Size

iPP protocol expects every message to be in a certain range size. It allows two different ranges to be used in a communication between the server and the client. Most of messages fit into the "normal" size and it is recommended to the user to use the "Normal" data size settings.

It could happened during the objects download or during report queries that the message goes over that size. If that happen, the server will truncate the message on the boundaries of the last object that fit into the required size. If the user notice that frequently all expected objects (contacts, schedules, etc.) are not loaded, it can increase this settings to the "Large" data size.

Make sure that the "TCP data Size" on the client is set to the same value.

Character Encoding

iPP protocol allows the client and the server to use different character encoding to encode a TCP message.

To set the character encoding, select one of the options from the "Character Encoding" combo box.

Character Encoding Options | Description
ASCII | Uses characters from the basic 7-bit ASCII encoding set
ANSI | Uses characters from the extended 8-bit ASCII set, defined as the current computer's code page
UTF-8 | Uses UTF-8 Unicode character encoding
Unicode | Uses UTF-16LE Unicode character encoding (little-endian byte order)
Unicode BE | Uses UTF-16BE Unicode character encoding (big-endian byte order)

Make sure that the "Character Encoding " on the server is set to the same value.

Warning: Both, the server and the client must have the same settings for the "TCP Message Size" and "Character Encoding". Otherwise, the client may not be able to connect to the server at all.


Untitled Document

Serial Port Messaging

Serial Port Messaging feature allows any client application to connect to i-Page Server through a serial port and send a page, email and SMS message. The client does not have to implement any proprietary protocol or pass i–Page Server authentication.

It is also possible to connect a device to the port that will actually create a message and send it to the serial port.

To set the serial port messaging connection, on the popup menu select the "System | Set System " and on the "Edit System" dialog, select the "Serial Port Messaging" item on the left-hand side.

Serial Port Messaging Settings:

  • Enable Functionality
  • Select Carrier
  • Select Serial Port
  • Serial Port Settings
  • Message Settings
  • Test
  • Errors

Enable

To enable the "Serial Port Messaging" functionality, check the "Enable" check box. It will set and open the selected serial port and the server will start listening on the port for messages.

The system will save enabled functionality only if the port and message settings are correct.

Warning: When you click the "Save" button with the "Enable" check box checked, the server will check

  • Whether the port settings are correct
  • Whether it can open the selected serial port
  • Whether the "Message Settings" are correct

If any of above settings are not correct, you will get an error and the "Serial Port Messaging" functionality will be disabled.

Select Carrier

A carrier represents a service provider and a protocol that i-Page Server uses to send different types of messages (see Set Carriers). All carriers, defined in the i-Page system, appear in the "Select Carrier" combo box. To set the carrier that will be used for sending messages, select it from the "Select Carrier" control.

Serial Port

To select the serial port that the server will use to listen for the message data, select the port in the "Select Serial Port" control.

Note: The control lists only ports that are registred with the operating system.

Serial Port Settings

To be able to communicate with the port and to a device that could be connected to the port, you must set some port settings:

  • Baud Rate
    - Default: 57,600
  • Byte Length
    - Default: 8
  • Parity
    - Default: None
  • Stop Bit
    - Default: 1

Message Settings

To enable the server to correctly read messages from the selected serial port, it is necessary to delimit the address of the mobile device that the message will be sent to and the message text that will be sent.

Pager Id Delimiter

Set the pager id delimiter that will separate the device address and the text message.

The id delimiter must be present and must be different than the "Message Delimiter".

Note: If the message is sent by a device, the same setting must be present on the device.

Message Delimiter

Set the message delimiter that will separate the message from the device address and all other messages on the serial port.

The message delimiter must be present and must be different than the "Pager Id Delimiter".

Note: If the message is sent by a device, the same setting must be present on the device.

Test

Serial Port Test

To test the selected serial port, you have to disable the "Serial Port Mesaging" functionality.

Make sure that the "Enable" check box is not checked and, if neccessary, save the settings.

The "Open" button in the "Serial Port Settings" group of controls becomes enabled.

Click on the button and you will get a message either that the port is opened successfully or that there is an error in accessing the port.

If the port is opened, the button will change to the "Close" button and anything that is send to the port will be visible in the "Serial Port Data" window.

To finish the serial port test, just click on the "Close" button.

Message Settings Test

To test the message settings, Select the "Display" button in the "Message Settings" group of control.

The formatted message will be displayed in the "Message Settings" window.

Errors

The following errors will occur only if you try to save the enabled serial port messaging functionality:

Serial Port Settings

Incorrect serial port settings

Error accessing the port

Message Settings

Missing pager id delimiter.

Missing message delimiter

Pager id and message delimiters have the same value


System Options

Sets i-Page Server options. Some of the options, like "System Type Names", are used throughout i-Page System.

System Type Names

i-Page allows the user to create contacts, contact groups, message templates, folders, schedules and reports for faster and easier message sending and manipulation. These message objects are displayed in the i-Page Client and i-Page Server forms and dialogs under default names - "Contact", "Group", "Template", "Folder", "Schedule" and "Report" . If you would like i-Page System to use different names for them (e.g. "Officer", "Crew", "Message Blueprint", "Area", "Plan", etc.) you can change them here.

i-Page will change all references to the "contact", "group", "template", "folder", "schedule" and "report" words (singular and plural) in the program and the changes will propagate to all the clients. Next time the client logs into i-Page Server, all displays on all client windows will be updated with the new type names.

Note: Grid column titles will not be changed, because they are set by the user.

Warning: If you do not enter anything in the "Plural Form" control, the system will create a regular plural by adding "s" to the respective singular form. So, be careful that you do not end up with an irregular plural form (e.g. policemans) on your display.

Contact Display Names

In the "Contact Display Names" group of controls, enter the singular and plural form of the names that i-Page will use for "contact".

Group Display Names

In the "Group Display Names" group of controls, enter the singular and plural form of the names that i-Page will use for "group".

Template Display Names

In the "Template Display Names" group of controls, enter the singular and plural form of the names that i-Page will use for "template".

Schedule Display Names

In the "Schedule Display Names" group of controls, enter the singular and plural form of the names that i-Page will use for "schedule".

Report Display Names

In the "Report Display Names" group of controls, enter the singular and plural form of the names that i-Page will use for "report".

Folder Display Names

In the "Folder Display Names" group of controls, enter the singular and plural form of the names that i-Page will use for "folder".

Client Inactivity Timeout

The administrator can set the server to automatically disconnect inactive clients. If the client does not access the server within the "session timeout" time its session will be cancelled and its connection to the server closed. Both inactivity timeout values are express in minutes.

TCP Session Timeout

To set the inactivity timeout for remote (TCP/IP) clients, enter a number of minutes into the "Session Timeout TCP" control.

i-Page Server will close the connection gracefully, which means that it will send a disconnect message to an inactive client with an appropriate explanation.

If you want to disable the inactivity checking, just set the value of the "Session Timeout TCP" control to '0'.

Max: 600 minutes (10 hours)

Min: 0 minutes

Default: 0 minutes - inactivity check is disabled.

Web Session Timeout

To set the inactivity timeout for web (HTTP) clients, enter a number of minutes into the "Session Timeout Web" control.

The session for Web clients is controlled and maintained by the i-Page module, installed into the respective web server. It controls browser connections to the web server. If the user's browser does not access the web server within the "timeout" time, its session is terminated. Next time the same user tries to access the server the "Session Timeout" page will be returned.

The page has a link that gives the user the option to start a new session. The user will have to pass the authentication procedure again.

The inactivity check for web users CANNOT be disabled.

Max: 600 minutes (10 hours)

Min: 5 minutes

Default: 400 minutes

Server Auto start

If you would like i-Page Server to start automatically when the application is launched, check the "Start server on startup" box.

Automatic Login

Before the user can access any of the server's functionalities, i–Page server will require her/him to complete the authentication process.

If you always use i-Page Server as an administrator on a private machine, you can bypass the login procedure by un-checking the “Use Login” check box. In that case the program will bypass the authentication on start up and log the user automatically as an administrator.

Warning: Be aware that bypassing the authentication may pose a security risk.


System Messages

Used to control processing, storing, archiving and deleting of user messages and feedback messages that are returned to the client.

Message Management

All messages that are received from clients are stored in the database and put into the input buffer to wait to be processed by i-Page Server and sent to carriers. Message results (success or error) are stored in the database and then put into the output buffer to wait to be sent back to clients. Every message result is sent only to the account that sent the message. After the message result is returned to its account, the message is archived and its memory image destroyed.

If the server crashes or is closed down, on its restart both buffers are reloaded from the database.

To set the number of messages received from clients that the server can store in its input buffer, enter the value into the "Input Buffer Size" control.

To set the number of messages waiting to be returned to clients that the server can store in its output buffer, enter the value into the "Output Buffer Size" control.

If the message in the output buffer cannot be returned to the account that initiated it (e.g., the account is no longer connected to the server) the server will wait for the account to connect and will then return its message to it.

To set a time interval that the server will wait for the account to connect, enter values in hours and minutes into the "Return Message Expires After" group of controls.

If the account does not connect again in that time interval, the message will be archived and its memory image destroyed.

Warning: The result message is not returned necessarily to the same client but to the same account.

Deleting Messages

Controls deletion of archived messages. Active messages, still in processing, cannot be deleted by the user.

Select a delete option in the "Delete Messages" group of radio-buttons.

All Messages | All messages from all clients archived in the server database will be deleted
Old Messages | All messages from all clients archived in the server database that are older than the number of days in "Delete Interval" will be deleted

Press the "Delete" button or use the shortcut: Ctrl+Del.

You will get an appropriate warning with the option to cancel the delete operation.

Delete Old Messages

Old messages may be deleted manually or the program can be set to delete them automatically.

The “Last Time Deleted” control shows the last time old messages were deleted.

In the “Delete Interval” control, enter a number of days that the program will keep archived messages in the database. All messages older than that interval will be deleted.

If you select the “Auto Delete” control, every time the program starts it will delete all messages older than the delete interval. If the program runs continuously, every day between midnight and 2:00 AM it will check for old messages and delete them.


Set Server Log

Log

i-Page Server logs all events created during communication with carriers and devices.

Log data are stored in the "<IPageServer_Folder>\Logs" folder (Example: "C:\Program Files\IPageServer3\Logs") and it is named "ipsLog<log_number>.txt"
(Example: "ipsLog1.txt").

You can open that file with any text editing tool (e.g. Notepad) or you can use the log viewer tool that comes with i–Page (see See Log).

Log File

The log file stores all data in the following format:

  • Log Item: <item_no> (<date> <time>)
  • Action: <action_performed>
  • Description: <action_description_and_result>
  • Debug Info: <aditional_info>

For example:

Log Item: 421 (21/07/2010 12:18:19)
Action: Initialising "Device Modem" device
Description: Initialising "Dial-up Modem" type device
Debug Info: "ATQ0V1M1E0X4&D2" 0D

Log Settings

To set the number of distinctive entries that will be stored in one log file, enter a value in the "Items per File" control.
When the number of items_per_file is reached, i-Page Server will switch to a new log file.

To set the number of separate files that i-Page Server will maintain, enter a value in the "No of Files" control.
When the number_of_files is reached, i-Page Server will start overwriting the first file.

The control "Current Log File" displays the name and the path of the log file that i-Page Server is currently using. This control is read-only.

Reset

Selecting the "Reset" button will reset all log counters. The system will switch to the first file and start counting items in this file from '1'.

Log Display Settings

i-Page includes a log viewer - tool that allows the user to see all the entries in the log file in real time.

If you would like to see more information about server/carriers/devices communication that is logged in that file, check the "Display Debug Info" box.

Note: If that communication works without problems, it is better to uncheck this control, because debug data makes the log harder to follow and may be confusing for an every day user.

If you want the log display to always stay on top of all the other forms in the program, select "Stay On Top".

To set the background colour of the viewer, select the "Colour" button.
Shortcut: Ctrl+C

To set a font for the viewer select the "Font" button.
Shortcut: Ctrl+F

All changes to the font and colour will display in the text box above buttons.

Test

To test current log display settings, select the "Test" button.

Shortcut: Ctrl+T

The application will open the system log with its current settings.


Set Accounts

To log into i-Page Server the user must have her/his account created on the server.

User accounts can be created, edited and deleted only by the system administrator and users that have “Set Accounts” right assigned by the administrator.
Other users have some limited rights to edit their own account. See Change Personal Account

Select ‘Accounts | Set Accounts’ on the main popup menu.

Find Account

"Edit account " page has a search tool that helps the user to find an account.

The account can be located in the grid by its user name or display name.

Select one of these options in the "Find By" combo box. Default: user name.

Start typing the account's user name or display name into the "Find Account " window. If the match is found the account in the grid will be selected and moved at the top of the grid.

Add New Account

Click on the “New” button in the ‘Edit Account’ dialog box.

Shortcut: Ctrl+N

Enter the user’s account name in the “New Account” window.
The user will use that name as a ‘user name’ to log into i-Page Server. The system will also create a first-time-login password identical to the user name. The administrator can change the account's password.

Warning: User names are unique to the i-Page System and cannot be changed after you create the user.

Edit Account

Select the account in the grid.

Select the “Selected Account” node to get the panel with the account's settings, or just double-click on the account in the grid.

Enter a name in the "Display Name" control. This is the name that the system will use in its messages and displays referring to this account.

Enter a properly formatted email address into the “Email” control (optional).

Enter a properly formatted mobile number into the “Mobile No” control (optional).

Enter a pager number into the “Pager Id” control (optional).

Set user’s rights in the “Access Rights” control, by checking a check box next to the right you wish to assign to the user.

Note: If you position the mouse over any of the rights, its explanation will appear beneath the "Access Rights" control.

Access Rights

Right | Explanation
Log on i-Page Server | The user can log in directly to the server application (not via client)
Set i-Page Server | The user can change some server system settings
Set Accounts | The user can create, edit and delete accounts
Set Devices | The user can create, edit and delete devices
Set Carriers | The user can create, edit and delete carriers
Set Database | The user can change the system database file
Set System Objects | The user can create, edit and delete system wide contacts, groups and templates on i-Page Server
Set Client Objects | The user can create, edit and delete its own contacts, groups and templates on i-Page Client
Assign System Objects | The user can assign system wide contacts, groups and templates to themselves on i-Page Client
Set Server Connection | The user can change server TCP/IP connection settings on i-Page Server
Delete Server Messages | The user can delete messages archived on the server
Delete Client Messages | The user can delete its own subset of messages stored on the server
Register i-Page Server | The user can register the server and change the registration type (number of allowed client connections)
See Server Connections | The user can see and disconnect all clients connected to the server
See Password Changes Log | The user can see all password changes and save them to a file
Set File Interface | The user can create, edit, delete, start and stop client file interface on the server
Create System Schedules | The user can create, edit and delete system wide schedules on i-Page Server and disable and delete accounts' schedules
Create Account Schedules | The user can create, edit and delete its own schedules on i-Page Client
Create System Reports | The user can create, edit and delete reports on any account's messages
Create Account Reports | The user can create, edit and delete reports but only on their own messages

Note: If the selected user is “admin”, the “Access Rights” control is disabled, because the admin account has all rights assigned to it and that cannot be changed.

Enable Account

By un-checking the "Enable" box the administrator can temporarily disable any account without deleting it. The disabled account cannot log into i-Page Server and cannot connect to the server via any type of client.

To enable the account check the "Enable" box.

Change Account's Password

To change the account’s password, click on the “Change Password” button.

Hot keys: Alt+P

Enter a new password into the “New Password” control.

Enter the new password again into the “Confirm New Password” control.

Click the “OK” button or press the Enter key.

Delete Account

To delete selected account, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the account will be deleted permanently and the option of whether to delete it or not. If you choose to delete it anyway, the account will be deleted permanently.

Warning: If you delete the account, all contacts, groups, templates, folders, schedules and reports created and owned by that account will be deleted as well.

Note:
  • It is not possible to delete the “admin” account.
  • It is not possible to delete the account that is currently directly logged in to the i-Page Server application. This means you cannot delete yourself
  • It is not possible to delete any account that is online - logged on to i-Page Server via i-Page Client.
  • If you select any account from above, the "Delete" button becomes disabled.

Assign Message Objects

The system administrator can assign system wide message objects to the account.

Message objects are objects that the user uses to send a message:

  • Contacts
  • Contact groups
  • Message templates
  • Schedules
  • Reports
  • Folders
To assign message objects to the selected account, select ‘Account Objects’ item.

Select Object Type

To select the object type that you want to assign to your account, click on one of the radio-buttons in the "Assign To Account" group of controls.

  • Contacts
  • Groups
  • Templates
  • Schedules
  • Reports
  • Folders

An appropriate page for that type of the object will open in the middle panel.

Assign Object

The list displays all objects of that type - system-wide objects and ones owned by the account. All objects that are already assigned to the selected account are checked.

If you want to assign an object to the account, check the box in front of the object.

If you want to assign all objects of the selected type to the account at once, check the "Select All" check box.

If you want to remove (un-assign) an object from the account, uncheck the box in front of the object.

You cannot remove objects that are created by the account (via client). All such objects appear blurred. If you try to uncheck them you will get a warning message.

Note: If you want to see all properties of the object, just double-click on its entry in the displayed list.

Account Display

Sets the way the account grid displays different types of accounts.

Account Types

Account | Regular account, which is enabled and not currently connected
Administrator Account | Default administrator ("admin")
Disabled Account | Account temporary disabled by the administrator
On Line Account | Account logged into i-Page Server through i-Page Client

Click on the “Fill” button for the appropriate type and select default background colour for that type.

Click on the “Font” button for the appropriate type and select default font colour for that type.

The new selection will display in the text box above the selection buttons.

Save Account

None of the changes you make to any of the pages are saved automatically. Saving changes works separately for each page.

E.g. If you have entered some changes on one of the pages, the “Save” button will become enabled but only when you are on that page. If you move to another page it will resume the value for that page. Your changes on another page will not be lost, so you can always go back and save or cancel changes.

If you wish to save some changes, go to the respective page and save them by clicking the “Save” button or the “Enter” key.

Shortcuts: Ctrl+S or Enter

Warning: If you close the dialog box without saving changes on any of the pages, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes on all pages will be saved.

Cancel Changes

If you are not satisfied with changes to the account and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

The cancel button works the same way as the “Save” button, i.e. its functionality is always associated only with the currently opened page.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Account Summary

To see detailed info about the selected account, either click on the "Account Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.

See also "Object Summary".


Set Devices

A device represents a piece of hardware that i-Page Server uses to connect to carriers.

Device Type Settings:

  • Common Settings
  • Dial-Up Modem
  • GSM Modem
  • SitePage
  • SitePage Scope
  • Email
  • Email Pager
  • SNPP
  • REST

Only an account with the "Set Devices" right can change the device settings.

Select ‘System | Set Devices’ on the main popup menu.

Find Device

"Edit device " page has a search tool that helps the user to find a device.

The device can be located in the grid by its name or ID.

Select one of these options in the "Find By" combo box. Default: name.

Start typing the device name or ID into the "Find Device " window. If the match is found the device in the grid will be selected and moved at the top of the grid.

Add New Device

Click on the “New” button in the ‘Edit Device’ dialog box.

Shortcut: Ctrl+N

Select a device type in the "New Device" dialog.

Click the "Create" button or press Enter (or just double-click on the device type).

A new device of the selected type is created with the default settings for that type.

Edit Device

In the device grid, select the device you wish to edit.

Select the “Selected Device” node or just double-click on the device in the device grid to get the panel with device data.

Common Settings

There are some settings that are common to all types of devices.

Controls "Device Type" and "Device Id" are read-only. Their values are set when the device is created and cannot be changed.

Name

In the "Device Name" control, enter a name that will identify the device. Choose some name that will be easily recognisable to you. The name is case sensitive.

Buffer Size

Every device maintains its own memory buffer to store messages that are waiting to be processed by the device and sent to its carrier. The buffer is designed as a priority queue (messages with higher priority are always put at the top of the queue).

Enter a maximum number of messages that the device queue can hold into the "Buffer Size" control.

Minimum: 200
Maximum: 10,000
Default: 1,000 messages.

Timeout

Every device, while processing the message and communicating with a carrier, can encounter an error. Such an error could lock the device and make it inaccessible permanently. To prevent this from occurring, i-Page Server times out the device at a certain time interval. If the protocol that the device is using to communicate with the carrier defines such timeout intervals, the server will use values from the protocol. Otherwise a value entered in the "Device Timeout" control will be used.

To set the device timeout, enter a value in milliseconds into the "Device Timeout" control.

Minimum: 0
Maximum: 20,000
Default: 5,000.

Retries

If the device encounters a temporary error in its own functioning or communication with the carrier, the user can set the device to retry the whole operation.

To set a number of times that the device will try to send a message, enter a value into the "No Of Retries" control.

Minimum: 1
Maximum: 25
Default: 1.

Retry Delay

The system needs some time to reset the device between retries.

Enter a value for the retry delay in milliseconds into the "Retry Delay" control.

Default: 300.

Dial-Up Modem

Resource Address

In the "Serial Port" control, select a serial (COM) port that the modem is connected to.

Initialisation String

Initialisation string (init string) is a group of AT commands issued to the modem by a communications program at the beginning of a communication session, which establishes an active modem configuration.

Some modems need an initialisation string to work properly. Check your modem documentation for this and enter a string recommended by the modem producer (if any) into the "Initialisation String" control.

i-Page Server uses the initialisation string to set the modem to respond to the server commands in the expected way.

Note: It is very easy to make an error while entering the initialisation string.
To make sure that the string is acceptable to the modem and to i-Page Server, press the "Test" button. In the Test Display you will be able to see whether the modem has accepted the initialisation string. If it is not accepted the testing will be stopped.
Some errors can lock the modem and some can make it work in the a way that is unacceptable to the server.
If the error is critical, the system will warn the user and reject the entry or, if possible, automatically correct the error.

Dialling Prefix

If your modem is connected to the external phone line via PABX (not directly), it is necessary to dial a number for an outside line, wait for a dial tone, and then dial the telephone number of the remote modem.

Enter the number that you need to dial to get the public line into the "Dialling Prefix" window.

Wait For Dial Tone

If you check the "Wait For Dial Tone" check box, your modem will, after dialling a special PABX number for an outside line, wait for the dial tone from the public line before it starts to dial the recipient's number. If no dial tone is detected in the specified time (depends on the modem settings - the range is usually 30 to 50 seconds), the modem hangs up.

GSM Modem

Resource Address

In the "Serial Port" control, select a serial (COM) port that the modem is connected to.

Baud Rate

In the "Baud Rate" control, select a baud rate that the modem is set to.

Note: i-Page Server cannot change the modem baud rate. If you do not select the same baud rate the modem is set to, you will not be able to communicate with the modem.

Message Mode

The SMS specification has defined two modes in which a GSM modem or mobile phone can operate. They are:

  1. SMS text mode
  2. SMS PDU mode (PDU stands for Protocol Data Unit)
Note: SMS PDU mode is more commonly supported by GSM/GPRS modems and mobile phones than SMS text mode.

If you press the "Test" button in the Test Display you will be able to see which modes are supported by your modem.

PIN Number

Enter your SIM card PIN number into the "PIN Number" control.

During the test, the server will also check if the modem PIN security feature is active (if the SIM card requests the PIN number). If it is, the server will use the PIN number from the "PIN Number" control to unlock the modem. You may need to run the test twice to get a successful result.

Warning: If the modem PIN security feature is active and you have entered the wrong PIN, running the test more than three times can lock either the SIM card, the device or both.
You will then have to use some other software ( Hyperterminal) to enter a PUC (PIN Unlock Code) or PUK (PIN Unlock Key), provided by the service operator. If the wrong PUC (PUK) is entered ten times in a row, the device may become permanently blocked and unrecoverable, requiring a new SIM card.

SitePage and SitePage Scope

Resource Address

In the "Serial Port" control, select a serial (COM) port that SitePage is connected to.

Baud Rate

In the "Baud Rate" control, select a baud rate that SitePage is set to.

Note: i-Page Server cannot change SitePage baud rate. If you do not select the same baud rate SitePage is set to you will not be able to communicate with the device.

SitePage Scope is a SitePage device with the "Scope" protocol. The i-Page Server settings are the same as for the SitePage running the "TAP Direct" protocol.

It is recommended for the SitePage Scope device that the "Device Timeout" control is set to at least 9,000 milliseconds (9 seconds).

Email And Email Pager

Resource Address

Enter IP address of your SMTP server into the “SMTP Server IP Address” control. This is the server that your network is using for sending emails.

Enter the port number that your server is using into the “SMTP Server TCP Port” control. The usual port for SMTP messages is 25.

SNPP (Simple Network Paging Protocol)

Resource Address

Enter IP address of your SNPP server into the “SNPP Server IP Address” control. This is the server that your provider is using for sending paging messages over the Internet.

Enter the port number that your server is using into the “SNPP Server TCP Port” control. The usual port for SNPP messages is 444.

Default: 444

Device Timeout Default: 20,000

Note: Most of providers will require a pretty large value for the "Device Timeout". The usual value is 20,000 milliseconds (20 seconds).

REST

Resource Address

Enter the host name of your REST server into the “HTTP Host Address” control. This is the server that you will send page messages to.

If your REST provider requests that the HTTP connection to their server is protected with the SSL/TLS encryption, check the "Use SSL" check box.

Use SSL Default: true

Note: If you check the "Use SSL" check box then your message will be send over the "https" connection, otherwise the server will use the "http" connection.

Enable Device

To enable the device, check the "Enabled" box. The server disregards devices that are not enabled.

You cannot enable the device if you do not assign unique resource address to it (COM port or server address and port number).

Delete Device

To delete the selected device, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the device will be deleted permanently and the option of whether or not to delete it. If you choose to delete it anyway, the device will be deleted permanently.

You will not be able to delete a device that is already assigned to one or more carriers. In that case you will get an error message and the delete operation will be cancelled.

If you still want to delete the device, you must first assign all the carriers associated with it to another device of the same type.

Save Device Settings

If you wish to save changes to the device, click the “Save” button or hit the “Enter” key.

Shortcuts: Ctrl+S or Enter

When you try to save the device settings, if the device is enabled, the program will check that:

  • the device has a resource address assigned to it
  • the same address is not already assigned to another device

If the device does not have a unique address assigned to it, the program will save all other settings but it will disable the device. The user will get an appropriate error message.

Warning: If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Cancel Changes

If you do not wish to save your changes to any of the settings and wish to return to previous settings, you can cancel all the changes by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Test

To test the selected device settings, press the "Test" button.

Shortcut: Ctrl+T.

Note: You need to save the settings before you can test them.

The "Test Display" window will popup and you will be able to follow the whole testing process in real time.

The i-Page Server test feature performs different sets of tests on different device types.

Dial-Up Modem Test

  1. Tests a connection to the modem
  2. Tests the initialisation string
  3. Retrieves information about a modem model
  4. Retrieves information about a modem producer
  5. Retrieves stored modem configuration
  6. Retrieves stored phone numbers

GSM Modem Test

  1. Tests a connection to the modem
  2. Retrieves information about a modem model
  3. Retrieves information about a modem producer
  4. Tests if the modem has a SIM card
  5. Tests whether the modem requests a PIN number
    • If it does, sets the PIN number
  6. Tests the modem security settings
  7. Tests if the SMS Centre phone number is already stored in the SIM card
  8. Retrieves the SMS Centre phone number
  9. Retrieves SMS modes that the modem supports (Text and/or PDU)
  10. Retrieves stored modem configuration
  11. Retrieves stored phone numbers

SitePage Test

  1. Tests a connection to the device

Email Test

  1. Pings the SMTP server
  2. Connects to the SMTP server
  3. Disconnects from the SMTP server

SNPP Test

  1. Connects to the SNPP server
  2. Disconnects from the SNPP server
  3. The test is considered successfulif i-Page server is able to connect to and disconnect from SNPP server successfully.

REST Test

A connection to a REST server cannot be tested, because most of providers request a full authentication to access the server. The authentication data can be set only on the respective carrier level. That is why all REST connection tests are performed on the REST type of the carrier.

Device Info

To see detailed info about the selected device, either click on the "Device Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.

See also "Object Summary".


Set Carriers

A carrier represents a service provider and a protocol that i-Page Server uses to send different types of messages.

Carrier Type Settings:

  • Common Settings
  • Serial Port Settings
  • TAP Modem Settings
  • GSM SMS Settings
  • TAP Direct Settings
  • Scope Settings
  • Email Settings
  • Email Pager Settings
  • SNPP Settings
  • REST Pager Settings

Only an account with the "Set Carriers" right can change the carrier settings.

Select ‘System | Set Carriers’ on the main popup menu.

Find Carrier

"Edit carrier " page has a search tool that helps the user to find a carrier.

The carrier can be located in the grid by its name or ID.

Select one of these options in the "Find By" combo box. Default: name.

Start typing the carrier name or ID into the "Find Carrier " window. If the match is found the carrier in the grid will be selected and moved at the top of the grid.

Add New Carrier

Click on the “New” button in the ‘Edit Carrier’ dialog box.

Shortcut: Ctrl+N

Select a carrier type in the "New Carrier" dialog.

Click the "Create" button or press Enter (or just double-click on the carrier type).

A new carrier of the selected type is created with the default settings for that type.

The system will try to find a device that matches the selected type of carrier. If it cannot find one, it will display an error message and cancel the operation. A new carrier will not be created.

Edit Carrier

In the carrier grid, select the carrier you wish to edit.

Select the “Selected Carrier” node or just double-click on the carrier in the carrier grid to get the panel with carrier data.

Common Settings

There are some settings that are common to all types of carriers.

Controls "Carrier Type" and "Carrier Id" are read-only. Their values are set when the carrier is created and cannot be changed.

Name

In the "Carrier Name" control, enter a name that will identify the carrier. Choose some name that will be meaningful to you. The name is case sensitive.

Select Device

From the "Select Device" combo, select a device that the carrier will be assigned to. Multiple carriers can be assigned to the same device.
The device type must be compatible with the carrier type.

Allow Line Breaks

If you want the system to preserve line breaks in a message text, check the "Allow Line Breaks" box. The system will format line breaks according to the protocol the carrier is using.

Message Length

To set the message length, select the "Fragmenting" node in the left-hand side panel. See "Message Fragmenting"

Serial Port Settings

All carriers which use devices that are connected to serial ports require the user to enter port settings.

For port settings consult your carrier provider documentation.

TAP Modem

Enter a provider's phone number into the "Carrier Phone No" control.

If your provider requires a password, check the "Use Password" box. This will enable the "Password" box. Enter your password into the "Password" control.

GSM SMS

SMS centre number is a telephone number of the service centre through which your SMS messages will be sent. It is formatted using the ISDN / telephony numbering plan (ITU E.164/E.163).
Example: +6423600500
The correct service centre number is usually pre-set in the default settings stored in the SIM card. You can check that and get the number through the SMS device tests (see Set Device - Test).

If the SMS centre address is not pre-set in the SIM cart or you want to overwrite the default settings, check the "Use Centre Number" box. It will enable the "SMS Centre No" box. Enter the SMS centre address into the "SMS Centre No" control.

If you need to use Unicode (UCS2) character encoding in your messages, check the "Use Unicode" box.
A Unicode SMS can only contain 70 characters. In i-Page Server every Unicode message switches GSM modem to the PDU Mode.

Note: Not all mobile networks support Unicode SMS. For example, Unicode SMS is not supported for most US mobile number destinations.

TAP Direct

If your SitePage is set to require a password, check the "Use Password" box. It will enable the "Password" box. Enter your password into the "Password" control.

Scope

If your SitePage is set to use the "Scope" protocol, you can choose between two types of page messages:

  • Alphanumeric
  • Numeric

To set the SitePage to send an alphanumeric message, select "Alphanumeric" as a message type. For numeric messages, select the "Numeric" message type.

Email

For more about the email settings, see "Carrier Email".

Email Pager

For more about the email settings, see "Carrier Email Pager ".

SNPP

SNPP (Simple Network Paging Protocol ) is a protocol that allows the server to send paging messages to the paging terminal over the Internet, using TCP/IP as its transport/routing protocol.

If your SNPP provider requires a password:

  • Check the "Use Password check box. The "User Name" and "Password" controls become enabled.
  • Enter the user name that is registered with the provider, in the "User Name" control.
  • Enter the password into the "Password" control. The password is case-sensitive.

REST Paging

For more about the REST settings, see "Carrier REST Pager ".

Enable Carrier

To enable the carrier check the "Enabled" box.

Delete Carrier

To delete the selected carrier, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system telling you that the carrier will be deleted permanently, and you will be given the option of whether or not to delete it. If you choose to delete it anyway, the carrier will be deleted permanently.

You will not be able to delete a carrier that is already assigned to one or more contacts. In that case you will get an error message and the delete operation will be cancelled.

If you still want to delete the carrier, you must first assign all the contacts associated with it to another carrier.

Save Carrier Settings

None of the changes you make to any of the pages are saved automatically. Saving changes works separately for each page.

E.g., If you have entered some changes on one of the pages, the “Save” button will become enabled but only when you are on that page. If you move to another page it will resume the value for that page. Your changes on another page will not be lost, so you can always go back and save or cancel changes.

If you wish to save some changes, go to the respective page and save them by clicking the “Save” button or hitting the “Enter” key.

Shortcuts: Ctrl+S or Enter

Selected Carrier Device

When you try to save the carrier settings, the program will check whether the device type that the carrier is assigned to is compatible with the carrier type. If not, the program will save all other settings except the selected device and you will get an appropriate error message.

Fragmenting Page

When you try to save the carrier's maximum message length the program will check whether the length is bigger than the calculated minimum message length. If not, the program will save all other settings except the new maximum message length and you will get an appropriate warning message. The maximum message length will be re-set to the default value for that type of carrier.

Warning: If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes on all pages will be saved.

Cancel Changes

If you do not wish to save your changes to any of the settings and wish to return to previous settings, you can cancel all the changes by selecting the “Cancel” button.

The cancel button works the same way as the “Save” button, i.e. its functionality is always associated only with the currently opened page.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Test

To test the selected carrier settings, press the "Test" button.

Shortcut: Ctrl+T.

Note: You need to save the settings before you can test them.

The program tests the carrier by sending a real message to the selected address.

The user is prompted to enter an appropriate address.

All addresses are checked to be valid against the address type that the selected carrier is using.

The "Test Display" window will popup and you will be able to follow the whole testing process in real time.

Carrier Info

To see detailed info about the selected carrier, either click on the "Carrier Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.

See also "Object Summary".


Set File Interface

File Interface Connection

A client application can connect to i-Page Server through the file system. It can send paging, SMS and email messages and receive a result by placing and retrieving message files into and from designated folders.

A file interface connection can be created, edited and deleted only by the system administrator and users that have “Set File Interface” right assigned by the administrator.
Every file interface connection is counted as a connection against the registered number of connections.

The format and the structure of the message files are defined in "i-Page File Connection Protocol":

  • Message In File
  • Message Result File

To set the file interface connection, on the popup menu select the "System | Set File Messaging " item.

Find File Messaging

"Edit File Messaging " page has a search tool that helps the user to find a file messaging object.

The file messaging object can be located in the grid by its name or ID.

Select one of these options in the "Find By" combo box. Default: name.

Start typing the file messaging object name or ID into the "Find File Messaging" window. If the match is found the file messaging object in the grid will be selected and moved at the top of the grid.

Add New File Messaging Object

Click on the “New” button in the "Edit File Messaging" dialog box.

Shortcut: Ctrl+N

A new file messaging object is created with the default settings. A new file messaging object is created with the default settings. The default name of the object is "File messaging <object id>".

Edit File Messaging Object

Select the file messaging object in the grid.

Select the “Selected File Message ” node to get the panel with the file messaging settings, or just double-click on the file messaging object in the grid.

Name

In the "File Message Name " control, enter a name that will identify the file messaging object. Choose some name that will be easily recognisable to you. The name is case sensitive.

Send Messages

To send a message, place a file with the message into the "Message In Folder".

To set the folder, either type the full path to the folder into the "Message In Folder" control or click on the 'find' icon [image] inside the control and find the folder through the usual "Browse For Folder" dialog.

Message Result

If you want to receive a file with the send message result, check the "Return Message Result" check box.

To set the folder in which files with result messages will be placed, either type the full path to the folder into the "Message Out Folder" control or click on the 'find' icon [image] inside the control and find the folder through the usual "Browse For Folder" dialog.

Save Sent Messages

After the server reads a message from the message in folder, the message file is automatically deleted.

If you want to save the send message file, UNCHECK the "Delete Sent Message File" check box and select a folder to store the sent messages in.

To set the folder, either type the full path to the folder into the "Move File to Folder" control or click on the 'find' icon [image] inside the control and find the folder through the usual "Browse For Folder" dialog.

If you do NOT want to save sent messages, check the "Delete Sent Message File" check box (default).

Default Carrier

The carrier field in the message file is an optional field. If the user does not enter a value for the message carrier, the system will use the default carrier.

To set the default carrier, select a carrier from the "Default Carrier" control.

File Encoding

To set a character encoding of the message file, select between the options in the "File Character Set" control.

File Encoding Options |
ASCII | Uses characters from the basic 7-bit ASCII encoding set
ANSI | Uses characters from the extended 8-bit ASCII set, defined as the current computer's code page
UTF-8 | Uses UTF-8 Unicode character encoding

If the file is formatted using UTF-8, then the first 3 bytes on the first line are: 0xEF 0xBB 0xBF. It is required by many text processing and spreadsheet applications in order to recognise UTF-8 format.

File Messages

For the format of file messages see "File Message In" and "File Message Out"

Polling Interval

To set the interval in which i-Page Server will check the message in folder for new messages, enter a number of seconds into the "Polling Interval" control.

Min: 5 seconds

Max: 600 seconds (10 minutes)

Default: 15 seconds

Enable File Connection

To enable the file connection, check the "Enabled" check box. As soon as the file connection is enabled, the server will start checking the message in folder for new messages in every polling interval.

Warning:
  • The system will not allow you to save the enabled file connection if any of the enabled file connection objects has the same value for their message in folder.
  • The system will not allow you to save the enabled file connection if any of its 3 folders (message in, message result, saved messages) have the same value.
  • The value of the message result folder is not checked if the the "Return Message Result" is not selected.
  • The value of the saved messages folder is not checked if the "Delete Sent Messages" is selected.

Delete File Connection

To delete selected file messaging object, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the file messaging object will be deleted permanently and the option of whether to delete it or not. If you choose to delete it anyway, the file messaging object will be deleted permanently.

Save Changes

To save your changes, press the "Save" button.

Shortcut: Ctrl+S or Enter.

Warning: If you close the dialog box without saving changes for the file messaging object, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes for that file messaging object will be saved.

Cancel Changes

If you do not wish to save your changes and want to return to previous settings, you can cancel your changes by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Test File Connection

i-Page Server includes a tool for a complete test of the file connection. During the testing, a message file is created and stored into a 'message in' folder. It is then retrieved, decoded and processed. An actual message is sent, through a selected carrier to a selected address. A result message is created and stored into the 'result message' folder.

To test the file connection, press the "Test" button on the right-hand side of the "Edit File Interface" dialog. The "Message File Interface Test" dialog pops up.

Enter the receiver's address of the message you want to send into the "Enter Address" control.

Select a message format. There are five message type options to choose from:

  • Complete with header
  • Partial with header
  • Complete without header
  • Partial without header
  • Basic message

If you select any of the partial options, the "Use Message Fields" control becomes enabled.

Select fields you want to include into the message.

Note: Required message fields are always selected and you cannot unselect them.

Select a carrier from the "Select Carrier" control.

Type a message into the "Message" window. Your message can include any printable character. It can also include quotations and you can insert one or more line breaks.

To see the actual formatted message, press the "Show" button.

To send the message to the selected address through the file interface, press the "Send" message.

The "File Message Interface Test" display window will popup and you will be able to follow the whole testing process in real time.

Delete Message Files

According to the "i-Page File Connection Protocol", i-Page Server is responsible for maintenance of the "Message In" folder. All message files from that folder are deleted automatically as soon as the server retrieves them.

Message files from the "Result Message" and "Saved Sent Messages" folders are used by the file client application, which is also responsible to maintain these folders.

If this is not possible, the server administrator ha an ability to delete files in these two folders.

To delete the files, select the "Delete Message files " item on the left-hand side of the "Edit File Messaging " dialog.

The "Delete File Interface Files" dialog pops up.

Select a type of a file you want to delete. Options are:

  • All files - deletes all files in the selected folder
  • Test Files - deletes only file created during the test procedure - the server can tell apart test files from the user's files

Select folders that you want to delete files from. Options are:

  • Stored Message Folder (saved sent messages)
  • Message Out Folder (result messages)
  • Both

Click on the "Delete" button.

A warning message pops up:

Click on the "Yes" button and all the files of the selected type from all the selected folders are deleted.

On the top of the "Delete File Interface Files" dialog you will see the number of deleted files.

File Connection Summary

To see detailed info about the selected file messaging object, either click on the "File Connection Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.

See also "Object Summary".


Set IP Messaging

IP Messaging Connection

IP Messaging feature allows any client application to connect to i-Page Server and send a page message. The client does not have to implement any proprietary protocol or pass i–Page Server authentication.

To set the IP messaging connection, on the popup menu select the "System | Set IP Messaging " item.

Currently, it has following items:

  • TCP Connection
  • Message Settings
  • Send To
  • Test
  • Object Summary
  • Start IP Messaging
  • Stop IP Messaging

TCP Connection

Enable IP Messaging

To enable the IP Messaging connection, check the "Enabled" check box. If the connection is not enabled, you will not be able to start the connection or set i-Page Server to start IP Messaging on its startup.

Server Data

"Server Name" and "Server IP Address" are read-only controls, and they display the name and IP address of the machine that i-Page Server is running on.

Server Port

Enter a TCP port number into the “Server Port” control.

This is the TCP port that i-Page Server uses to listen for new IP messaging client connections. Every client connects to this port.

Default: 6060

Port numbers can range from 0 to 65,535. Be aware that ports in the range 0 to 1,023 are reserved ports, so if you use them make sure that they are not conflicting with another application that runs on the same machine as i-Page Server.

You may also need to change the settings of the firewall that runs on the server machine.
Before selecting a server port we recommend that you consult your network administrator.

Character Encoding

IP messaging connection allows the client to send a message, using different character encoding.

To set the character encoding, select one of the options from the "Character Encoding" combo box.

Default: ASCII

Character Encoding Options | Description
ASCII | Uses characters from the basic 7-bit ASCII encoding set
ANSI | Uses characters from the extended 8-bit ASCII set, defined as the current computer's code page
UTF-8 | Uses UTF-8 Unicode character encoding
Unicode | Uses UTF-16LE Unicode character encoding (little-endian byte order)
Unicode BE | Uses UTF-16BE Unicode character encoding (big-endian byte order)

Read and Write Timeouts

Read timeout indicates the number of milliseconds that the connection should wait on the client socket, before checking if there is any server message to send to the client.

Default : 400 milliseconds.

Write timeout indicates the number of milliseconds that the connection should wait on the server message, before checking if there is any message received from the client.

Default : 2,000 milliseconds.

IP Connection Restrictions

To connect to the IP Messaging TCP port, the client does not have to pass authentication or to comply to the proprietary i-Page Client/Server Protocol (iPP). In some cases such connection may pose a security risk. "IP Connection Restriction" group of controls gives the i-Page server administrator opportunity to limit clients that can connect to IP Messaging connection.

To allow every client to send a message through the IP Messaging interface, in the "Allow Connections From" group of controls, select the "All IP Addresses" radio button.

To allow only clients from certain IP addresses to send a message through the IP Messaging interface, in the "Allow Connections From" group of controls, select the "Selected Addresses" radio button. In that case the "Allowed IP Addresses" window and the "Add" button become enabled.

To add an allowed address press the "Add" button (shortcut: Ctrl+Ins).

In the "IP Address" dialog enter a valid IPv4 address. Select "OK" or just press the "Enter" key and the address will be added to the "Allowed IP Addresses" window.

Note: If you enter an invalid IP address, you will get an error message and the address will not be added to the "Allowed IP Addresses" window.

To delete an IP address from the "Allowed IP Addresses" window, select the address and press the "Delete" button (shortcut: Ctrl+Del).

Auto Start

If you want the IP Messaging connection to start automatically every time i-Page Server starts, check the "Start on server startup" check box.

Message Settings

To set the messaging criteria, select the "Message Settings" item on the left-hand side of the dialog.

Dispatch Message Criteria

The "Dispatch Message Criteria" group of controls sets criteria for a message that will be re-paged by the server.

To re-page every message that the server receives on the IP Messaging connection, select the "Dispatch every message" option.

To re-page only messages that comply to the certain criteria, select the "Use Dispatch Criteria" option.

To set the criteria, enter a text string that the message must contain to be re-paged into the "Dispatch Message that Contains" control. The text can be a single word, a phrase or several unrelated words.

Select a type of search in the “Match” control.

  1. Any Word – The message will be re-paged if any word from the search string is found in the message.
  2. All Words –The message will be re-paged only if all words from the search string are found in the message, but not necessarily in the same order.
  3. Exact Phrase – The message will be re-paged only if all words from the search string are found in the message and in the same order.

If you wish to have the search text to be case sensitive, check the “Case Sensitive” check box.

If you check the “Whole Words Only” check box, then the server will look only for standalone words from the search phrase

Example: the word “gun” would not be recognized in the word “gunmen”.

Otherwise, the server will look for any partial match in any word in a message.

Keep Alive Message

To make sure that their TCP connection is still alive and/or to prevent inactivity timeouts, some clients send a special message in regular intervals.

If clients that connect to the IP Messaging connection are doing that, check the "Use Keep Alive In Message" check box and enter such message into the "Keep Alive In Message" control. i-Page Server will treat such message separately and will not re-page it.

If your clients expect a response on the "keep alive" message, check the "Send Keep Alive Response" check box and enter the message that the clients expect into the "Keep Alive Out Message" control. In that case, as soon as the server receives the "keep alive in" message it will send the "keep alive out" message back to the client.

Send To

To set pager id's that the message will be re-page to, select the "Send To" item on the left-hand side of the dialog.

Capcodes

To re-page the message to the individual, non adjacent capcodes, check the "Send Message To Capcodes" check box and enter all capcodes into the "Send Message To Capcodes" control.

If you enter more than one capcode, separate entries by:
space ('·'), coma (','), semicolon (';'), colon (':'), forward slash ('/') or back slash ('\') character - or any combination of them. You can use these characters with or without a space before or after them.

Example:

1234560·1234567,1234562;1234563/1234564

Contacts

If you have set i-Page Server contact (see Set Message Objects - Contacts), their capcodes will appear in the "Contact Capcodes" control. To add a capcode, position the cursor in the "Send Message To Capcodes" window, select the capcode in the "Contact Capcodes" combo and press the "Add" button (shortcut: Ctrl+Ins).

You can also right-click in the "Send Message To Capcodes" window and from the popup menu select the capcode.

Capcode Range

You can also enter a range of adjacent capcodes that the message will be re-paged to. To do that, check the "Send Message To Capcode Range" check box.

Enter a capcode that starts the range into the "Capcodes From" control and a capcode that ends the range into the "Capcodes To" control.

The system will re-send the message to all the capcodes in the range, including the capcodes entered into the "Capcodes From" and "Capcodes To".

Note: If some of the individual capcodes, entered into the "Send Message To Capcodes" control, overlap with capcodes in the range, the server will not duplicate the message. The message to such capcodes will be re-paged only once.

Carrier

A carrier represents a service provider and a protocol that i-Page Server uses to send different types of messages (see Set Carriers). All carriers, defined in the i-Page system, appear in the "Select Carrier" combo box. To set the carrier that will be used for re-paging messages, select it from the "Select Carrier" control.

The system will allow you to save only a carrier option that can be used for paging messages.

Test

To test you settings and complete IP Messaging functionality, select the "Test" item on the left-hand side of the dialog.

In the "Connection" window, you can see:

  • Status of the IP Messaging server (with its IP address and listening port)
  • Status of every client connection (with its IP address and port)
  • Message that is sent to a client
  • Message received from the client
  • Keep alive message received from the client
  • Keep alive response sent to the client

To send a message to all connected clients, enter a message text into the "Send Test Message" control and press the "Send" button (shortcut: F5).

Warning: The "Send" button is disabled if there is no contacts connected to the IP Messaging connection and there is no text in the "Send Test Message" control.

Object Summary

To see detailed info about your settings for the IP Messaging connection, either click on the "Object Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.
See also "Object Summary".

Start

To start the IP Messaging connection, select the "Start" button in the control panel of the dialog (on the right-hand side).

Shortcut: F6

Warning: IP Messaging will not start if the "Enabled" check box is not checked.

Note: If you want IP Messaging to start automatically, see Auto Start.

Stop

To stop the IP Messaging connection, select the "Stop" button in the control panel of the dialog (on the right-hand side).

Shortcut: Ctrl+F6

Warning: When you stop the IP Messaging connection, all connected client will be "gracefully" disconnected (means that the server will send a disconnect message to all the clients) .


Set Server Message Objects

Set Message Objects

The system administrator can create message objects that are visible to all accounts. They can be assigned to any account.

Message objects are objects that the user uses to send a message:

  • Contacts
  • Contact groups
  • Message templates
  • Folders

Select ‘Message Objects’ on the main popup menu and from the submenu select the object type you want to edit..

Only the system administrator and an account with the "Set Server Objects" right can create, edit and delete these objects.

Select Object Type

To set a system message object, the system administrator must first select the object type. To select the object type that you want to create, edit or delete, click on one of the items in the left-hand side panel:

  • Contacts
  • Groups
  • Templates
  • Folders

A page with all objects of that type already created by the system administrator opens in the middle panel.

Contacts

See image above.

Groups

Templates

Folders

If you also want to see all users' objects of that type, check the "Show Users Contacts/Groups/Templates/Folders" above the grid.

Find Object

Every page for every object type has a search tool that helps the user to find an object.

The object can be located in its grid by its name, id or address (contacts only).

Select one of these options in the "Find By" combo box. Default: name.

Start typing the objects's name, id or address into the "Find Contact" window. If the match is found the object in the grid will be selected and moved at the top of the grid.

Add New Object

Select an object type.

Click on the “New” button in the ‘Edit Object’ dialog box.

Shortcut: Ctrl+N

Note: All objects are created and stored on i-Page Server.

Select the “Selected Contact/Group/Template” node to see the panel with object settings.

Enter an object name in the “Contact/Group/Template Name” box.

Note: Object names are not unique and you can assign the same name to a different object of the same type. The names in the system are case sensitive.

Edit Object

Selecting Object for Editing

Select an object type.

Select the object in its respective grid.

If you have a problem finding the object you can use the object's search tool.

Edit Contact

Select the “Selected Contact” node to get the panel with contact settings, or just double-click on the contact in the grid.

To change the contact name, enter a new name into the “Contact Name” control.

Select its carrier type in the "Carrier" combo. As soon as you change the carrier type, a value in the "Address Type" will change to the type of the address that the selected carrier is using. The "Address Type" control is read-only.

Note: If you are not sure which carrier to use, you can find more information about each carrier in the "Set Carriers" dialog.

Enter a contact Address into the "Contact Address" box.

The address must be of the type shown in the "Address Type" control. If you enter an address of the wrong type the system will warn you and you will not be able to save your settings.

If you want, you can also enter some additional comments about the contact in the "Comments" window.

Edit Group

Select the “Selected Group” node to get the panel with group settings, or just double-click on the group in the grid.

To change the group name, enter a new name into the “Group Name” control.

There are two lists with contact names displayed. The list on the left-hand side with the title "Available Contacts" shows all available contacts that are not yet assigned to the selected group. The list on the right side with the title "Assigned Contacts" shows all contacts already assigned to the selected group.

To add a new contact to the group, select it in the "Available Contacts" list and press the "Assign contacts" button [image], or just double-click on it. The contact will be moved from the "Available Contacts" to the "Assigned Contacts" list.

Shortcut: Ctrl+Right (arrow)

To remove a contact from the group, select it in the "Assigned Contacts" list and press the "Remove Contacts" button [image], or just double-click on it. The contact will be moved from the "Assigned Contacts" to the "Available Contacts" list.

Shortcut: Ctrl+Left (arrow)

If you want you can also enter some additional comments about the group into the "Comments" window.

Edit Template

Select the “Selected Template” node to get the panel with template settings or just double-click on the template in the grid.

To change the template name, enter a new name into the “Template Name” control.

Enter a template text into the "Template Text" box.

Edit Folder

Select the “Selected Folder” node to get the panel with folder settings, or just double-click on the folder in the grid.

To change the folder name, enter a new name into the “Folder Name” control.

The dialog contains two groups of controls with two lists in each group.

First group: The list on the left-hand side with the title "Available Groups " shows all the account's groups, that have not yet been assigned to the selected folder. The list on the right-hand side with the title "Assigned Group " shows all the groups already assigned to the selected folder.

To add a new group to the folder, select it in the "Available Groups " list and press the "Assign group " button [image], or just double-click on it. The group will be moved from the "Available Groups " to the "Assigned Groups " list.

Shortcut: Ctrl+Right (arrow)

To remove a group from the folder, select it in the "Assigned Groups " list and press the "Remove group " button [image], or just double-click on it. The group will be moved from the "Assigned Groups " to the "Available Groups " list.

Shortcut: Ctrl+Left (arrow)

Second group: The list on the left-hand side with the title "Available Contacts " shows all the account's contact, that have not yet been assigned to the selected folder. The list on the right-hand side with the title "Assigned Contacts " shows all the contacts already assigned to the selected folder.

To add a new contact to the folder, select it in the "Available Contacts" list and press the "Assign contacts" button [image], or just double-click on it. The contact will be moved from the "Available Contacts" to the "Assigned Contacts" list.

Shortcut: Shift+Ctrl+Right (arrow)

To remove a contact from the folder, select it in the "Assigned Contacts" list and press the "Remove contacts" button [image], or just double-click on it. The contact will be moved from the "Assigned Contacts" to the "Available Contacts" list.

Shortcut: Shift+Ctrl+Left (arrow)

If you want, you can also enter some additional comments about the folder in the "Comments" window.

To change the template name, enter a new name into the “Template Name” control.

Enter the template text into the "Template Text" window. The system will preserve new line settings.

If you want you can also enter some additional comments about the template into the "Comments" window.

Save Changes

To save your changes, press the "Save" button.

Shortcut: Ctrl+S or Enter.

The save command will save changes only for the selected object type.

Warning: If you close the dialog box without saving changes for any of the object types, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes for all object types will be saved.

All changes are saved on the server to its central database. The client does not store any settings for any of the message objects.

Cancel Changes

If you do not wish to save your changes and want to return to previous settings, you can cancel all the changes for the selected object type by selecting the “Cancel” button.

The cancel command works the same way as the save command, i.e. its functionality is always associated only with the currently selected object type.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Delete Object

To delete the selected object, press the "Delete" button.

Shortcut: Ctrl+Del.

You will get a warning from the system that the object will be deleted permanently and the option to either delete it or not. If you choose to delete it anyway, the object will be deleted permanently.

Note: You can delete only a system object. If the selected object is created by an account (on the client), the "Delete" button will be disabled.

Warning: The deleted object will be removed from all accounts. If the selected object is a contact, it will be also removed from all groups and folders. If the select object is a group, it will be removed from all folders.

Object Info

To see detailed info about the selected object either click on the "Selected Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.
See also "Object Summary".


Set Database

i-Page Server stores all information about objects, system settings, messages and all settings for every account in its database.

The default file is "ips3.mdb" and it is is stored in the "<INSTALL_FOLDER>\Database\" folder:

Default: C:\Program Files\IPageServer\Database\ips3.mdb

The account with the Set Database right can change the system database.

Select ‘System | Set Database’ on the main popup menu.

The "Database File" control shows a full path to the current database file the system is using.

The "Tables" window shows all tables in the database.

If you select any table in the "Tables" control, all the fields in the respective table are shown in the "Fields" window.

Changing Database

Find Database

To change the system database file, select the "Find" button.

Shortcut: Ctrl+F

Use the usual open file dialog to find a new file.

After you select a new file, it is shown in the "Database File" control.

Cancel Operation

To cancel the operation, select the "Cancel" button. This button becomes enabled only after you select a different database file.

Shortcut: Ctrl+Q

Save Changes

To change the system database permanently (and to enable the "Save" button), you must check that the new file has required structure and is not corrupted.

To do that, select the "Test" button.

Shortcut: F9

If the file is correct, you will get a confirmation message from the system.

Tables from the new database are shown in the "Tables" window and the "Save" button becomes enabled.

Click on the "Save" button.

Shortcut: Ctrl+S

Warning: You must close down and restart i-Page Server for changes to take effect.

When you close the "Edit Database" dialog, you will get the following warning:

If you select an incorrect database file, you will get an error message.

For detailed information about errors, check the "DB Settings Error.txt" file. It is created in the server installation folder.

Default: "C:\Program Files\IPageServer\DB Settings Error.txt"

Compact and Repair Database

If you notice that the database has grown too large even after you deleted all the messages or there is a suspicion that the file is corrupted, you can try to repair and compact it.

Find the database you want to compact and select the "Compact" button.

Shortcut: Ctrl+X

Note: You need to stop i-Page Server first. As long as the server is running, the "Compact" button is disabled.

In the "Compact and Repair Database" dialog the name of the database file that you want to compact is already entered in the "Database File Name" control.

The "Old File Size", read-only control shows the size of the file.

Select the "Compact" button.

Shortcut: F9

The warning dialog pops up.

If you want to continue with the operation, select "Yes" or just press the "Enter" key.

After few moments the dialog will show the result of the operation.

If an error occurs during the compact and repair operation, you will ge a descriptive error message. The most common error is shown bellow:

Close any program (E.g. MS Access) that are using the same database file.

If you want to revert back to the old file, just remove the new one and delete a backup extension ".bak" from the backup file.


Untitled Document

Set Domains

Domains are used only on i-Page Server Web version of the server. They offer a way to organise user accounts in groups that are not visible or accessible to each other. Each group of accounts behaves as it has server for itself.

Every domain has its 'administrator' account that has all rights for that domain. All other objects, like contacts, group of contacts, folders, templates, schedules, reports and user messages are visible, accessible and editable only inside the domain where they are created. When the object is created on the server it is considered domain-wide object and it is owned by the domain administrator and can be edited or deleted only by accounts that have rights to edit respective system objects. It can be assigned to or used by any account inside the domain. If the object is created on the client it belongs to the account that created it and can be edited or deleted only by that account.

All permissions work the same as on the regular server with the difference that the system permissions are limited to the domain objects.

Every server has a default domain, called "Main" and the default admininistrator account with the user name "admin". In the Web version of the server, that account is the main administrator account. Only the "admin" account can create, edit and delete domains.

Select ‘System | Set Domains ’ on the main popup menu.

This menu option is visible only on i-Page Server Web version and only to the main administrator account.

Find Domain

"Edit Domain " page has a search tool that helps the user to find a domain.

The domain can be located in the grid by its name or ID.

Select one of these options in the "Find By" combo box. Default: name.

Start typing the domain name or ID into the "Find Domain " window. If the match is found the domain in the grid will be selected and moved at the top of the grid.

Add New Domain

Click on the “New” button in the ‘Edit Domain' dialog box.

Shortcut: Ctrl+N

A new domain is created with the default settings. The system also creates a new administrator account for the domain. The user name for the account is "admin" with a domain id as a suffix.

Example: admin1, admin2, admin3, etc.

The domain admin user name cannot be changed. If you want to change other settings for that account, see "Set Accounts".

Edit Domain

In the domain grid, select the domain you wish to edit.

Select the “Selected Domain ” node or just double-click on the domain in the domain grid to get the panel with domain data.

Enter a name in the "Domain Name" control. This is the name that the system will use in its messages and displays referring to this domain.

You can also enter some additional comments about the domain in the "Notes" window.

If you want to change the domain admin account settings, see "Set Accounts".

Delete Domain

To delete the selected domain, select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the domain will be deleted permanently and the option of whether or not to delete it. If you choose to delete it anyway, the domain will be deleted permanently.

Warning: If you delete the domain, you will also delete:

  • All accounts created for the domain
  • All contacts, groups, folders, templates, schedules and reports created by any account from the domain
  • All stored messages, sent by accounts from the domain

Save Changes

To save your changes, press the "Save" button.

Shortcut: Ctrl+S or Enter.

Warning: If you close the dialog box without saving changes for the domain, you will get a warning and another opportunity to save your changes. If you choose ‘Yes’ to save changes on exit, all changes for that domain will be saved.

Cancel Changes

If you do not wish to save your changes and want to return to previous settings, you can cancel your changes by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Domain Summary

To see detailed info about the selected domain, either click on the "Domain Summary" item in the left-hand side panel, or use the shortcut Ctrl+I.

See also "Object Summary".


Schedule Options

Scheduling Options

The "Scheduling Options" dialog contains settings for the scheduling engine and information about the state of the scheduling functionality.

It can be set only on the server.

Select ‘Message Objects | Set Schedules’ on the main popup menu and then select the "Options" item on the left-hand side of the dialog.

Start/Stop Scheduling Engine

To start the scheduling engine, check the "Enable Scheduling" option. The scheduling can be enabled even if there is no enabled schedules.

To stop the scheduling engine, un-check the same option.

Scheduling Interval

Scheduling interval is a time interval in which the scheduling engine checks all enabled schedules to see if there is any message that can be sent.

To set the interval, enter a number into the "Scheduling Interval" edit box. All values are expressed in seconds.

Min: 10 seconds

Max: 7,200 seconds (2 hours)

Default: 30 seconds

Send Time Tolerance

The scheduling engine polls enabled schedules every "scheduling interval" and, because the next send date for the scheduled message is calculated up to millisecond, it is not very likely that the polling interval will fall on the exact time of the message. The engine then looks in the past for the "send time tolerance" and sends all the messages that fit into this interval.

To set the "send time tolerance", enter a number into the "Send Msg Within" control. All values are expressed in minutes.

Min: 1 minute

Max: 120 minutes (2 hours)

Default: 5 minutes

Send Retries

To set how many times will the scheduling engine try to send the message, enter a number into the "Send Retries" control.

Min: 1

Max: 25

Default: 6

User Test Timeout

Every user can test any schedule that is visible to them. The test is performed by the scheduling engine. It does not affect normal functioning of the engine. It is still possible that some scheduling settings create an endless loop and never return any result.

To prevent that, enter a number into the "Test Timeout" control. All values are expressed in seconds.

Min: 5 seconds

Max: 3 600 seconds (1 hour)

Default: 10 seconds

If the test does not finish in that time, the scheduling engine will cancel the test and return an appropriate message to the user.

Admin Test Interval

Only the administrator on the server can perform the complete test of the scheduling engine. The admin test interval emulates a scheduling interval during the real scheduling process.

To set the admin test interval, enter a number into the "Engine Test Interval" control. All values are expressed in seconds.

Min: 1 second

Max: 60 seconds

Default: 2 seconds

Scheduling Info

The dialog displays the number and the list of schedules currently enabled. Those are the schedules that the engine are using to send scheduling messages.

If you want to see more information on any of displayed schedules, just double-click on it.


Schedule Tests

Testing Scheduling

User's Test

Every user can test any schedule that is visible to them (either created by or assigned to the account).

To test the schedule, select it in the "Edit Schedule" dialog and press the "Test" button (shortcut: Ctrl+T).

The user can test only one schedule at the time.

Test Result

The program will display the test result.

The test result displays:

  • Schedule name
  • Schedule criteria
  • All messages that can be scheduled OR
  • All errors reported by the scheduling engine

Every message is marked with ordering number and displays the date when it will be sent.

The date is displayed in two formats: short and long date and time format. Both formats are localised - displayed according to the machine "Region and Language" settings. The long date format is useful for following schedules that exclude certain days of the week from sending messages.

If you do not want a long date format to be displayed, right-click on the display and on the popup menu unselect the "Debug Info" item.

Storing Test Result

The user can copy any part or the whole test result and paste it in any text editing program.

To copy the part of the test result:

  • Select the part you want to copy
  • Press Ctrl+C OR from the popup menu select "Copy"

To copy the whole test result:

  • Press Ctrl+A OR from the popup menu select "Select All"
  • Press Ctrl+C OR from the popup menu select "Copy"

To store the test result directly to a file, from the popup menu select the "Save" item. In the "Save" dialog select a folder and the file name.

Test Result Popup Menu

Every test result displays its popup menu that allows the user to perform copy and save operations and to change the display settings.

To invoke the menu, right-click anywhere in the summary display.

Administrator's Test

This test can be performed only on the server and by users with the "Create System Schedules" right. They can test all the schedules, system-wide and ones created by an account.

From the server main popup menu select "Message Objects | Set Schedules". On the "Edit Schedules" dialog select the "Options" item and click on the "Test Engine" button.

Selecting Schedules

The administrator's test can test one or more schedules at the time. To select schedule(s) for testing, check the check box next to the schedule name and id in the "Select Test Schedules".

If you want to see more info about a particular schedule, just double-click on it and you will se its summary info displayed. For more details see also "Object Summary".

If the schedule that you have checked contains settings error, you will get an error message and you will not be able to select that schedule for testing.

If the schedule settings are correct but the schedule engine cannot schedule any message from those settings, you will get an error message and you will not be able to select that schedule for testing.

To select/unselect all schedules at once, check/uncheck the "Select All" check box.

Start Date/Time

To set a date and time that the scheduling engine will use as a starting point for calculating date and time of the next scheduled message, select a date in the "Start Date" control and time in the "Start Time" control.

You can also use preset start dates. Select one of the options in the "Reset Start Time To" control and press the "Reset" button (shortcut: Ctrl+R). The "Start Date" and the "Start Time" control will be set to the selected preset option.

Options
Default Start | You can set a default date and time for the start of the testing in the "Default Start Date/Time" group of controls
Last Start | Date and time used as a schedule start time during the last test.
Current Time | Current computer date and time

Set Default Start Date/Time

To set the default date and time for the test start date, in the "Default Start Date/Time" group of controls, set the date in the "Start Date" and time in the "Start Time" controls and press the "Set" button (shortcut: Ctrl+S).

Running Test

To start the schedule test, press the "Start" button (shortcut: F5).

When the test starts, the "Stop" button becomes enabled. You can cancel the test at any time by pressing the "Stop" button (shortcut: F6).

Log

The scheduling engine logs the test result into "schTestLog1.txt" log. To see the log while the test is running, press the "Log" button (shortcut: Ctrl+L).

You will see the logging of scheduled messages in real time.

If you want the log displayed automatically when the test starts, select the "Show Log On Start" check box.

It is possible to change some display setting of the log viewer. See "Log Viewer" for more details.


Reports - Server

Reports

i-Page Server has an inbuilt reporting engine that allows the user to set report query values, to generate reports, display the results, save the report to a CSV file and send emails with the report CSV file as an attachment.

Any report can be also set to be generated automatically by the program at the user’s defined time interval and sent as an email attachment to the defined email addresses.

To open the i-Page Server Reports program, on the main popup menu select ‘Message Objects | Set Reports’

The reporting software opens in a separate window and can be managed in parallel with the application. Running reports does not stop usual functionality of the server and does not interfere with it in any way.

When the report program opens, it will display an empty window and all existing report templates in the combo box on the toolbar. If there are no reports already created, you will see the text ‘No Reports’ in the combo.

Report Toolbar

The report program features most used commands in the main toolbar.

Button | Shortcut | Image
New Report | Ctrl+N |
Edit Report | Ctrl+E |
Run Report | F8 |
Export Report | Ctrl+S |
Send Report In Email | F5 |
Send Report To Report Emails | F6 |
Close Report Window | Ctrl+W |
Close All Report Windows | Ctrl+A |
Set Report Window | F2 |

Select Report

To select a report when you have more then one report displayed:

  • Click on the report window
  • Select the report in the combo box on the toolbar
  • Go to the report menu, select the "Windows" item, and from the list of the opened reports displayed at the bottom of the menu pop up, select the report

When the report is selected in any of above ways, its window becomes focused (even if it was minimized).

New Report

To create a new report, select ‘Report | New’ or click the “New” button on the toolbar

Shortcut: Ctrl+N
Hot Keys: Alt+R,N

Once the “Edit Report” form opens, you can use its features to create new reports .

Edit Report

Select the report.

Select ‘Report | Edit’, or click on the “Edit” button on the toolbar

Shortcut: Ctrl+E

Hot Keys: Alt+R,E

Once the “Edit Report” form opens, you can change the report you are editing.

Run Report

Select the report.

Select ‘Report | Run’, or click on the “Run” button on the toolbar

Shortcut: F8
Hot Keys: Alt+R,R

You can also run your report directly from the "Edit Report" dialog, by selecting the "Run" node.

After the reporting engine generates the report, result is displayed in a separate report window inside the main window.

Export Report

Once the report is created and displayed, the "Export To File" button becomes enabled.

Select the report.

Select ‘File | Export to File', or click on the “Export to File” button on the toolbar

Shortcut: Ctrl+S
Hot Keys: Alt+F,F

In the “File Save” dialog box enter the file name in the “File Name” control (you do not need to enter a file extension) and press the “Save” button or the “Enter” key.

All files are saved as Comma Separated Values (CSV) files which may be opened in a spreadsheet or database application.

The user can set some parameters for CSV files i-Page is using. For more information about settings and the format of CSV files, see "Set CSV Files".

The report is exported exactly as it is displayed on the screen with all the columns and rows in the same order.

Send Report In Email

Once the report is created and displayed, the "Send Report In Email" button becomes enabled.

To send email with the selected report, attached as a CSV file, select the report.

Select ‘File | Send In Email', or click on the “Send Report In Email” button on the toolbar

Shortcut: F5
Hot Keys: Alt+F,E

The "Send Report Email" dialog pops up.

  1. Enter an email address into the "Email Address" control.
  • You can enter more than one address.
  • In that case separate addresses by:
    space ('·'), coma (','), semicolon (';'), colon (':'), forward slash ('/') or back slash ('\') character - or any combination of them. You can use these characters with or without a space before or after them.
  • Every address you enter must be a properly formatted email address. If not, you will get an error and an email will not be sent to that address. It will not prevent i-Page Report to send emails to other valid addresses.

  2. Enter an email subject to the "Email Subject" control.

  3. Enter an email text into the "Email Text" control. The text can have more lines.

  4. Press the "Send" button.

i-Page Report will create an email message, a CSV file with your report and attach the file to the email. The file will not be saved.

You will get a message for every address that will advise you whether the email has been sent successfully. The message will also display the address of the receiver and the name of the attached CSV file.

Send Report To Report Emails

To send email with the selected report, attached as a CSV file, to all email addresses defined in the report, select the report.

Select ‘File | Send To Report Emails' or click on the “Send Report To Report Emails” button

Shortcut: F6
Hot Keys: Alt+F,R

If the selected report does not have any emails defined, this button will be disabled.

Otherwise, the report will be sent as attached CSV file to all defined report addresses.

You will get a message for every address that will advise you whether the email has been sent successfully. The message will also display the address of the receiver and the name of the attached CSV file.

Close Report Window

To close the selected report window, select ‘Report | Close' or click on the “Close Report Window” button

Shortcut: Ctrl+W
Hot Keys: Alt+R,C

If you want to close a report that is not selected, select the report first and then use any of above ways to close it.

Close All Report Windows

To close all displayed report windows, select ‘Report | Close All' or click on the “Close All Report Windows” button

Shortcut: Ctrl+A
Hot Keys: Alt+R,A

Set Report Window

To set the way your reports will be displayed, select the “Report Window” button on the toolbar

Shortcut: F2

This will open the "Set Report Window" dialog.

It will enable you to set:

  • Report background colour (default for all reports)
  • Report columns to be displayed, their title, width and position
  • Report font type, size and colour

All above settings will be used as a template for all reports created in future.

If you have some reports already displayed, their settings will be changed accordingly.

Sort Displayed Report

Displayed report data can be sorted on every column in ascending or descending order.

For more information, see "Set Report Window - Sorting".

Arranging Reports

You can arrange all open reports in different ways to make them more accessible.

To arrange displayed reports, go to the report main menu and select the "Window" menu item.

Menu options:

Menu Option | Action
Tile Vertical | Arranges displayed report windows as vertical tiles
Tile Horizontal | Arranges displayed report windows as horizontal tiles
Cascade | Arranges displayed report windows in a cascading order
Minimize All | Minimizes all displayed report windows
Arrange All | Arranges icons of the minimized displayed report windows

Closing Report Program

If you close the reporting program, the application will remember all open reports and their arrangement but only for the duration of the program session so you can later return to finish what you have started.

If you close the main program the reporting program will be closed as well.


Report Window

After you create the report, the result will be displayed in a grid in a new window, and its name will be selected in the combo box on the toolbar.

You can run multiple reports at the same time. They will be opened as separate windows within the report generator.

Report Window

The report window runs inside the i-Page Server Report Program.

In its title it displays the name of the report, date and time when the report was run an number of messages that has met the report criteria.

Format of the title:

Report · - · <report_name> · <run date> · <run_time> · / · Count: · <number> · messages

A dot ( · ) represent a space character.

Set Report Window

To set the way your reports will be displayed, select the "Report Window" button on the toolbar

Shortcut: F2

All above command will open the Set Grid dialog.

It will enable you to set:

  • Report background colour (default for all reports)
  • Report columns to be displayed, their title, width and position
  • Report font type, size and colour

All above settings will be used as a template for all reports created in future.

If you have some reports already displayed, their settings will be changed accordingly.

You can also access these settings from the "Set Reports" dialog, by selecting the "Report Window" node

To make some quick changes to the displayed report, see:

  1. Displaying/Hiding Columns
  2. Resizing Columns
  3. Changing Column Position

All those changes will be stored automatically and used as a template for all reports created in future, but they will not affect other currently displayed reports.

Sort Displayed Report

Displayed report data can be sorted on every column in ascending or descending order.

To sort a grid column, just click on its title. Every time you click it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.

Copy Message

You can copy every message displayed in the report window to the clipboard.

To copy the message, right-click on the message row. You can also select the message row and use one of the shortcuts from the table below.

From the popup menu select a copy option.

Option | Shortcut | Description
Copy Displayed Fields | Ctrl+C | Copy values of the displayed message fields
Copy Report Fields | Shift+Alt+C | Copy values of report fields set in the "Set Report - Report Fields"
Copy All Fields | Shift+Ctrl+C | Copy all message fields
Copy Message | Ctrl+M | Copy only a message text

All fields are copied in CSV format, set by the user. Every copied message has two lines:

  • names of fields copied and
  • corresponding field values

Those lines are separated by CRLF characters.


Log Viewer

Log Viewer is a tool that is included as a part of the i-Page system and allows the user to see different log files maintained by the system. Currently i–Page maintains two log files: i-Page Client log and i-Page Server log

The Log Viewer does not allow editing of the log files.

The Log Viewer displays its respective file in real time, which means that when the viewer is opened, any new entry in the file will be added to the display of existing entries.

Warning: While i-Page is running, you will not be able to open any of its log files in another editing tool

In its title the viewer shows:

  • Application name
  • Type of the log file (System Log)
  • The path and name of the currently used file

For example, in the screen shot below, you can see that the name of the application is "i-Page Client", the type of the file displayed is "System Log" and the path of the file is: "C:\IPageProject\Logs\ipcLog2.txt".

Display Settings

To clear the log display, select the "Clear" button (or the "Clear" menu item in the popup menu).

Shortcut: Ctrl+Del

It will clear the display but will not delete the log file.

To close the viewer, press the "Close" button, or the "Esc" key.

For more available commands, right-click on the display and select the appropriate command from the popup menu.

To move to the beginning of the file select "Go To Start" (Ctrl+Home), and to move to the end select "Go To End" (Ctrl+End).

If you want the log display to always stay on top of all the other forms in the program, select "Stay On Top". If this option is selected, the menu item will have a check mark displayed.

To change the background colour of the viewer select "Settings|Colour" (Ctrl+B) and to set the font select "Settings|Font" (Ctrl+F).

You can also select any part of the text and copy it to the clipboard.

All changes to the log viewer settings are stored automatically.

Open i-Page Client Log Viewer

i-Page Client Log Viewer displays a file that is used to log its communication with i-Page Server. It can be opened from the i-Page Client main screen.

Select 'File | Show Log'

Shortcut: Ctrl+L
Hot Keys: Alt+F,L

All the above commands will open the "i-Page Log Viewer" for the client application.

Open i-Page Server Log Viewer

i-Page Server Log Viewer displays a file that is used to log its communication with carriers and devices. It can be opened from the i-Page Server popup menu.

Right-click on the server icon in the system tray and select the 'System Log' menu item.


Set Grid

Some edit dialogs in i-Page use grids to display all editable objects and some of their properties.

  • Set Devices
  • Set Carriers
  • Set Accounts
  • Set Message Objects (Server)
  • Set Message Objects (Client)
  • Set Schedules
  • Set Reports
  • Set Domains
  • Sent Messages Report
Grids that they are using can be set from within these dialogs by selecting the "Grid" item in the left-hand side panel. They can all be set in the same way.

The “Select Grid” control displays the name of the grid that you are editing.

New Column

The number of columns that you can create in i-Page grid is limited by the number of distinct information that is available for the editing object. The application will warn you if you set two columns to show the same type of data.
All of the types of data that can be displayed for each object are listed in the “Displays Value for” combo box.

To create a new column, press the “New” button.

Shortcut: Ctrl+N

By default the application will create a column with the next available type of data and suggest an appropriate name for the column.

In the popup dialog enter a name for the new column and click “OK”.

The name may be up to 30 characters long and it may consist of one or more words. It can contain any printable character. If the name is longer than 30 characters, it will be truncated.
This name will be displayed as a column title on the grid title bar.

Edit Column

In the “Edit Grid Columns” control, select the column you wish to edit.

Changing Column Position

The “Edit Grid Columns" control shows columns on the same position as in the grid title. Click on the “Up” or “Down” button to move the column up or down until you are satisfied with its position. See Grid Display/Changing Column Position

These changes are saved automatically. If you have the respective grid opened, you will see the changes immediately.

Changing Column Title

Click on the “Change Title” button. In the popup dialog enter a new name for the selected column and click “OK”. (For naming see New Column)

Those changes are saved automatically. If you have the respective grid opened, you will see the changes immediately.

Showing/Hiding Columns

Check or uncheck the “Column Visible” check box. Its respective icon in the “Edit Grid Columns” control will change accordingly. See Grid Display/Displaying/Hiding Columns

This change is not saved automatically.

Changing Column Width

Enter the desired column width into the “Column Width” control. The column width is expressed in pixels. If you do not feel comfortable working with pixels, see Grid Display/Resizing Columns.

This change is not saved automatically.

Changing Display Data Type

Each column displays data obtained from every object displayed. You can change what data each column displays by selecting from the “Displays Value for” combo box.

If you try to set two columns to display the same data, you will get a warning message.

This change is not saved automatically.

Save Column

If you have entered some changes into the column that are not saved automatically, the “Save” button will become enabled.

To save changes to the column, press the “Save” button or the "Enter" key.

Shortcuts: Ctrl+S or Enter

Warning:
  • If you select another column, without saving changes to the previously selected column, the modifications to that column will be lost.
  • If you close the dialog box without saving changes, you will get a warning and another opportunity to save your changes.

Delete Column

In the “Edit Grid Columns” control, select the column you wish to delete.

Select the “Delete” button.

Shortcut: Ctrl+Del

You will get a warning from the system that the column will be deleted permanently and the option to either delete it or not. If you choose to delete it anyway, the column will be deleted permanently and removed from the grid, with all its data, instantly.

Note: Deleting a column from the display does not affect the programming object whose properties the grid is displaying.

Warning:

  • Deleting is not the same as hiding a column.
  • You cannot delete the "ID" column.

Grid Display

Grid Default Colour

Click on the “Color” button and select the default background colour for that grid.

Shortcut: Ctrl+C
Hot Keys: Alt,C

Click on the “Font” button and select the default font colour for that grid.

The new selection will display in the text box above the selection buttons.

Use Grid Colours Only

Not used in this version of i-Page.

Word Wrap

If this control is checked, the grid display engine will force all text to fit within the defined margins of the grid cell. If the length of the text is greater then the width of the cell, the text will be split and placed into the next line and the height of the cell (and the whole grid row) will be increased accordingly. This process will continue until the whole text is displayed within the grid cell. No word will ever be split between two lines. Word wrap will also occur after the user changes the margins of the grid manually.

The word wrap feature does not change the content of the original text displayed in the cell.

Grid Font

Click on the “Font” button.

Shortcut: Ctrl+F
Hot Keys: Alt,F

In the Font Dialog you can select a font type from the “Font ” control. You can use any font that is installed on the machine.

You can also select a font size (from the "Size" control) and a font colour (from the "Color" control).

A font style (bold, italic, strikeout, underline) is also supported by the grid display engine.

All changes to the font will display in the text box above the button.

Vertical Margins

The "Vertical Margins" control allows the user to set margins between the text in the grid and the grid cell top and bottom edges. This feature works only when the "Word Wrap" feature is turned off. The value is expressed in pixels and the default value is 4.

Save Grid Display

To save grid display changes, press the “Save” button or Enter key.

Shortcuts: Ctrl+S or Enter

Cancel Changes

If you are not satisfied with changes to the grid and wish to return to all previous settings, you can cancel all the changes at once by selecting the “Cancel” button.

Shortcut: Ctrl+Q

Note: You can cancel only unsaved changes.

Sorting Grid

Displayed grid data can be sorted in some columns (where it makes sense) in ascending or descending order.

To sort a grid column, just click on its title. If the column is sortable, every time you click on it, it will toggle between ascending and descending sorting order.

If you want more control over the sorting order, right click on the column title and select the "Sort Ascending" or the "Sort Descending" item from the popup menu.

If those items are disabled, that means that the selected column is not sortable.


Object Summary

Every object in i-Page System displays a dialog with the summary of its settings.

To invoke the dialog, select the object in its respective edit page and press Ctrl+I (I - for Info). Some edit pages have a separate "Summary" item that can be selected and some allow the user to invoke the summary by double-clicking the object.

Objects With Summary

  • Devices
  • Carriers
  • Domains
  • Accounts
  • Contacts
  • Groups
  • Templates
  • Schedules
  • Reports
  • Folders
  • File Messaging
  • IP Messaging
  • Connections
  • Sent Messages

Summary For Sent Message

All object summaries are displayed as read-only and cannot be changed.

Copy Summary

The user can copy any part or the whole summary and paste it in any text editing program.

To copy the part of the summary:

  • Select the part you want to copy
  • Press Ctrl+C OR from the popup menu select "Copy"

To copy the whole summary:

  • Press Ctrl+A OR from the popup menu select "Select All"
  • Press Ctrl+C OR from the popup menu select "Copy"

Popup Menu

Every summary display has its popup menu that allows the user to perform a copy operation and to change the display settings.

To invoke the menu, right-click anywhere in the summary display.

Display Settings

To change the colour of the display, select "Colour" from the popup menu (shortcut Ctrl+B).

From the colour dialog select a desired colour.

To change the display font, select "Font" from the popup menu (shortcut Ctrl+F).

From the font dialog select: font type, style and size.

Save Summary

To save the summary into a file, select "Save" from the popup menu (shortcut Ctrl+S).

On the save dialog in the "Save as type" control select a type of file. The summary can be saved into 2 types of file:

  • Text file (.txt)
  • Rich Text Format (.rtf)

Enter a file name and press "Save".

Note: Rich Text Format will preserve all the formating from the display.

One of the summaries, saved in the RTF format and opened in "WordPad".


Using Message Templates

Using Message Template

If you find yourself sending the same or similar message very often, you may find the message template functionality very useful.

  • How to create your own message templates?
  • How to get system templates?

When you are creating the message to send to selected contacts, right-click in the "Message" control.

Selecting Template

From the popup menu select the "Select Template" item. A dialog with all templates will open.

Select the template and click on the "Add" button, or just double-click on the chosen template.

The selected template text will be inserted into the "Message" control at the cursor position.

Selecting Template - Quick Way

In the "Message" window position the cursor where you want the template content to appear in the text.

Select a template in the "Template" control. The selected template will automatically be added to the "Message" window.

Selecting Template - Shortcut Command

From the popup menu select the "Add Template" item. The second level menu will appear, listing the names of existing templates.

If you move your mouse over the template name, you can see its full text in the first field of the main status bar.

Click on the menu item of the template you want to insert into the "Message" control.

Number of Displayed Templates

To sets a number of templates that will show on the popup menu in the "Message" panel, enter the number into the "Template No on Popup" control.

Default: 30.

Note: If you have more templates than that, the template you are looking for may not be displayed on the popup menu


Edit Dialog Shortcuts

All dialogs that are used for creating, editing and deleting objects in i-Page System,
have some common features and use the same shortcut keys to perform those functionalities.
Edit Dialogs
New | Ctrl+N
Delete | Ctrl+Del
Cancel | Ctrl+Q
Save | Ctrl+S or Enter
Selected Object Settings | Ctrl+O
Display All Objects | Ctrl+A
Selected Object Summary | Ctrl+I
Close | Escape
Used in the following dialogs:
  • Set Devices
  • Set Carriers
  • Set Accounts
  • Set Message Objects (Server)
  • Set Message Objects (Client)
  • Set Schedules
  • Set Reports
  • Set Domains


Email Carrier

i-Page Server provides interface for setting both types of connections, unsecured and secured, to SMTP server.

For secure connection the server uses libraries developed by the OpenSSL Project, that use strong cryptography which could be restricted in some countries. If these libraries (files 'libeay32.dll' and 'ssleay32.dll') are not installed with the server installation, the server will display interface for unsecured connection settings. To change that, the user can always download these files from the "https://www.openssl.org/" site and put it in the server's installation folder.

Settings (Unsecured Connection)

The first part of the settings are common to all carriers. For more info see "Set Carriers - Common Settings".

Sender Address

Enter the sender’s email address into the “Sender Address” control.

This address will be used as the sender’s address in all email messages sent by i-Page Server.

It would be a good idea to use the email address of the i-Page Server administrator for this, although any properly formatted email address will do.

Authentication

If your SMTP server requires authentication, you will need a valid account on the server.

  • Check the “Use Password” control
  • Enter the account's user name in the "User Name" control
  • Enter the account's password into the"Password" control.

Settings (Secured Connection)

The first part of the settings are common to all carriers. For more info see "Set Carriers - Common Settings".

Sender Address

Enter the sender’s email address into the “Sender Address” control.

This address will be used as the sender’s address in all email messages sent by i-Page Server.

It would be a good idea to use the email address of the i-Page Server administrator for this, although any properly formatted email address will do.

Authentication

Select the type of authentication from the "Authentication" control. You can select one of the following options:

None Select this option when no authentication is required by the SMTP server.
Normal Password Select this option when the SMTP server requires authentication, but authentication data are sent in a plain text.
You will need a valid account on the server.
  • Enter the account's user name in the "User Name" control
  • Enter the account's password into the"Password" control.
Encrypted Password Select this option when the SMTP server requires authentication, but authentication data are sent in a secure manner to the server.
The SMTP server must support some of SASL mechanisms for a secure authentication.
You will need a valid account on the server.
  • Enter the account's user name in the "User Name" control
  • Enter the account's password into the"Password" control.
i-Page Server will negotiate the SASL mechanism with the SMTP server.

Note:

SASL stands for "Simple Authentication and Security Layer". It is a an IETF standard based on RFC 4422. It defines a framework for authentication and data security in Internet protocols.

The framework is implemented through different SASL mechanisms. Each of those mechanisms defines a level of encryption and series of challenges and responses that are exchanged between the SMTP server and a client during the authentication. SASL mechanisms are registered with IANA.

i-Page Server implements several of SASL mechanisms:

  • CRAM-MD5 - defined in ITEF standard RFC 2195
  • CRAM-SHA1 - defined in ITEF standard RFC 2195
  • DIGEST-MD5 - defined in ITEF standard RFC 2617
  • PLAIN - defined in ITEF standard RFC 4616
  • LOGIN - basic LOGIN mechanism used by SMTP

When you test the selected carrier, the server obtains SMTP server capabilities and displays them as a part of the test display. Some of that capabilities are SASL mechanisms that are supported.

Connection Security

Select the type of connection security from the "Connection Security" control. You can select one of the following options:

None | The whole communication between the i-Page and SMTP server, including an email message, is carried out in a plain text.
SSL | The whole communication or a part of it (depends on the settings in "Start SSL/TLS") is encrypted according to the SSL (Secure Socket Layer) specifications. i-Page Server implements versions SSL 2.0 and SSL 3.0, which is defined in ITEF historic document RFC 6101. During the SSL negotiation with the SMTP server, i-Page will first try to use SSL 3.0 and if it does not work, it will downgrade to SSL 2.0.
TLS | The whole communication or a part of it (depends on the settings in "Start SSL/TLS") is encrypted according to the TLS (Transport Layer Security) specifications. i-Page Server implements versions TLS 1.0, which is defined as ITEF standard RFC 5246.
Auto | The whole communication or a part of it (depends on the settings in "Start SSL/TLS") is encrypted according to the SSL or TLS specifications. i-Page Server negotiates with the SMTP server which cryptographic protocol they are going to use during their communication. Its starts with TLS 1.0 and if the server does not implement it, continues with SSL 3.0 and SSL 2.0 (in that order).

Start SSL/TLS

Since SMTP protocol can be used either with or without TLS (or SSL), it is necessary to indicate to the SMTP server whether the i-Page is making a TLS (SSL) connection or not. There are two main ways of achieving this:

  1. SMTP server uses a different port number for TLS (SSL) connections (usually port 465).
  2. SMTP server uses the regular port number (usually port 25) and, during the connection, i-Page requests that the server switch to TLS (SSL)
    1. To accomplish that, i-Page implement STARTTLS protocol extension, defined in ITEF standard RFC 3207.

If you select any of the secure options from the "Connection Security" control, the "Start SSL/TLS" control becomes enabled.

To set whether the connection will be encrypted immediately or on the client request, select from the "Start SSL/TLS" control one of the following options:

  1. On connection
  2. On request

SMTP Server Settings

The options on the "Secured Settings" dialog are not arbitrary and they depend on your SMTP server settings. You need to contact the server administrator to obtain these settings.

  1. Is the authentication required
  2. What type of authentication is required (plain text or encrypted)
  3. Does the server provide a connection security
  4. If it does,
    1. Which cryptographic protocol is used (SSL or TLS)
    2. On which port(s) the server provides the secure connection
    3. Does the server expects the secure connection immediately or it waits on the client request

Popular SMTP Servers

Here are some settings for the popular Web based SMTP servers. At the time of writing, there were no charges for their services.

Gmail

Gmail is a free email service provided by Google.

To use Gmail SMTP server you need to open a Gmail account. This is a normal email account, and it is free.

Device

On the "Set Devices" dialog create a new device of the "Email" type.

Device Name | Gmail
SMTP Server IP Address | smtp.gmail.com
SMTP Server TCP Port | 465

Carrier

On the "Set Carriers" dialog create a new carrier of the "Email" type.

Carrier Name | Gmail
Select Device | Gmail
Sender Address | Any valid email address
Authentication | Encrypted Password
User Name | Full email address of your Gmail account
Password | Your Gmail password
Connection Security | TLS
Start SSL/TLS | On connection

Yahoo

Yahoo!Mail is a free email service provided by Yahoo!.

To use Yahoo SMTP server you need to open a Yahoo account. This is a normal email account, and it is free.

Device

On the "Set Devices" dialog create a new device of the "Email" type.

Device Name | Yahoo
SMTP Server IP Address | smtp.mail.yahoo.com
SMTP Server TCP Port | 465

Carrier

On the "Set Carriers" dialog create a new carrier of the "Email" type.

Carrier Name | Yahoo
Select Device | Yahoo
Sender Address | Any valid email address
Authentication | Encrypted Password
User Name | Full email address of your Yahoo account
Password | Your Yahoo password
Connection Security | TLS
Start SSL/TLS | On connection


Email Pager Carrier

Contains settings that allows i-Page Server to send page messages to the paging terminal via email.

The first part of the settings are common to all carriers. For more info see "Set Carriers - Common Settings".

Most of the other settings are common to all email type carriers. For more info see "Set Carriers - Carrier Email ".

Settings

Describes only settings that are specific to carriers of the email pager type.

Transfer Encoding

Refers to a MIME content transfer encoding that is used in emails. This is an encoding that is used on the top of other encoding and converts all bytes into ASCII characters (binary-to-text encoding). It is used to transmit 8-bit data over a 7-bit data path or, generally, over a medium which is not 8-bit clean.

Options:

7 Bit

Suitable for messages that only use the alphabetic, numeric, and punctuation characters commonly used in English

  • Only ASCII characters allowed (ASCII code #1 - #127) - #0 not allowed
  • 998 octets per line
  • CR (#13) and LF (#10) codes are only allowed to appear as part of a CRLF line ending
8 Bit

Suitable for messages that also use characters not commonly used in English. The SMTP server must support the 8BITMIME SMTP extension.

  • All characters from the extended ASCII character set allowed (#1 - #255) - #0 not allowed
  • 998 octets per line
  • CR (#13) and LF (#10) codes are only allowed to appear as part of a CRLF line ending
Binary

The SMTP server must support the BINARYMIME SMTP extension

  • Any sequence of octets is allowed
  • No line length limits
  • CRLF characters, if appear, do not mean end of the line
Quoted Printable

Suitable for text messages that use data consisting primarily of US-ASCII printable characters but also containing a small proportion of bytes with values outside that range.

  • All ASCII printable characters (#33 - #126) are left as they are
  • All ASCII non-printable characters (#1 - #32) are escaped with the '=' character
  • All characters outside ASCII range (higher than #126) are also escaped by the '=' character

Base 64

Suitable for text messages that frequently use non-US-ASCII characters.

  • All bytes are converted into the subset of 64 ASCII characters
  • The subset contains characters: "a - z", "A - Z", "0 - 9", "+" and "/"
  • The message is padded with "#0" on the 24-bit boundary
  • One or two "=" characters are used to mark the padding

Only quoted printable and base 64 actually perform encoding of the message. They could be used if you notice that the message has been constantly corrupted by mail transport or when you know that either SMTP server or a channel that you are using do not understand 8-bit characters.

Character Set

To set a character encoding of the message, select between the options in the "Character Set " control.

Character Set Options |
ASCII | Uses characters from the basic 7-bit ASCII encoding set
ANSI | Uses characters from the extended 8-bit ASCII set, defined as the current computer's code page
UTF-8 | Uses UTF-8 Unicode character encoding
Unicode | Uses UTF-16LE Unicode character encoding (little-endian byte order)


Message Fragmenting

The length of the message is usually defined by the carrier's provider and protocols used to process and send the message.

To set the message length, select the carrier in the grid and select the "Fragmenting" node in the left-hand side panel in the "Edit Carrier" dialog.

To set the maximum message length for the selected carrier, enter a value into the "Max Message Length" box.

To set un unlimited message length, enter '0' (number zero) into the "Max Message Length" box.

The value in the "Min Message Length" is a read-only value. It indicates the minimum length of the message that will allow the message to carry some useful payload. It is calculated by taking into account the length of the fragment header and at least 5 additional characters to carry the user's data.

Fragmenting

If the message is longer that the maximum message length, the user can advise the program to fragment the message.

To allow message fragmenting, check the "Allow Fragmentation" box.

Fragmenting Allowed

If you check the "Allow Fragmentation" box, you will get the following group of controls.

In the "Max No of Fragments" control, enter the number of fragments that the message can be broken into. The length of each fragment (taking into account the message header) cannot be larger than the maximum message length.

If the number of fragments exceeds the maximum number of fragments, the user must advise the program on what to do with the message:

Return Error | The message is not sent and an appropriate error is returned to the client
Truncate Message | The message is sent, truncated to the maximum number of fragments and the client is informed about that

Fragmenting Not Allowed

If you uncheck the "Allow Fragmentation" box, you will get the following group of controls.

If the message is longer than the maximum message length and fragmenting is not allowed, the user must advise the program on what to do with the message:

Return Error | The message is not sent and an appropriate error is returned to the client
Truncate Message | The message is sent, truncated to the maximum message length and the client is informed about that

Message Header

A message header is used only if the message is fragmented. It is inserted at the beginning of each message fragment.

To define the message header for the selected carrier, enter a header text into the "Header" window.
The text is a combination of literal text entered by the user and variable fields filled in by the system. There are two fields that the user can enter in the header:

Field Name | Field Placeholder | Value
Fragment No | <Part_No> | Message fragment sequence number
Total Fragment No | <No_Of_Parts> | Total number of fragments that the message is broken up into

To enter one of the fields, position the cursor in the "Header" window where you want the field placeholder to appear. Right-click on the window and from the popup menu select the field.

During run-time the program will replace all fields with their real values.

The formatted header with test values is shown in the "Demo" window. To refresh it, right-click on the window and from the popup menu select the "Show Demo" menu item.

Message Transaction

With some type of messages (TAP, TAP Direct) it is possible to send more than one message per each transaction. In that case most of carriers impose a limit on the number of messages that can be sent in the transaction.

To set a maximum number of messages per transaction that are allowed by the carrier, enter a number in the "Number of messages per transaction" control.

Warning: The number of fragments selected in the "Max No of Fragments" control, must be smaller than or equal to the number of messages per transaction.

If the number of fragments is greater than the number of messages per transaction, when you try to save your data you will get an error message and the data will not be saved.


REST Pager Carrier

Contains settings that allows i-Page Server to send paging messages to the paging terminal over the Internet, using HTTP as its transport protocol.

The HTTP message body uses REST (Representational state transfer) architectural style to transfer paging messages to the terminal. The whole HTTP message can be encrypted using SSL/TLS encryption and send to the secure server port.

The first part of the settings are common to all carriers. For more info see "Set Carriers - Common Settings".

Settings

Describes only settings that are specific to carriers of the REST pager type.

HTTP Settings

Authentication

Most of the REST web service providers request the sender to authenticate themself before they are allowed to use the service.

User Name

Enter your user name into the "User Name" control. The user name needs to be registered with the service provider.

Password

Enter your password int the "Password" control. The password needs to be registered with the service provider.

If you want to check your password, you can select the "Show Password" check box and the password will be visible as a plain text.

Note: The system remembers the "Show Password" control settings.

Pager Id Prefix

Pager ids in "i-Page Server" are stored as contacts, without their network prefix. Some providers request a full pager phone number to be sent to them.

Pager id prefix contains:

  • International prefix ('+')
  • Country code (e.g '64')
  • Network code (e.g '026') - if the network code starts with '0', it should be omitted.

Example: +6426

HTTP Path

Enter a path to the REST web service functionality. The path is the part after your provider host name. Usually you will get the full URL from your provider:

https://restserver.com/rest/gateway/messages

Your path in above example is the text in red. (The blue part is a schema and the green one is a host name).

Sender

Enter your email address that the service provider knows about, into the "Sender" control. You can also enter your "customer name" given to you by the provider.

Data Format

The data format describes the content of the body of the HTTP message that is used to send your page message data to the provider. It is defined by the provider and it complies to the REST arhitectural style.

Type the format of a page message exactly as defined by the provider. In the place where a pager id/number is required, enter <PagerId> and in the place of a page message actual text, enter <Msg Text>.

You can also place the cursor in the "Data Format" control, right-click and from the popup menu select "Message Text" or "Pager Number" and the correct text will be entered at the cursor position.

During runtime, the system will replace the <PagerId> with a real pager number and the <Msg Text> with a page message text.


Test Message

i-Page Server tests the carrier by sending a real message to the selected address. Users can create their own messages for that purpose.

To define the message that the system will use for testing the selected carrier, select the carrier in the grid and select the "Test Message" node in the left-hand side panel in the "Edit Carrier" dialog.

Enter a message text into the "Message Format" window.
The text is a combination of literal text entered by the user and variable fields filled in by the system.
There are five fields that the user can use in the header:

Field Name | Field Placeholder | Value
Carrier Id | <Carrier Id> | Carrier id number set by the system
Carrier Name | <Carrier Name> | The name that the system administrator has set for the carrier
Carrier Type | <Carrier Type> | Type of the carrier (e.g., TAP Modem, GSM SMS, Email,etc.)
Device Id | <Device Id> | Device id number set by the system
Device Name | <Device Name> | The name that the system administrator has set for the device

To enter one of the fields, position the cursor in the "Message Format" window where you want the field placeholder to appear. Right-click on the window and from the popup menu select the field.

During run-time the program will replace all fields with their real values.

The formatted header with test values is shown in the "Demo Message" window. To refresh it, right-click on the window and from the popup menu select the "Show" menu item or just click on the "Show" button (Shortcut: Ctrl+F2).


File Message In

Describes a structure and content of the file that contains a message sent by a client application to i-Page Server, through the server's file interface connection. The server retrieves the file, decodes the message and sends it to a designated carrier.

File Fields

Definition

The file has 7 fields and they are defined as follows:

Position | Name | Required | Value Required
1 | MsgId | Yes | No
2 | Address | Yes | Yes
3 | Msg | Yes | Yes
4 | Carrier | No | No
5 | Subject | No | No
6 | Priority | No | No
7 | Age | No | No

A required field must be present in every message.

A field with required value must have a valid value. The other fields can be empty.

Content

Name | Content | Values
MsgId | Contains transaction id, assigned by the sender | Default: 0
Address | Pager id, mobile number or email address of the receiver | Must have valid value
Msg | Actual paging, SMS or email message text | Cannot be empty
Carrier | System assigned id of a carrier. | Default: carrier id set by the administrator
Subject | A subject of an email message | Used only for email messages
Priority | The server's message queue priority | Default: Normal (4)
Age | Time in minutes that the server will keep an unsent message before it is discarded | Default: 120 minutes

The message id (“MsgId”) field is assigned by the client. If the client wants to follow up on the messages it sends, it can use it as a message identifier and match the sent message to its result. The server always returns the same message id in the result message.
Otherwise, it can be empty (must be present) or '0'.

Warning: Negative numbers cannot be used as message identifiers. It could result in unpredictable behaviour because the server uses negative numbers for its test messages.

The message field ("Msg") can contain any character found in the selected encoding character set.

If the message field contains a comma or a double-quote character, it must be enclosed in double-quotes. In that case any double-quote in the message must be duplicated.

If the message contains line breaks characters (CRLF), they must be replaced with "\n" (without quotes.

Message Types

The server accepts 5 different types of messages:

Complete With Header

  1. File has two lines of text, delimited by line break characters - CR ($D; #13) LF($A; #10)
  2. The first line is a file header, and contains names of the fields, delimited with the comma character ',' ($2C - #44)
  3. All field names must be present
  4. The second line contains fields values, delimited with the comma character ',' ($2C - #44)
  5. All field values must be present, but some of them can contain empty values
  6. Fields can be entered in any order, but the header field names position must correspond to the position of field values
Example |
 | "Subject" field is empty MsgId,Address,Msg,Carrier,Subject,Priority,Age<CRLF> 456,1234567,"Hello world, from ""WiPath"" programmers.",2,,4,120 All fields have values MsgId,Address,Msg,Carrier,Subject,Priority,Age<CRLF> 456,john@company.com,"Hello world, from ""WiPath"" programmers.",4,Hello Message,4,120

Partial With Header

  1. File has two lines of text, delimited by line break characters - CR ($D; #13) LF($A; #10)
  2. The first line is a file header, and contains names of the fields, delimited with the comma character ',' ($2C - #44)
  3. Only required field names must be present and all other are optional and depend on the user's preferences
  4. The second line contains fields values, delimited with the comma character ',' ($2C - #44)
  5. All field values, which names appear in the header must be present, but some of them can contain empty values
  6. Fields can be entered in any order, but the header field names position must correspond to the position of field values
Example |
 | "Subject" and "Age" fields are missing MsgId,Address,Msg,Carrier,Priority<CRLF> 456,1234567,"Hello world, from ""WiPath"" programmers.",2,4 "Priority" and "Carrier" fields are missing MsgId,Address,Msg,Subject,Age<CRLF> 456,john@company.com,"Hello world, from ""WiPath"" programmers.",Hello Message,120

Complete Without Header

  1. File has only one line of text
  2. The line contains fields values, delimited with the comma character ',' ($C - #44)
  3. All field values must be present, but some of them can contain empty values
  4. Field position must be the same as defined in "File Fields Definition"
Example |
 | "Subject", "Priority" and "Age" fields are present but they do not have value 456,1234567,"Hello world, from ""WiPath"" programmers.",2,,, All fields have value 456,john@company.com,"Hello world, from ""WiPath"" programmers.",4,Hello Message,4,120

Partial Without Header

  1. File has only one line of text
  2. The line contains fields values, delimited with the comma character ',' ($2C - #44)
  3. Only required field values must be present and all others are optional and depend on the user's preferences
  4. Field position must be the same as defined in "File Fields Definition"
  5. If a value for a field is entered, all other fields with defined lower position must be present (even if empty).
Example |
 | "Subject" and "Priority" and "Age" fields are not shown because they do not have value 456,1234567,"Hello world, from ""WiPath"" programmers.",2 "Subject" and "Priority" fields do not have value, but must be present because the "Age" field, which comes after them, has a value 456,john@company.com,"Hello world, from ""WiPath"" programmers.",4,,,120

Basic Message

  1. File has only one line of text
  2. The line contains fields values, delimited with the comma character ',' ($2C - #44)
  3. Only required field values are present (MsgId, Address, Msg).
  4. Field position must be the same as defined in "File Fields Definition"
Example |
 | Only required fields are present and have values 456,1234567,"Hello world, from ""WiPath"" programmers." Only required fields are present, but "MsgId" does not have a value ,john@company.com,"Hello world, from ""WiPath"" programmers."


File Message Out

Describes a structure and content of the file that contains a result message sent by i-Page Server to the client application, through the server's file interface connection. If the user has selected the option to receive a result of the send message operation, the server creates a file and place it in the designated folder.

File Structure

  1. File has two lines of text, delimited by line break characters - CR ($D; #13) LF($A; #10)
  2. The first line is a file header, and contains names of the fields, delimited with the comma character ',' ($2C - #44)
  3. All field names are present
  4. The second line contains fields values, delimited with the comma character ',' ($2C - #44)
  5. All field values are present, and all of them contain valid values.
  6. Fields are always entered in the defined order, and the header field names position corresponds to the position of field values

File Fields

Definition

The file has 7 fields and they are defined as follows:

Position | Name | Field Content
1 | MsgId | The same transaction id, that the client has assigned in the message sent to the server
2 | Address | Address of the receiver that the message was sent to
3 | Msg | Actual paging, SMS or email message text
4 | ResultCode | System code for the result of the send operation
5 | ResultText | User friendly description of the result of the send operation
6 | DateReceived | Date when the server received the message from the client
7 | DateSent | Date when the message was sent to a carrier or error was returned to the client

All fields are present in every message and they have valid values.

The message field may contain any character contained in the selected encoding character set.

If the message field contains a comma or a double-quote character, it will be enclosed in double-quotes. In that case any double-quote in the message will be duplicated.

If the message contains line breaks characters (CRLF), they are replaced with "\n" (without quotes).


Grid Display

Displaying/Hiding Columns

Right-click on any of the grid column headings to bring up a popup menu that shows the names of all columns created for that grid and in the same order as they are displayed in the grid. All visible columns have a check mark next to their name.

To hide a visible column or to show a hidden column, click on its name in the popup menu.

Resizing Columns

Move the mouse pointer to the grid title bar.

Position the mouse over the edge of the column you wish to resize. The mouse pointer cursor changes into the resizing cursor.

Hold the main mouse button down and resize the column by moving the mouse pointer.

Changing Column Position

Move the mouse pointer to the grid title bar.

Position the mouse over the column you wish to move. Click and hold the main (left) mouse button and drag the column to the new position at which you wish for it to appear.

All changes will be stored automatically and retrieved the next time you open i-Page Application.


i-Page Key Generator

Introduction

IP Key program is an internal program used by the WiPath personnel for calculating registration keys for i-Page Server and i-Page Client applications.

The registration key is used for registering i-Page Server/Client application on user machines.

IP Key uses a license key, supplied by the user, to calculate a matching registration key.

Keys

Every key used by i-Page Server consists of:

  • 25 characters
  • Characters are divided into 5 groups of 5 characters
  • Groups are separated by hyphens ("-")
  • Only hexadecimal characters are allowed (A - F and 0 - 9)
  • First character is randomly selected EVEN number
  • In the last group of characters, first 4 contain embedded number of clients that the server is registered for and the last character in the group is a checksum character

Every key used by i-Page Client consists of:

  • 20 characters
  • Characters are divided into 4 groups of 5 characters
  • Groups are separated by hyphens ("-")
  • Only hexadecimal characters are allowed (A - F and 0 - 9)
  • First character is randomly selected ODD number

Calculating Key

  1. From the "Registration Key For" control select the application type you are calculating the key for:
  • i-Page Server
  • i-Page Client
  2. Enter the license key supplied by the user into the "License Id" control.

Note: If you are typing the key, you can omit dashes.

  3. Click on the "Key" button.

  4. New registration key is displayed in the "Registration Key" control. Copy it and send it to the user.

  5. If the "i-Page Server" entry is selected in the "Registration Key For" control, the number of the clients that the server is registered for is displayed in the "Number Of Clients" control.

Errors

The registration engine will attempt to correct some errors that usually occur while entering the license id.

  • All spaces are removed
  • Characters are converted into uppercase
  • Hyphens are removed
  • Lowercase "L" characters are replaced by the number "1"
  • Lower and uppercase "O" characters are replaced with the number "0" (zero)
  • Lower and uppercase "S" characters are replaced with the number "5"
  • All characters are checked to be hexadecimal characters

For all errors that the engine cannot resolve it will display an informative error message and the registration key will not be calculated:

No Key Error

The operator did not enter any license key.

Invalid Character Error

The license key contains a character that is not a hexadecimal character.

Application Type Error

The license key does not belong to the application type that is selected in the "Registration Key For" control.

Client Data Missing Error

The license key does not have embedded the no of clients that the registration is reqested for.

Client Data Corrupted Error

The number of clients in the license key that the registration is requested for is tempered with or corrupted.

Unregister i-Page Application


Set Personal Account

Personal Settings

Changing Personal Account

Every user has some limited rights to edit her/his own account.

It can be done on the i-Page Server by selecting ‘Accounts | Change Your Account’ on the main popup menu.

It can also be done on the i-Page Client by logging on to the server and selecting "File | Change Account" from the main menu.

Shortcut: Shift+Ctrl+A (Client)

Hot Keys: Alt,F,A (Client)

In the current version you are only allowed to change your display name, email address, mobile number and pager number.

Changing Personal Password

Every user can change her/his own password.

This can be done on the i-Page Server by selecting ‘Accounts | Change Your Password’ on the main popup menu.

It can also be done on the i-Page Client by logging on to the server and selecting "File | Change Password" from the main menu.

Shortcut: Shift+Ctrl+P (Client)

Hot Keys: Alt,F,P (Client)

Enter your old password into the “Old Password” box.

Enter a new password into the “New Password” box.

Enter the new password again into the “Confirm New Password” box.

Click the “Save” button or press the "Enter" key.

If the change to the password was successful, you will get a confirmation message from the system. Otherwise, you will get an error message that explains in detail what went wrong.